Introduction

WebStats dotNet Class Library Documentation
Introduction
Welcome to WebStats dotNet Class Library. The class library is the core of WebStats. It is what handles all the reading, parsing, etc. of log files.

WebStats essentially breaks down into the Engine, Reports and Managers. The engine is the primary interface to WebStats, it is used to give WebStats the required information then command it to process the logs and then save them. Reports are the data output of processed logs. They contain all the statistics and requisite data generated from the processed logs. Managers are the work handlers. Each manager will receive its needed information from the report instance and it will parse that information to gain any useful information it can find. It will then store this information with that of previous records which will be used later to generate statistics.

WebStats uses both Profiles and Settings files to assist it in handling log files. Profiles are essentially interchangeable settings files. There are used to have custom configurations for each website’s log files. Settings files tell WebStats’s managers what to watch for while processing records.

Profiles
For a detailed description and example profile, see Profiles.

Settings
For a detailed descriptions and examples, see Settings.
Website: http://webstatsdotnet.sourceforge.net
Copyright 2007 Nodine Legal Technologies, LLC


Browsers.xml

WebStats dotNet Class Library Documentation
Browsers.xml
Settings for Browser detection.

Example Browsers.xml

<?xml version="1.0" encoding="utf-8" ?>
<UserAgents>
  <Level ID="1">
    <Agent Name="AOL" Version="9.0" SearchString="\bAOL[+]9\.0\b" />
    <Agent Name="Internet Explorer" Version="7" SearchString="\bMSIE[+]7\.0\b" />
  </Level>
</UserAgents>
UserAgents

Level - this is the level depth for use with profiles. In the profile you can set the max level that WebStats will process. You should group the elements by detection priority.

Agent

Name - the name of the agent.

Version - the version of the agent.

SearchString - a RegEx value that is search for in the useragent to determine if that record matches this agent.

Website: http://webstatsdotnet.sourceforge.net


FileTypes.xml

WebStats dotNet Class Library Documentation
FileTypes.xml
Settings for File Type detection.

Example FileTypes.xml

<?xml version="1.0" encoding="utf-8" ?>
<FileTypes>
  <Level ID="1">
    <Type SearchString="\baspx\b" Name="Active Server Page Extended" Extension="aspx"/>
    <Type SearchString="\basp\b" Name="Active Server Page" Extension="asp"/>
    <Type SearchString="\bhtm\b" Name="Hypertext Markup Language" Extension="htm"/>
    <Type SearchString="\bhtml\b" Name="Hypertext Markup Language" Extension="html"/>
  </Level>
</FileTypes>
FileTypes

Level - this is the level depth for use with profiles. In the profile you can set the max level that WebStats will process. You should group the elements by detection priority.

Type

Name - the name of the agent.

Extension - the file extension.

SearchString - a RegEx value that is search for in the extension to determine if that record matches the requested file url.

Website: http://webstatsdotnet.sourceforge.net


OperatingSystems.xml

WebStats dotNet Class Library Documentation
OperatingSystems.xml
Settings for Operating System detection.

Example OperatingSystems.xml

<?xml version="1.0" encoding="utf-8" ?>
<UserAgents>
  <Level ID="1">
    <Agent Name="Windows" Version="XP" SearchString="\bWindows[+]NT[+]5\.1\b" />
  </Level>
</UserAgents>
UserAgents

Level - this is the level depth for use with profiles. In the profile you can set the max level that WebStats will process. You should group the elements by detection priority.

Agent

Name - the name of the agent.

Version - the version of the agent.

SearchString - a RegEx value that is search for in the useragent to determine if that record matches this agent.

Website: http://webstatsdotnet.sourceforge.net


Profiles

WebStats dotNet Class Library Documentation
Profiles
A profile is a collection of settings which are individualized for a specific website’s log files. It tells WebStats how to specifically handle the log files for that website.

Example Profile (Profile1.xml)

<?xml version="1.0" encoding="utf-8"?>
<Profile xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <NotPageList>
    <string>css</string>
    <string>js</string>
    <string>class</string>
    <string>gif</string>
    <string>jpg</string>
    <string>jpeg</string>
    <string>png</string>
    <string>bmp</string>
    <string>ico</string>
    <string>swf</string>
    <string>zip</string>
    <string>arj</string>
    <string>gz</string>
    <string>z</string>
    <string>wav</string>
    <string>mp3</string>
    <string>wma</string>
    <string>mpg</string>
  </NotPageList>
  <SessionTimeout>30</SessionTimeout>
  <ProcessMode>LowMemory</ProcessMode>
  <Timeframe>Month</Timeframe>
  <RobotsMaxLevel>2</RobotsMaxLevel>
  <BrowsersMaxLevel>2</BrowsersMaxLevel>
  <OSsMaxLevel>2</OSsMaxLevel>
  <FileTypesMaxLevel>2</FileTypesMaxLevel>
  <SearchEngineMaxLevel>2</SearchEngineMaxLevel>
  <WebsiteUrls>
    <string>\boswego\.net\b</string>
    <string>\bwebearthnetwork\.[com|net]\b</string>
    <string>\buniquesudz\.com\b</string>
  </WebsiteUrls>
</Profile>
Profile

NotPageList - this is a list of all file extensions which should not be counted as a "Page".

SessionTimeout - browsers and website servers do not log when a visitor has left the website; therefore, WebStats uses what is called a session. This value tells WebStats how much time can elapse between hits for the hits to be included in the same session. The value is in minutes and the recommended value is 30.

ProcessMode - this tells WebStats how it should process log files. It is highly recommended that you use LowMemory unless you are an advanced user! LowMemory loads one log worth of data and processes that data, then loads another, etc. This allows the .NET Framework to free resources more frequently, which allows WebStats to consume significantly less memory. IOBurst, on the other hand, reads in all logs and then processes all the data. This front loads all the IO which provides a noticeable decrease in the amount of time required to process the logs. The more log files that are to be processed, the more noticeable the decrease. However, this can consume a large amount of memory and is NOT recommended. Acceptable values are only: LowMemory or IOBurst.

Timeframe - this tells WebStats how it should utilize reports. When WebStats processes log file records it tracks the timestamp on the record. It will then assign each record to the appropriate report based on that report's timeframe. For example, if you set timeframe to Month, then WebStats will group records into reports based on the month and year of that record. Acceptable values are only: Month.

RobotsMaxLevel - in the robots.xml settings file, there are level definitions. This setting indicates the maximum depth of level that should be processed. If you are using large settings files, reducing the max level value here can significantly reduce the amount of processing required thereby reducing the run time.

BrowsersMaxLevel - in the browsers.xml settings file, there are level definitions. This setting indicates the maximum depth of level that should be processed. If you are using large settings files, reducing the max level value here can significantly reduce the amount of processing required thereby reducing the run time.

OSsMaxLevel - in the operatingsystems.xml settings file, there are level definitions. This setting indicates the maximum depth of level that should be processed. If you are using large settings files, reducing the max level value here can significantly reduce the amount of processing required thereby reducing the run time.

FileTypesMaxLevel - in the filetypes.xml settings file, there are level definitions. This setting indicates the maximum depth of level that should be processed. If you are using large settings files, reducing the max level value here can significantly reduce the amount of processing required thereby reducing the run time.

SearchEngineMaxLevel - in the searchengines.xml settings file, there are level definitions. This setting indicates the maximum depth of level that should be processed. If you are using large settings files, reducing the max level value here can significantly reduce the amount of processing required thereby reducing the run time.

WebsiteUrls - RegEx values that tell WebStats what urls should be excluded from the referrers lists. A referrer is an external website that sends visitors to your website; Therefore, this should contain all urls used to directly access your website.

Website: http://webstatsdotnet.sourceforge.net


Robots.xml

WebStats dotNet Class Library Documentation
Robots.xml
Settings for Robot detection.

Example Robots.xml

<?xml version="1.0" encoding="utf-8" ?>
<!-- Nice list at http://www.i-asap.net/crawlersdb.php -->
<UserAgents>
  <Level ID="1">
    <Agent Name="Googlebot" Version="2.1" SearchString="\bGooglebot/2\.1\b" />
    <Agent Name="Yahoo! Slurp" SearchString="\bYahoo!.Slurp\b" />
  </Level>
  <Level ID="2">
    <Agent Name="MSNBot" Version="1.0" SearchString="\bmsnbot/1\.0\b" />
  </Level>
</UserAgents>
UserAgents

Level - this is the level depth for use with profiles. In the profile you can set the max level that WebStats will process. You should group the elements by detection priority.

Agent

Name - the name of the agent.

Version - the version of the agent.

SearchString - a RegEx value that is search for in the useragent to determine if that record matches this agent.

Website: http://webstatsdotnet.sourceforge.net


SearchEngines.xml

WebStats dotNet Class Library Documentation
SearchEngines.xml
Settings for Search Engine detection.

Example SearchEngines.xml

<?xml version="1.0" encoding="utf-8" ?>
<!-- http://www.science.co.il/analog/SearchQuery.txt -->
<SearchEngines>
  <Level ID="1">
    <SearchEngine Name="Google" Url="http://www.google.com" SearchString="\bgoogle\.com\b" QueryTerm="\bq=" />
    <SearchEngine Name="MSN" Url="http://search.msn.com" SearchString="\bmsn\.com\b" QueryTerm="\bq=" />
    <SearchEngine Name="MSN" Url="http://search.live.com" SearchString="\bsearch\.live\.com\b" QueryTerm="\bq=" />
  </Level>
</SearchEngines>
SearchEngines

Level - this is the level depth for use with profiles. In the profile you can set the max level that WebStats will process. You should group the elements by detection priority.

SearchEngine

Name - the name of the agent.

Url - url of the search engine.

SearchString - a RegEx value that is searched for to determine if that record matches the referrer url.

QueryTerm - a RegEx value indicates the argument in the URL which contains the string searched for within the search engine.

Website: http://webstatsdotnet.sourceforge.net


Settings File

WebStats dotNet Class Library Documentation
Settings Files
Settings files tell the associated manager how to handle processing of log file records.

Browsers.xml
Settings for Browser detection, see Browsers.xml.

FileTypes.xml
Settings for File Types detection, see FileTypes.xml.

OperatingSystems.xml
Settings for Operating Systems detection, see OperatingSystems.xml.

Robots.xml
Settings for Robots detection, see Robots.xml.

SearchEngines.xml
Settings for Search Engine detection, see SearchEngines.xml.
Website: http://webstatsdotnet.sourceforge.net


WebStats Namespace

WebStats dotNet Class Library - Code Documentation
WebStats Namespace
Namespaces > WebStats

[This is preliminary documentation and is subject to change.]

The core of WebStats dotNet.
Syntax
C# Visual Basic Managed C++ J#
namespace WebStats
Namespace WebStats
namespace WebStats
package WebStats
Types
All Types Classes Structures Interfaces Enumerations Delegates
Icon | Name | Description
public class | Convert | Conversion utilities
public class | Engine | The primary driver of WebStats.
public enumeration | ProcessModeType | Method to use in processing logs.
public class | Profile | The Profiles class is used to make and manage profiles. Profiles are used by the system as individual settings files, telling WebStats how to operate.
public enumeration | TimeframeType | A span of time.
public class | Utilities | Helpers
Version 0.6.2.0 Website: http://webstatsdotnet.sourceforge.net


Utilities.Convert Class

Utilities.Convert Class
Namespaces > WebStats > Utilities > Convert

[This is preliminary documentation and is subject to change.]

Conversion utilities
Syntax
C# Visual Basic Managed C++ J#
public static class Convert
Public NotInheritable Class Convert
public ref class Convert abstract sealed
public final class Convert
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | BtoMB(Int64) | Bytes to MegaBytes
 | MBtoGB(Int64) | MegaBytes to GigaBytes
Inheritance Hierarchy
Object
Convert

Version 0.6.2.0 Website: http://webstatsdotnet.sourceforge.net

Copyright 2007 Nodine Legal Technologies, LLC

Assembly: WebStats (Module: WebStats) Version: 0.6.2.0


BtoMB Method (bytes)

BtoMB Method (bytes)
Namespaces > WebStats > Convert > BtoMB(Int64)

[This is preliminary documentation and is subject to change.]

Bytes to MegaBytes
Syntax
C# Visual Basic Managed C++ J#
public static double BtoMB (
    long bytes
)
Public Shared Function BtoMB ( _
    bytes As Long _
) As Double
public:
static double BtoMB (
    long long bytes
)
public static double BtoMB (
    long bytes
)
Parameters
bytes (Int64)
The bytes.
Return Value
MegaBytes


MBtoGB Method (mb)

MBtoGB Method (mb)
Namespaces > WebStats > Convert > MBtoGB(Int64)

[This is preliminary documentation and is subject to change.]

MegaBytes to GigaBytes
Syntax
C# Visual Basic Managed C++ J#
public static double MBtoGB (
    long mb
)
Public Shared Function MBtoGB ( _
    mb As Long _
) As Double
public:
static double MBtoGB (
    long long mb
)
public static double MBtoGB (
    long mb
)
Parameters
mb (Int64)
The mb.
Return Value
GigaBytes


Engine Class

Engine Class
Namespaces > WebStats > Engine

[This is preliminary documentation and is subject to change.]

The primary driver of WebStats.
Syntax
C# Visual Basic Managed C++ J#
public class Engine
Public Class Engine
public ref class Engine
public class Engine
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | EngineNew() | Initializes a new instance of the Engine class.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Error_IgnoredRecords | Amount of records ignored due to errors.
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | Lifetime | A collection of Lifetime.
 | Load(String, String) | Loads the specified report and lifetime information.
 | Load(String, String, String, String) | Loads the specified report and lifetime information.
 | Load(String, String, String[](), String) | Loads the specified reports and lifetime information.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ProcessLogs(String, String, String[]()) | Processes the logs.
 | ProcessLogs(String, String, String[](), String) | Processes the logs and loads the relevant reports from the reports directory.
 | Profile | Instance of Profile.
 | Reports | A collection of Report.
 | Save(String, Boolean) | Saves all reports to the specific report directory.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
Engine


Engine Constructor

Engine Constructor
Namespaces > WebStats > Engine > EngineNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Engine class.
Syntax
C# Visual Basic Managed C++ J#
public Engine ()
Public Sub New
public:
Engine ()
public Engine ()


Error_IgnoredRecords Field

Error_IgnoredRecords Field
Namespaces > WebStats > Engine > Error_IgnoredRecords

[This is preliminary documentation and is subject to change.]

Amount of records ignored due to errors.
Syntax
C# Visual Basic Managed C++ J#
public int Error_IgnoredRecords
Public Error_IgnoredRecords As Integer
public:
int Error_IgnoredRecords
public int Error_IgnoredRecords


Lifetime Field

Lifetime Field
Namespaces > WebStats > Engine > Lifetime

[This is preliminary documentation and is subject to change.]

A collection of Lifetime.
Syntax
C# Visual Basic Managed C++ J#
public Lifetime Lifetime
Public Lifetime As Lifetime
public:
Lifetime^ Lifetime
public Lifetime Lifetime


Load Method

Load Method
Namespaces > WebStats > Engine > Load

[This is preliminary documentation and is subject to change.]

Members
Icon | Member | Description
 | Load(String, String) | Loads the specified report and lifetime information.
 | Load(String, String, String, String) | Loads the specified report and lifetime information.
 | Load(String, String, String[](), String) | Loads the specified reports and lifetime information.


Load Method (reportFilepath, lifetimeFilepath)

Load Method (reportFilepath, lifetimeFilepath)
Namespaces > WebStats > Engine > Load(String, String)

[This is preliminary documentation and is subject to change.]

Loads the specified report and lifetime information.
Syntax
C# Visual Basic Managed C++ J#
public void Load (
    string reportFilepath,
    string lifetimeFilepath
)
Public Sub Load ( _
    reportFilepath As String, _
    lifetimeFilepath As String _
)
public:
void Load (
    String^ reportFilepath,
    String^ lifetimeFilepath
)
public void Load (
    String reportFilepath,
    String lifetimeFilepath
)
Parameters
reportFilepath (String)
The report filepath.
lifetimeFilepath (String)
The lifetime filepath. A value of null prevents the lifetime from loading.
Remarks
This method does neither sets a valid profile nor prepares the engine to process records. This method should only be used when loading results for display purposes.


Load Method (profileFilepath, settingsDirectoryPath, reportFilepath, lifetimeFilepath)

Load Method (profileFilepath, settingsDirectoryPath, reportFilepath, lifetimeFilepath)
Namespaces > WebStats > Engine > Load(String, String, String, String)

[This is preliminary documentation and is subject to change.]

Loads the specified report and lifetime information.
Syntax
C# Visual Basic Managed C++ J#
public void Load (
    string profileFilepath,
    string settingsDirectoryPath,
    string reportFilepath,
    string lifetimeFilepath
)
Public Sub Load ( _
    profileFilepath As String, _
    settingsDirectoryPath As String, _
    reportFilepath As String, _
    lifetimeFilepath As String _
)
public:
void Load (
    String^ profileFilepath,
    String^ settingsDirectoryPath,
    String^ reportFilepath,
    String^ lifetimeFilepath
)
public void Load (
    String profileFilepath,
    String settingsDirectoryPath,
    String reportFilepath,
    String lifetimeFilepath
)
Parameters
profileFilepath (String)
The profile filepath.
settingsDirectoryPath (String)
The settings directory path.
reportFilepath (String)
The report filepath.
lifetimeFilepath (String)
The lifetime filepath. A value of null prevents the lifetime from loading.


Load Method (profileFilepath, settingsDirectoryPath, reportFilepaths, lifetimeFilepath)

Load Method (profileFilepath, settingsDirectoryPath, reportFilepaths, lifetimeFilepath)
Namespaces > WebStats > Engine > Load(String, String, String[](), String)

[This is preliminary documentation and is subject to change.]

Loads the specified reports and lifetime information.
Syntax
C# Visual Basic Managed C++ J#
public void Load (
    string profileFilepath,
    string settingsDirectoryPath,
    string[] reportFilepaths,
    string lifetimeFilepath
)
Public Sub Load ( _
    profileFilepath As String, _
    settingsDirectoryPath As String, _
    reportFilepaths As String(), _
    lifetimeFilepath As String _
)
public:
void Load (
    String^ profileFilepath,
    String^ settingsDirectoryPath,
    array<String^>^ reportFilepaths,
    String^ lifetimeFilepath
)
public void Load (
    String profileFilepath,
    String settingsDirectoryPath,
    String[] reportFilepaths,
    String lifetimeFilepath
)
Parameters
profileFilepath (String)
The profile filepath.
settingsDirectoryPath (String)
The settings directory path.
reportFilepaths (String []())
The report filepaths.
lifetimeFilepath (String)
The lifetime filepath. A value of null prevents the lifetime from loading.


ProcessLogs Method

ProcessLogs Method
Namespaces > WebStats > Engine > ProcessLogs

[This is preliminary documentation and is subject to change.]

Members
Icon | Member | Description
 | ProcessLogs(String, String, String[]()) | Processes the logs.
 | ProcessLogs(String, String, String[](), String) | Processes the logs and loads the relevant reports from the reports directory.


ProcessLogs Method (profileFilepath, settingsDirectoryPath, filepaths)

ProcessLogs Method (profileFilepath, settingsDirectoryPath, filepaths)
Namespaces > WebStats > Engine > ProcessLogs(String, String, String[]())

[This is preliminary documentation and is subject to change.]

Processes the logs.
Syntax
C# Visual Basic Managed C++ J#
public void ProcessLogs (
    string profileFilepath,
    string settingsDirectoryPath,
    string[] filepaths
)
Public Sub ProcessLogs ( _
    profileFilepath As String, _
    settingsDirectoryPath As String, _
    filepaths As String() _
)
public:
void ProcessLogs (
    String^ profileFilepath,
    String^ settingsDirectoryPath,
    array<String^>^ filepaths
)
public void ProcessLogs (
    String profileFilepath,
    String settingsDirectoryPath,
    String[] filepaths
)
Parameters
profileFilepath (String)
The profile filepath.
settingsDirectoryPath (String)
The settings directory path.
filepaths (String []())
The filepaths.


ProcessLogs Method (profileFilepath, settingsDirectoryPath, filepaths, reportDirectory)

ProcessLogs Method (profileFilepath, settingsDirectoryPath, filepaths, reportDirectory)
Namespaces > WebStats > Engine > ProcessLogs(String, String, String[](), String)

[This is preliminary documentation and is subject to change.]

Processes the logs and loads the relevant reports from the reports directory.
Syntax
C# Visual Basic Managed C++ J#
public void ProcessLogs (
    string profileFilepath,
    string settingsDirectoryPath,
    string[] filepaths,
    string reportDirectory
)
Public Sub ProcessLogs ( _
    profileFilepath As String, _
    settingsDirectoryPath As String, _
    filepaths As String(), _
    reportDirectory As String _
)
public:
void ProcessLogs (
    String^ profileFilepath,
    String^ settingsDirectoryPath,
    array<String^>^ filepaths,
    String^ reportDirectory
)
public void ProcessLogs (
    String profileFilepath,
    String settingsDirectoryPath,
    String[] filepaths,
    String reportDirectory
)
Parameters
profileFilepath (String)
The profile filepath.
settingsDirectoryPath (String)
The settings directory path.
filepaths (String []())
The filepaths.
reportDirectory (String)
The directory where the reports are stored.


Profile Field

Profile Field
Namespaces > WebStats > Engine > Profile

[This is preliminary documentation and is subject to change.]

Instance of Profile.
Syntax
C# Visual Basic Managed C++ J#
public Profile Profile
Public Profile As Profile
public:
Profile^ Profile
public Profile Profile


Reports Field

Reports Field
Namespaces > WebStats > Engine > Reports

[This is preliminary documentation and is subject to change.]

A collection of Report.
Syntax
C# Visual Basic Managed C++ J#
public ReportCollection Reports
Public Reports As ReportCollection
public:
ReportCollection^ Reports
public ReportCollection Reports


Save Method (reportDirectory, overwriteLifetime)

Save Method (reportDirectory, overwriteLifetime)
Namespaces > WebStats > Engine > Save(String, Boolean)

[This is preliminary documentation and is subject to change.]

Saves all reports to the specific report directory.
Syntax
C# Visual Basic Managed C++ J#
public string[] Save (
    string reportDirectory,
    bool overwriteLifetime
)
Public Function Save ( _
    reportDirectory As String, _
    overwriteLifetime As Boolean _
) As String()
public:
array<String^>^ Save (
    String^ reportDirectory,
    bool overwriteLifetime
)
public String[] Save (
    String reportDirectory,
    boolean overwriteLifetime
)
Parameters
reportDirectory (String)
The report directory.
overwriteLifetime (Boolean)
if set to true [overwrite lifetime].
Return Value
An array of filepaths where the reports were saved.


Profile.ProcessModeType Enumeration

Profile.ProcessModeType Enumeration
Namespaces > WebStats > Profile > ProcessModeType

[This is preliminary documentation and is subject to change.]

Method to use in processing logs.
Syntax
C# Visual Basic Managed C++ J#
public enum ProcessModeType
Public Enumeration ProcessModeType
public enum class ProcessModeType
public enum ProcessModeType
Members
Member | Description
IOBurst | Reads all the data in, then processes it.
LowMemory | Reads one log, processes it, then the next and so on, allowing the GC to free those resources if needed.


Profile Class

Profile Class
Namespaces > WebStats > Profile

[This is preliminary documentation and is subject to change.]

The Profiles class is used to make and manage profiles. Profiles are used by the system as individual settings files, telling WebStats how to operate.
Syntax
C# Visual Basic Managed C++ J#
public class Profile
Public Class Profile
public ref class Profile
public class Profile
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | ProfileNew() | Initializes a new instance of the Profile class.
 | BrowsersMaxLevel | The maximum depth (level) to process for this profile.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | FileTypesMaxLevel | The maximum depth (level) to process for this profile.
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | Load(String) | Loads the specified filepath.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | NotPageList | A list of file extensions that are not to be considered as "pages" (e.g., .jpg, .bmp, etc.)
 | OSsMaxLevel | The maximum depth (level) to process for this profile.
 | ProcessMode | The process mode to use for this profile.
 | RobotsMaxLevel | The maximum depth (level) to process for this profile.
 | Save(String) | Saves the specified filepath.
 | SearchEngineMaxLevel | The maximum depth (level) to process for this profile.
 | SessionTimeout | The time (in mimutes) that can elapse before the session is considered ended.
 | Timeframe | Representation of the duration covered by a single report.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
 | WebsiteUrls | A list of website urls (RegEx) that are not to be considered as "referrers".
Inheritance Hierarchy
Object
Profile


Profile Constructor

Profile Constructor
Namespaces > WebStats > Profile > ProfileNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Profile class.
Syntax
C# Visual Basic Managed C++ J#
public Profile ()
Public Sub New
public:
Profile ()
public Profile ()


BrowsersMaxLevel Field

BrowsersMaxLevel Field
Namespaces > WebStats > Profile > BrowsersMaxLevel

[This is preliminary documentation and is subject to change.]

The maximum depth (level) to process for this profile.
Syntax
C# Visual Basic Managed C++ J#
public int BrowsersMaxLevel
Public BrowsersMaxLevel As Integer
public:
int BrowsersMaxLevel
public int BrowsersMaxLevel


FileTypesMaxLevel Field

FileTypesMaxLevel Field
Namespaces > WebStats > Profile > FileTypesMaxLevel

[This is preliminary documentation and is subject to change.]

The maximum depth (level) to process for this profile.
Syntax
C# Visual Basic Managed C++ J#
public int FileTypesMaxLevel
Public FileTypesMaxLevel As Integer
public:
int FileTypesMaxLevel
public int FileTypesMaxLevel


Load Method (filepath)

Load Method (filepath)
Namespaces > WebStats > Profile > Load(String)

[This is preliminary documentation and is subject to change.]

Loads the specified filepath.
Syntax
C# Visual Basic Managed C++ J#
public static Profile Load (
    string filepath
)
Public Shared Function Load ( _
    filepath As String _
) As Profile
public:
static Profile^ Load (
    String^ filepath
)
public static Profile Load (
    String filepath
)
Parameters
filepath (String)
The filepath.
Return Value
Returns the loaded instance of Profile.


NotPageList Field

NotPageList Field
Namespaces > WebStats > Profile > NotPageList

[This is preliminary documentation and is subject to change.]

A list of file extensions that are not to be considered as "pages" (e.g., .jpg, .bmp, etc.)
Syntax
C# Visual Basic Managed C++ J#
public string[] NotPageList
Public NotPageList As String()
public:
array<String^>^ NotPageList
public String[] NotPageList


OSsMaxLevel Field

OSsMaxLevel Field
Namespaces > WebStats > Profile > OSsMaxLevel

[This is preliminary documentation and is subject to change.]

The maximum depth (level) to process for this profile.
Syntax
C# Visual Basic Managed C++ J#
public int OSsMaxLevel
Public OSsMaxLevel As Integer
public:
int OSsMaxLevel
public int OSsMaxLevel


ProcessMode Field

ProcessMode Field
Namespaces > WebStats > Profile > ProcessMode

[This is preliminary documentation and is subject to change.]

The process mode to use for this profile.
Syntax
C# Visual Basic Managed C++ J#
public Profile.ProcessModeType ProcessMode
Public ProcessMode As ProcessModeType
public:
ProcessModeType ProcessMode
public Profile.ProcessModeType ProcessMode


RobotsMaxLevel Field

RobotsMaxLevel Field
Namespaces > WebStats > Profile > RobotsMaxLevel

[This is preliminary documentation and is subject to change.]

The maximum depth (level) to process for this profile.
Syntax
C# Visual Basic Managed C++ J#
public int RobotsMaxLevel
Public RobotsMaxLevel As Integer
public:
int RobotsMaxLevel
public int RobotsMaxLevel


Save Method (filepath)

Save Method (filepath)
Namespaces > WebStats > Profile > Save(String)

[This is preliminary documentation and is subject to change.]

Saves the specified filepath.
Syntax
C# Visual Basic Managed C++ J#
public void Save (
    string filepath
)
Public Sub Save ( _
    filepath As String _
)
public:
void Save (
    String^ filepath
)
public void Save (
    String filepath
)
Parameters
filepath (String)
The filepath.


SearchEngineMaxLevel Field

SearchEngineMaxLevel Field
Namespaces > WebStats > Profile > SearchEngineMaxLevel

[This is preliminary documentation and is subject to change.]

The maximum depth (level) to process for this profile.
Syntax
C# Visual Basic Managed C++ J#
public int SearchEngineMaxLevel
Public SearchEngineMaxLevel As Integer
public:
int SearchEngineMaxLevel
public int SearchEngineMaxLevel


SessionTimeout Field

SessionTimeout Field
Namespaces > WebStats > Profile > SessionTimeout

[This is preliminary documentation and is subject to change.]

The time (in mimutes) that can elapse before the session is considered ended.
Syntax
C# Visual Basic Managed C++ J#
public int SessionTimeout
Public SessionTimeout As Integer
public:
int SessionTimeout
public int SessionTimeout


Timeframe Field

Timeframe Field
Namespaces > WebStats > Profile > Timeframe

[This is preliminary documentation and is subject to change.]

Representation of the duration covered by a single report.
Syntax
C# Visual Basic Managed C++ J#
public Profile.TimeframeType Timeframe
Public Timeframe As TimeframeType
public:
TimeframeType Timeframe
public Profile.TimeframeType Timeframe


WebsiteUrls Field

WebsiteUrls Field
Namespaces > WebStats > Profile > WebsiteUrls

[This is preliminary documentation and is subject to change.]

A list of website urls (RegEx) that are not to be considered as "referrers".
Syntax
C# Visual Basic Managed C++ J#
public string[] WebsiteUrls
Public WebsiteUrls As String()
public:
array<String^>^ WebsiteUrls
public String[] WebsiteUrls


Profile.TimeframeType Enumeration

Profile.TimeframeType Enumeration
Namespaces > WebStats > Profile > TimeframeType

[This is preliminary documentation and is subject to change.]

A span of time.
Syntax
C# Visual Basic Managed C++ J#
public enum TimeframeType
Public Enumeration TimeframeType
public enum class TimeframeType
public enum TimeframeType
Members
Member | Description
Month | Equals one month.


Utilities Class

Utilities Class
Namespaces > WebStats > Utilities

[This is preliminary documentation and is subject to change.]

Helpers
Syntax
C# Visual Basic Managed C++ J#
public static class Utilities
Public NotInheritable Class Utilities
public ref class Utilities abstract sealed
public final class Utilities
Inheritance Hierarchy
Object
Utilities


WebStats.Collections Namespace

WebStats.Collections Namespace
Namespaces > WebStats.Collections

[This is preliminary documentation and is subject to change.]

Collections used in WebStats.
Syntax
C# Visual Basic Managed C++ J#
namespace WebStats.Collections
Namespace WebStats.Collections
namespace WebStats.Collections
package WebStats.Collections
Types
All Types Classes Structures Interfaces Enumerations Delegates
Icon | Name | Description
public class | AuthenticatedUserCollection | A collection of AuthenticatedUser
public class | BrowserCollection | A collection of Browser
public class | DayCollection | A collection of Day.
public class | DayOfWeekCollection | A collection of DayOfWeek.
public class | FileCollection | A collection of File.
public class | FileTypeCollection | A collection of FileType.
public class | HostCollection | A collection of Host
public class | HourOfDayCollection | A collection of HourOfDay.
public class | KeyphraseCollection | A collection of Keyphrase used to find this page.
public class | KeywordCollection | A collection of Keyword used to search for this page.
public class | MonthCollection | A collection of Month.
public class | OperatingSystemCollection | A collection of OperatingSystem
public class | PageCollection | A collection of Page
public class | ReferrerCollection | A collection of Referrer.
public class | ReportCollection | A collection of Report
public class | RobotCollection | A collection of Robot
public class | SearchEngineCollection | A collection of SearchEngine.
public class | SessionCollection | A collection of Session.
public class | SessionReferenceCollection | A collection of SessionReference.
public class | SorterClass | Used when HostCollection's Sort method is called.
public class | SorterClass | Used when HostCollection's Sort method is called.
public class | SorterClass | Used when AuthenticatedUserCollection's Sort method is called.
public class | SorterClass | Used when SessionCollection.Sort is called
public class | SorterClass | Used when RobotCollection.Sort is called/
public class | SorterClass | Used when BrowserCollection.Sort is called.
public class | SorterClass | Used when OperatingSystemCollection.Sort is called
public class | SorterClass | Used when PageCollection.Sort is called
public class | SorterClass | Used when FileCollection.Sort is called.
public class | SorterClass | Used when FileTypeCollection.Sort is called.
public class | SorterClass | Used when SearchEngineCollection.Sort is called.
public class | SorterClass | Used when KeywordCollection.Sort is called.
public class | SorterClass | Used when KeyphraseCollection.Sort is called.
public class | SorterClass | Used when ReferrerCollection.Sort is called.
public class | SorterClass | Used when DayCollection.Sort is called.
public class | SorterClass | Used when DayOfWeekCollection.Sort is called.
public class | SorterClass | Used when HourOfDayCollection.Sort is called.
public class | SorterClass | Used when MonthCollection.Sort is called.
public class | SorterClass | Used when SessionReferenceCollection.Sort is called.


AuthenticatedUserCollection Class

AuthenticatedUserCollection Class
Namespaces > WebStats.Collections > AuthenticatedUserCollection

[This is preliminary documentation and is subject to change.]

A collection of AuthenticatedUser
Syntax
C# Visual Basic Managed C++ J#
[DefaultMemberAttribute("Item")]
public class AuthenticatedUserCollection : ICollection, IEnumerable
<DefaultMemberAttribute("Item")> _
Public Class AuthenticatedUserCollection _
    Implements ICollection, IEnumerable
[DefaultMemberAttribute(L"Item")]
public ref class AuthenticatedUserCollection : ICollection, IEnumerable
/** @attribute DefaultMemberAttribute("Item") */
public class AuthenticatedUserCollection implements ICollection, IEnumerable
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | AuthenticatedUserCollectionNew(Int32) | Initializes a new instance of the AuthenticatedUserCollection class.
 | Add(AuthenticatedUser) | Adds the specified authenticated user.
 | CopyTo(Array, Int32) | Copies to.
 | Count | Gets the number of elements contained in the ICollection.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Exists(String) | Determines if the specified username exists
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetEnumerator() | Returns an enumerator that iterates through a collection.
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetTop(Int32) | Gets the top.
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | IsSynchronized | Gets a value indicating whether access to the ICollection is synchronized (thread safe).
 | Item(Int32) | Gets or sets the AuthenticatedUser at the specified index.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Search(String) | Searches the specified username.
 | Sort() | Sorts this instance.
 | SyncRoot | Gets an object that can be used to synchronize access to the ICollection.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
AuthenticatedUserCollection


AuthenticatedUserCollection Constructor (capacity)

AuthenticatedUserCollection Constructor (capacity)
Namespaces > WebStats.Collections > AuthenticatedUserCollection > AuthenticatedUserCollectionNew(Int32)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the AuthenticatedUserCollection class.
Syntax
C# Visual Basic Managed C++ J#
public AuthenticatedUserCollection (
    int capacity
)
Public Sub New ( _
    capacity As Integer _
)
public:
AuthenticatedUserCollection (
    int capacity
)
public AuthenticatedUserCollection (
    int capacity
)
Parameters
capacity (Int32)
The capacity.


Add Method (authenticatedUser)

Add Method (authenticatedUser)
Namespaces > WebStats.Collections > AuthenticatedUserCollection > Add(AuthenticatedUser)

[This is preliminary documentation and is subject to change.]

Adds the specified authenticated user.
Syntax
C# Visual Basic Managed C++ J#
public void Add (
    AuthenticatedUser authenticatedUser
)
Public Sub Add ( _
    authenticatedUser As AuthenticatedUser _
)
public:
void Add (
    AuthenticatedUser^ authenticatedUser
)
public void Add (
    AuthenticatedUser authenticatedUser
)
Parameters
authenticatedUser (AuthenticatedUser)
The authenticated user.


CopyTo Method (a, i)

CopyTo Method (a, i)
Namespaces > WebStats.Collections > AuthenticatedUserCollection > CopyTo(Array, Int32)

[This is preliminary documentation and is subject to change.]

Copies to.
Syntax
C# Visual Basic Managed C++ J#
public void CopyTo (
    Array a,
    int i
)
Public Sub CopyTo ( _
    a As Array, _
    i As Integer _
)
public:
virtual void CopyTo (
    Array^ a,
    int i
) sealed
public final void CopyTo (
    Array a,
    int i
)
Parameters
a (Array)
A.
i (Int32)
The i.


Count Property

Count Property
Namespaces > WebStats.Collections > AuthenticatedUserCollection > Count

[This is preliminary documentation and is subject to change.]

Gets the number of elements contained in the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public int Count { get; }
Public ReadOnly Property Count As Integer
public:
virtual property int Count {
    int get () sealed;
}
/** @property */
public final int get_Count ()
Field Value
Return Value
The number of elements contained in the ICollection.


Exists Method (username)

Exists Method (username)
Namespaces > WebStats.Collections > AuthenticatedUserCollection > Exists(String)

[This is preliminary documentation and is subject to change.]

Determines if the specified username exists
Syntax
C# Visual Basic Managed C++ J#
public bool Exists (
    string username
)
Public Function Exists ( _
    username As String _
) As Boolean
public:
bool Exists (
    String^ username
)
public boolean Exists (
    String username
)
Parameters
username (String)
The username.
Return Value
True if it exists


GetEnumerator Method

GetEnumerator Method
Namespaces > WebStats.Collections > AuthenticatedUserCollection > GetEnumerator()

[This is preliminary documentation and is subject to change.]

Returns an enumerator that iterates through a collection.
Syntax
C# Visual Basic Managed C++ J#
public IEnumerator GetEnumerator ()
Public Function GetEnumerator As IEnumerator
public:
virtual IEnumerator^ GetEnumerator () sealed
public final IEnumerator GetEnumerator ()
Return Value
An IEnumerator object that can be used to iterate through the collection.


GetTop Method (count)

GetTop Method (count)
Namespaces > WebStats.Collections > AuthenticatedUserCollection > GetTop(Int32)

[This is preliminary documentation and is subject to change.]

Gets the top.
Syntax
C# Visual Basic Managed C++ J#
public AuthenticatedUser[] GetTop (
    int count
)
Public Function GetTop ( _
    count As Integer _
) As AuthenticatedUser()
public:
array<AuthenticatedUser^>^ GetTop (
    int count
)
public AuthenticatedUser[] GetTop (
    int count
)
Parameters
count (Int32)
The count.
Return Value
An array of AuthenticatedUser.


IsSynchronized Property

IsSynchronized Property
Namespaces > WebStats.Collections > AuthenticatedUserCollection > IsSynchronized

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether access to the ICollection is synchronized (thread safe).
Syntax
C# Visual Basic Managed C++ J#
public bool IsSynchronized { get; }
Public ReadOnly Property IsSynchronized As Boolean
public:
virtual property bool IsSynchronized {
    bool get () sealed;
}
/** @property */
public final boolean get_IsSynchronized ()
Field Value
Return Value
true if access to the ICollection is synchronized (thread safe); otherwise, false.


Item Property (index)

Item Property (index)
Namespaces > WebStats.Collections > AuthenticatedUserCollection > Item(Int32)

[This is preliminary documentation and is subject to change.]

Gets or sets the AuthenticatedUser at the specified index.
Syntax
C# Visual Basic Managed C++ J#
public AuthenticatedUser this [
    int index
] { get; set; }
Public Property Item ( _
    index As Integer _
) As AuthenticatedUser
public:
property AuthenticatedUser^ default[int index] {
    AuthenticatedUser^ get (int index);
    void set (int index, AuthenticatedUser^ value);
}
/** @property */
public AuthenticatedUser get_Item (
    int index
)
/** @property */
public  void set_Item
Parameters
index (Int32)
Field Value
A AuthenticatedUser to assign to the specified index.


Search Method (username)

Search Method (username)
Namespaces > WebStats.Collections > AuthenticatedUserCollection > Search(String)

[This is preliminary documentation and is subject to change.]

Searches the specified username.
Syntax
C# Visual Basic Managed C++ J#
public int Search (
    string username
)
Public Function Search ( _
    username As String _
) As Integer
public:
int Search (
    String^ username
)
public int Search (
    String username
)
Parameters
username (String)
The username.
Return Value
Index of the username


Sort Method

Sort Method
Namespaces > WebStats.Collections > AuthenticatedUserCollection > Sort()

[This is preliminary documentation and is subject to change.]

Sorts this instance.
Syntax
C# Visual Basic Managed C++ J#
public void Sort ()
Public Sub Sort
public:
void Sort ()
public void Sort ()


SyncRoot Property

SyncRoot Property
Namespaces > WebStats.Collections > AuthenticatedUserCollection > SyncRoot

[This is preliminary documentation and is subject to change.]

Gets an object that can be used to synchronize access to the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public Object SyncRoot { get; }
Public ReadOnly Property SyncRoot As Object
public:
virtual property Object^ SyncRoot {
    Object^ get () sealed;
}
/** @property */
public final Object get_SyncRoot ()
Field Value
Return Value
An object that can be used to synchronize access to the ICollection.


BrowserCollection Class

BrowserCollection Class
Namespaces > WebStats.Collections > BrowserCollection

[This is preliminary documentation and is subject to change.]

A collection of Browser
Syntax
C# Visual Basic Managed C++ J#
[DefaultMemberAttribute("Item")]
public class BrowserCollection : ICollection, IEnumerable
<DefaultMemberAttribute("Item")> _
Public Class BrowserCollection _
    Implements ICollection, IEnumerable
[DefaultMemberAttribute(L"Item")]
public ref class BrowserCollection : ICollection, IEnumerable
/** @attribute DefaultMemberAttribute("Item") */
public class BrowserCollection implements ICollection, IEnumerable
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | BrowserCollectionNew(Int32) | Initializes a new instance of the BrowserCollection class.
 | Add(Browser) | Adds the specified browser.
 | CopyTo(Array, Int32) | Copies to.
 | Count | Gets the number of elements contained in the ICollection.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Exists(Browser) | Determines if the specified browser exists.
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetEnumerator() | Returns an enumerator that iterates through a collection.
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetTop(Int32) | Gets the top.
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | IsSynchronized | Gets a value indicating whether access to the ICollection is synchronized (thread safe).
 | Item(Int32) | Gets or sets the Browser at the specified index.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Search(Browser) | Searches the specified browser.
 | Sort() | Sorts this instance.
 | SyncRoot | Gets an object that can be used to synchronize access to the ICollection.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
BrowserCollection


BrowserCollection Constructor (capacity)

BrowserCollection Constructor (capacity)
Namespaces > WebStats.Collections > BrowserCollection > BrowserCollectionNew(Int32)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the BrowserCollection class.
Syntax
C# Visual Basic Managed C++ J#
public BrowserCollection (
    int capacity
)
Public Sub New ( _
    capacity As Integer _
)
public:
BrowserCollection (
    int capacity
)
public BrowserCollection (
    int capacity
)
Parameters
capacity (Int32)
The capacity.


Add Method (browser)

Add Method (browser)
Namespaces > WebStats.Collections > BrowserCollection > Add(Browser)

[This is preliminary documentation and is subject to change.]

Adds the specified browser.
Syntax
C# Visual Basic Managed C++ J#
public void Add (
    Browser browser
)
Public Sub Add ( _
    browser As Browser _
)
public:
void Add (
    Browser^ browser
)
public void Add (
    Browser browser
)
Parameters
browser (Browser)
The browser.


CopyTo Method (a, i)

CopyTo Method (a, i)
Namespaces > WebStats.Collections > BrowserCollection > CopyTo(Array, Int32)

[This is preliminary documentation and is subject to change.]

Copies to.
Syntax
C# Visual Basic Managed C++ J#
public void CopyTo (
    Array a,
    int i
)
Public Sub CopyTo ( _
    a As Array, _
    i As Integer _
)
public:
virtual void CopyTo (
    Array^ a,
    int i
) sealed
public final void CopyTo (
    Array a,
    int i
)
Parameters
a (Array)
A.
i (Int32)
The i.


Count Property

Count Property
Namespaces > WebStats.Collections > BrowserCollection > Count

[This is preliminary documentation and is subject to change.]

Gets the number of elements contained in the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public int Count { get; }
Public ReadOnly Property Count As Integer
public:
virtual property int Count {
    int get () sealed;
}
/** @property */
public final int get_Count ()
Field Value
Return Value
The number of elements contained in the ICollection.


Exists Method (browser)

Exists Method (browser)
Namespaces > WebStats.Collections > BrowserCollection > Exists(Browser)

[This is preliminary documentation and is subject to change.]

Determines if the specified browser exists.
Syntax
C# Visual Basic Managed C++ J#
public bool Exists (
    Browser browser
)
Public Function Exists ( _
    browser As Browser _
) As Boolean
public:
bool Exists (
    Browser^ browser
)
public boolean Exists (
    Browser browser
)
Parameters
browser (Browser)
The browser.
Return Value
True if it exists


GetEnumerator Method

GetEnumerator Method
Namespaces > WebStats.Collections > BrowserCollection > GetEnumerator()

[This is preliminary documentation and is subject to change.]

Returns an enumerator that iterates through a collection.
Syntax
C# Visual Basic Managed C++ J#
public IEnumerator GetEnumerator ()
Public Function GetEnumerator As IEnumerator
public:
virtual IEnumerator^ GetEnumerator () sealed
public final IEnumerator GetEnumerator ()
Return Value
An IEnumerator object that can be used to iterate through the collection.


GetTop Method (count)

GetTop Method (count)
Namespaces > WebStats.Collections > BrowserCollection > GetTop(Int32)

[This is preliminary documentation and is subject to change.]

Gets the top.
Syntax
C# Visual Basic Managed C++ J#
public Browser[] GetTop (
    int count
)
Public Function GetTop ( _
    count As Integer _
) As Browser()
public:
array<Browser^>^ GetTop (
    int count
)
public Browser[] GetTop (
    int count
)
Parameters
count (Int32)
The count.
Return Value
Array of Browser.


IsSynchronized Property

IsSynchronized Property
Namespaces > WebStats.Collections > BrowserCollection > IsSynchronized

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether access to the ICollection is synchronized (thread safe).
Syntax
C# Visual Basic Managed C++ J#
public bool IsSynchronized { get; }
Public ReadOnly Property IsSynchronized As Boolean
public:
virtual property bool IsSynchronized {
    bool get () sealed;
}
/** @property */
public final boolean get_IsSynchronized ()
Field Value
Return Value
true if access to the ICollection is synchronized (thread safe); otherwise, false.


Item Property (index)

Item Property (index)
Namespaces > WebStats.Collections > BrowserCollection > Item(Int32)

[This is preliminary documentation and is subject to change.]

Gets or sets the Browser at the specified index.
Syntax
C# Visual Basic Managed C++ J#
public Browser this [
    int index
] { get; set; }
Public Property Item ( _
    index As Integer _
) As Browser
public:
property Browser^ default[int index] {
    Browser^ get (int index);
    void set (int index, Browser^ value);
}
/** @property */
public Browser get_Item (
    int index
)
/** @property */
public  void set_Item
Parameters
index (Int32)
Field Value


Search Method (browser)

Search Method (browser)
Namespaces > WebStats.Collections > BrowserCollection > Search(Browser)

[This is preliminary documentation and is subject to change.]

Searches the specified browser.
Syntax
C# Visual Basic Managed C++ J#
public int Search (
    Browser browser
)
Public Function Search ( _
    browser As Browser _
) As Integer
public:
int Search (
    Browser^ browser
)
public int Search (
    Browser browser
)
Parameters
browser (Browser)
The browser.
Return Value
The index of the browser.


Sort Method

Sort Method
Namespaces > WebStats.Collections > BrowserCollection > Sort()

[This is preliminary documentation and is subject to change.]

Sorts this instance.
Syntax
C# Visual Basic Managed C++ J#
public void Sort ()
Public Sub Sort
public:
void Sort ()
public void Sort ()


SyncRoot Property

SyncRoot Property
Namespaces > WebStats.Collections > BrowserCollection > SyncRoot

[This is preliminary documentation and is subject to change.]

Gets an object that can be used to synchronize access to the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public Object SyncRoot { get; }
Public ReadOnly Property SyncRoot As Object
public:
virtual property Object^ SyncRoot {
    Object^ get () sealed;
}
/** @property */
public final Object get_SyncRoot ()
Field Value
Return Value
An object that can be used to synchronize access to the ICollection.


DayCollection Class

DayCollection Class
Namespaces > WebStats.Collections > DayCollection

[This is preliminary documentation and is subject to change.]

A collection of Day.
Syntax
C# Visual Basic Managed C++ J#
[DefaultMemberAttribute("Item")]
public class DayCollection : ICollection, IEnumerable
<DefaultMemberAttribute("Item")> _
Public Class DayCollection _
    Implements ICollection, IEnumerable
[DefaultMemberAttribute(L"Item")]
public ref class DayCollection : ICollection, IEnumerable
/** @attribute DefaultMemberAttribute("Item") */
public class DayCollection implements ICollection, IEnumerable
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | DayCollectionNew(Int32) | Initializes a new instance of the DayCollection class.
 | Add(Day) | Adds the specified day.
 | CopyTo(Array, Int32) | Copies to.
 | Count | Gets the number of elements contained in the ICollection.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Exists(DateTime) | Determines if the specified date exists.
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetEnumerator() | Returns an enumerator that iterates through a collection.
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetTop(Int32) | Gets the top.
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | IsSynchronized | Gets a value indicating whether access to the ICollection is synchronized (thread safe).
 | Item(Int32) | Gets or sets the Day at the specified index.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Search(DateTime) | Searches the collection to find the specified date.
 | Sort() | Sorts this instance.
 | SyncRoot | Gets an object that can be used to synchronize access to the ICollection.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
DayCollection


DayCollection Constructor (capacity)

DayCollection Constructor (capacity)
Namespaces > WebStats.Collections > DayCollection > DayCollectionNew(Int32)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the DayCollection class.
Syntax
C# Visual Basic Managed C++ J#
public DayCollection (
    int capacity
)
Public Sub New ( _
    capacity As Integer _
)
public:
DayCollection (
    int capacity
)
public DayCollection (
    int capacity
)
Parameters
capacity (Int32)
The capacity.


Add Method (day)

Add Method (day)
Namespaces > WebStats.Collections > DayCollection > Add(Day)

[This is preliminary documentation and is subject to change.]

Adds the specified day.
Syntax
C# Visual Basic Managed C++ J#
public void Add (
    Day day
)
Public Sub Add ( _
    day As Day _
)
public:
void Add (
    Day^ day
)
public void Add (
    Day day
)
Parameters
day (Day)
The day.


CopyTo Method (a, i)

CopyTo Method (a, i)
Namespaces > WebStats.Collections > DayCollection > CopyTo(Array, Int32)

[This is preliminary documentation and is subject to change.]

Copies to.
Syntax
C# Visual Basic Managed C++ J#
public void CopyTo (
    Array a,
    int i
)
Public Sub CopyTo ( _
    a As Array, _
    i As Integer _
)
public:
virtual void CopyTo (
    Array^ a,
    int i
) sealed
public final void CopyTo (
    Array a,
    int i
)
Parameters
a (Array)
A.
i (Int32)
The i.


Count Property

Count Property
Namespaces > WebStats.Collections > DayCollection > Count

[This is preliminary documentation and is subject to change.]

Gets the number of elements contained in the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public int Count { get; }
Public ReadOnly Property Count As Integer
public:
virtual property int Count {
    int get () sealed;
}
/** @property */
public final int get_Count ()
Field Value
Return Value
The number of elements contained in the ICollection.


Exists Method (date)

Exists Method (date)
Namespaces > WebStats.Collections > DayCollection > Exists(DateTime)

[This is preliminary documentation and is subject to change.]

Determines if the specified date exists.
Syntax
C# Visual Basic Managed C++ J#
public bool Exists (
    DateTime date
)
Public Function Exists ( _
    date As DateTime _
) As Boolean
public:
bool Exists (
    DateTime date
)
public boolean Exists (
    DateTime date
)
Parameters
date (DateTime)
The date.
Return Value
True if found, false if not.


GetEnumerator Method

GetEnumerator Method
Namespaces > WebStats.Collections > DayCollection > GetEnumerator()

[This is preliminary documentation and is subject to change.]

Returns an enumerator that iterates through a collection.
Syntax
C# Visual Basic Managed C++ J#
public IEnumerator GetEnumerator ()
Public Function GetEnumerator As IEnumerator
public:
virtual IEnumerator^ GetEnumerator () sealed
public final IEnumerator GetEnumerator ()
Return Value
An IEnumerator object that can be used to iterate through the collection.


GetTop Method (count)

GetTop Method (count)
Namespaces > WebStats.Collections > DayCollection > GetTop(Int32)

[This is preliminary documentation and is subject to change.]

Gets the top.
Syntax
C# Visual Basic Managed C++ J#
public Day[] GetTop (
    int count
)
Public Function GetTop ( _
    count As Integer _
) As Day()
public:
array<Day^>^ GetTop (
    int count
)
public Day[] GetTop (
    int count
)
Parameters
count (Int32)
The count.
Return Value
An array representing the top [count] items.


IsSynchronized Property

IsSynchronized Property
Namespaces > WebStats.Collections > DayCollection > IsSynchronized

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether access to the ICollection is synchronized (thread safe).
Syntax
C# Visual Basic Managed C++ J#
public bool IsSynchronized { get; }
Public ReadOnly Property IsSynchronized As Boolean
public:
virtual property bool IsSynchronized {
    bool get () sealed;
}
/** @property */
public final boolean get_IsSynchronized ()
Field Value
Return Value
true if access to the ICollection is synchronized (thread safe); otherwise, false.


Item Property (index)

Item Property (index)
Namespaces > WebStats.Collections > DayCollection > Item(Int32)

[This is preliminary documentation and is subject to change.]

Gets or sets the Day at the specified index.
Syntax
C# Visual Basic Managed C++ J#
public Day this [
    int index
] { get; set; }
Public Property Item ( _
    index As Integer _
) As Day
public:
property Day^ default[int index] {
    Day^ get (int index);
    void set (int index, Day^ value);
}
/** @property */
public Day get_Item (
    int index
)
/** @property */
public  void set_Item
Parameters
index (Int32)
Field Value


Search Method (date)

Search Method (date)
Namespaces > WebStats.Collections > DayCollection > Search(DateTime)

[This is preliminary documentation and is subject to change.]

Searches the collection to find the specified date.
Syntax
C# Visual Basic Managed C++ J#
public int Search (
    DateTime date
)
Public Function Search ( _
    date As DateTime _
) As Integer
public:
int Search (
    DateTime date
)
public int Search (
    DateTime date
)
Parameters
date (DateTime)
The date.
Return Value
The index of the specified date, or -1 if it cannot be found.


Sort Method

Sort Method
Namespaces > WebStats.Collections > DayCollection > Sort()

[This is preliminary documentation and is subject to change.]

Sorts this instance.
Syntax
C# Visual Basic Managed C++ J#
public void Sort ()
Public Sub Sort
public:
void Sort ()
public void Sort ()


SyncRoot Property

SyncRoot Property
Namespaces > WebStats.Collections > DayCollection > SyncRoot

[This is preliminary documentation and is subject to change.]

Gets an object that can be used to synchronize access to the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public Object SyncRoot { get; }
Public ReadOnly Property SyncRoot As Object
public:
virtual property Object^ SyncRoot {
    Object^ get () sealed;
}
/** @property */
public final Object get_SyncRoot ()
Field Value
Return Value
An object that can be used to synchronize access to the ICollection.


DayOfWeekCollection Class

DayOfWeekCollection Class
Namespaces > WebStats.Collections > DayOfWeekCollection

[This is preliminary documentation and is subject to change.]

A collection of DayOfWeek.
Syntax
C# Visual Basic Managed C++ J#
[DefaultMemberAttribute("Item")]
public class DayOfWeekCollection : ICollection, IEnumerable
<DefaultMemberAttribute("Item")> _
Public Class DayOfWeekCollection _
    Implements ICollection, IEnumerable
[DefaultMemberAttribute(L"Item")]
public ref class DayOfWeekCollection : ICollection, IEnumerable
/** @attribute DefaultMemberAttribute("Item") */
public class DayOfWeekCollection implements ICollection, IEnumerable
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | DayOfWeekCollectionNew() | Initializes a new instance of the DayOfWeekCollection class.
 | Add(DayOfWeek) | Adds the specified dayofweek.
 | CopyTo(Array, Int32) | Copies to.
 | Count | Gets the number of elements contained in the ICollection.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Exists(String) | Determines if the specified dayofweek exists.
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetEnumerator() | Returns an enumerator that iterates through a collection.
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetTop(Int32) | Gets the top.
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | Init() | Inits this instance.
 | IsSynchronized | Gets a value indicating whether access to the ICollection is synchronized (thread safe).
 | Item(Int32) | Gets or sets the DayOfWeek at the specified index.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Search(String) | Searches the collection to find the specified dayofweek.
 | Sort() | Sorts this instance.
 | SyncRoot | Gets an object that can be used to synchronize access to the ICollection.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
DayOfWeekCollection


DayOfWeekCollection Constructor

DayOfWeekCollection Constructor
Namespaces > WebStats.Collections > DayOfWeekCollection > DayOfWeekCollectionNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the DayOfWeekCollection class.
Syntax
C# Visual Basic Managed C++ J#
public DayOfWeekCollection ()
Public Sub New
public:
DayOfWeekCollection ()
public DayOfWeekCollection ()
Remarks
MUST call Init()!!!


Add Method (dayofweek)

Add Method (dayofweek)
Namespaces > WebStats.Collections > DayOfWeekCollection > Add(DayOfWeek)

[This is preliminary documentation and is subject to change.]

Adds the specified dayofweek.
Syntax
C# Visual Basic Managed C++ J#
public void Add (
    DayOfWeek dayofweek
)
Public Sub Add ( _
    dayofweek As DayOfWeek _
)
public:
void Add (
    DayOfWeek^ dayofweek
)
public void Add (
    DayOfWeek dayofweek
)
Parameters
dayofweek (DayOfWeek)
The dayofweek.


CopyTo Method (a, i)

CopyTo Method (a, i)
Namespaces > WebStats.Collections > DayOfWeekCollection > CopyTo(Array, Int32)

[This is preliminary documentation and is subject to change.]

Copies to.
Syntax
C# Visual Basic Managed C++ J#
public void CopyTo (
    Array a,
    int i
)
Public Sub CopyTo ( _
    a As Array, _
    i As Integer _
)
public:
virtual void CopyTo (
    Array^ a,
    int i
) sealed
public final void CopyTo (
    Array a,
    int i
)
Parameters
a (Array)
A.
i (Int32)
The i.


Count Property

Count Property
Namespaces > WebStats.Collections > DayOfWeekCollection > Count

[This is preliminary documentation and is subject to change.]

Gets the number of elements contained in the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public int Count { get; }
Public ReadOnly Property Count As Integer
public:
virtual property int Count {
    int get () sealed;
}
/** @property */
public final int get_Count ()
Field Value
Return Value
The number of elements contained in the ICollection.


Exists Method (dayofweek)

Exists Method (dayofweek)
Namespaces > WebStats.Collections > DayOfWeekCollection > Exists(String)

[This is preliminary documentation and is subject to change.]

Determines if the specified dayofweek exists.
Syntax
C# Visual Basic Managed C++ J#
public bool Exists (
    string dayofweek
)
Public Function Exists ( _
    dayofweek As String _
) As Boolean
public:
bool Exists (
    String^ dayofweek
)
public boolean Exists (
    String dayofweek
)
Parameters
dayofweek (String)
The dayofweek.
Return Value
True if found, false if not.


GetEnumerator Method

GetEnumerator Method
Namespaces > WebStats.Collections > DayOfWeekCollection > GetEnumerator()

[This is preliminary documentation and is subject to change.]

Returns an enumerator that iterates through a collection.
Syntax
C# Visual Basic Managed C++ J#
public IEnumerator GetEnumerator ()
Public Function GetEnumerator As IEnumerator
public:
virtual IEnumerator^ GetEnumerator () sealed
public final IEnumerator GetEnumerator ()
Return Value
An IEnumerator object that can be used to iterate through the collection.


GetTop Method (count)

GetTop Method (count)
Namespaces > WebStats.Collections > DayOfWeekCollection > GetTop(Int32)

[This is preliminary documentation and is subject to change.]

Gets the top.
Syntax
C# Visual Basic Managed C++ J#
public DayOfWeek[] GetTop (
    int count
)
Public Function GetTop ( _
    count As Integer _
) As DayOfWeek()
public:
array<DayOfWeek^>^ GetTop (
    int count
)
public DayOfWeek[] GetTop (
    int count
)
Parameters
count (Int32)
The count.
Return Value
An array representing the top [count] items.


Init Method

Init Method
Namespaces > WebStats.Collections > DayOfWeekCollection > Init()

[This is preliminary documentation and is subject to change.]

Inits this instance.
Syntax
C# Visual Basic Managed C++ J#
public void Init ()
Public Sub Init
public:
void Init ()
public void Init ()


IsSynchronized Property

IsSynchronized Property
Namespaces > WebStats.Collections > DayOfWeekCollection > IsSynchronized

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether access to the ICollection is synchronized (thread safe).
Syntax
C# Visual Basic Managed C++ J#
public bool IsSynchronized { get; }
Public ReadOnly Property IsSynchronized As Boolean
public:
virtual property bool IsSynchronized {
    bool get () sealed;
}
/** @property */
public final boolean get_IsSynchronized ()
Field Value
Return Value
true if access to the ICollection is synchronized (thread safe); otherwise, false.


Item Property (index)

Item Property (index)
Namespaces > WebStats.Collections > DayOfWeekCollection > Item(Int32)

[This is preliminary documentation and is subject to change.]

Gets or sets the DayOfWeek at the specified index.
Syntax
C# Visual Basic Managed C++ J#
public DayOfWeek this [
    int index
] { get; set; }
Public Property Item ( _
    index As Integer _
) As DayOfWeek
public:
property DayOfWeek^ default[int index] {
    DayOfWeek^ get (int index);
    void set (int index, DayOfWeek^ value);
}
/** @property */
public DayOfWeek get_Item (
    int index
)
/** @property */
public  void set_Item
Parameters
index (Int32)
Field Value


Search Method (dayofweek)

Search Method (dayofweek)
Namespaces > WebStats.Collections > DayOfWeekCollection > Search(String)

[This is preliminary documentation and is subject to change.]

Searches the collection to find the specified dayofweek.
Syntax
C# Visual Basic Managed C++ J#
public int Search (
    string dayofweek
)
Public Function Search ( _
    dayofweek As String _
) As Integer
public:
int Search (
    String^ dayofweek
)
public int Search (
    String dayofweek
)
Parameters
dayofweek (String)
The dayofweek.
Return Value
The index of the specified dayofweek, or -1 if it cannot be found.


Sort Method

Sort Method
Namespaces > WebStats.Collections > DayOfWeekCollection > Sort()

[This is preliminary documentation and is subject to change.]

Sorts this instance.
Syntax
C# Visual Basic Managed C++ J#
public void Sort ()
Public Sub Sort
public:
void Sort ()
public void Sort ()


SyncRoot Property

SyncRoot Property
Namespaces > WebStats.Collections > DayOfWeekCollection > SyncRoot

[This is preliminary documentation and is subject to change.]

Gets an object that can be used to synchronize access to the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public Object SyncRoot { get; }
Public ReadOnly Property SyncRoot As Object
public:
virtual property Object^ SyncRoot {
    Object^ get () sealed;
}
/** @property */
public final Object get_SyncRoot ()
Field Value
Return Value
An object that can be used to synchronize access to the ICollection.


FileCollection Class

FileCollection Class
Namespaces > WebStats.Collections > FileCollection

[This is preliminary documentation and is subject to change.]

A collection of File.
Syntax
C# Visual Basic Managed C++ J#
[DefaultMemberAttribute("Item")]
public class FileCollection : ICollection, IEnumerable
<DefaultMemberAttribute("Item")> _
Public Class FileCollection _
    Implements ICollection, IEnumerable
[DefaultMemberAttribute(L"Item")]
public ref class FileCollection : ICollection, IEnumerable
/** @attribute DefaultMemberAttribute("Item") */
public class FileCollection implements ICollection, IEnumerable
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | FileCollectionNew(Int32) | Initializes a new instance of the FileCollection class.
 | Add(File) | Adds the specified file.
 | CopyTo(Array, Int32) | Copies to.
 | Count | Gets the number of elements contained in the ICollection.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Exists(String) | Determines if the specified url exists.
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetEnumerator() | Returns an enumerator that iterates through a collection.
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetTop(Int32) | Gets the top.
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | IsSynchronized | Gets a value indicating whether access to the ICollection is synchronized (thread safe).
 | Item(Int32) | Gets or sets the File at the specified index.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Search(String) | Searches the collection to find the specified url.
 | Sort() | Sorts this instance.
 | SyncRoot | Gets an object that can be used to synchronize access to the ICollection.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
FileCollection


FileCollection Constructor (capacity)

FileCollection Constructor (capacity)
Namespaces > WebStats.Collections > FileCollection > FileCollectionNew(Int32)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the FileCollection class.
Syntax
C# Visual Basic Managed C++ J#
public FileCollection (
    int capacity
)
Public Sub New ( _
    capacity As Integer _
)
public:
FileCollection (
    int capacity
)
public FileCollection (
    int capacity
)
Parameters
capacity (Int32)
The capacity.


Add Method (file)

Add Method (file)
Namespaces > WebStats.Collections > FileCollection > Add(File)

[This is preliminary documentation and is subject to change.]

Adds the specified file.
Syntax
C# Visual Basic Managed C++ J#
public void Add (
    File file
)
Public Sub Add ( _
    file As File _
)
public:
void Add (
    File^ file
)
public void Add (
    File file
)
Parameters
file (File)
The file.


CopyTo Method (a, i)

CopyTo Method (a, i)
Namespaces > WebStats.Collections > FileCollection > CopyTo(Array, Int32)

[This is preliminary documentation and is subject to change.]

Copies to.
Syntax
C# Visual Basic Managed C++ J#
public void CopyTo (
    Array a,
    int i
)
Public Sub CopyTo ( _
    a As Array, _
    i As Integer _
)
public:
virtual void CopyTo (
    Array^ a,
    int i
) sealed
public final void CopyTo (
    Array a,
    int i
)
Parameters
a (Array)
A.
i (Int32)
The i.


Count Property

Count Property
Namespaces > WebStats.Collections > FileCollection > Count

[This is preliminary documentation and is subject to change.]

Gets the number of elements contained in the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public int Count { get; }
Public ReadOnly Property Count As Integer
public:
virtual property int Count {
    int get () sealed;
}
/** @property */
public final int get_Count ()
Field Value
Return Value
The number of elements contained in the ICollection.


Exists Method (url)

Exists Method (url)
Namespaces > WebStats.Collections > FileCollection > Exists(String)

[This is preliminary documentation and is subject to change.]

Determines if the specified url exists.
Syntax
C# Visual Basic Managed C++ J#
public bool Exists (
    string url
)
Public Function Exists ( _
    url As String _
) As Boolean
public:
bool Exists (
    String^ url
)
public boolean Exists (
    String url
)
Parameters
url (String)
The URL.
Return Value
True if found, false if not.


GetEnumerator Method

GetEnumerator Method
Namespaces > WebStats.Collections > FileCollection > GetEnumerator()

[This is preliminary documentation and is subject to change.]

Returns an enumerator that iterates through a collection.
Syntax
C# Visual Basic Managed C++ J#
public IEnumerator GetEnumerator ()
Public Function GetEnumerator As IEnumerator
public:
virtual IEnumerator^ GetEnumerator () sealed
public final IEnumerator GetEnumerator ()
Return Value
An IEnumerator object that can be used to iterate through the collection.


GetTop Method (count)

GetTop Method (count)
Namespaces > WebStats.Collections > FileCollection > GetTop(Int32)

[This is preliminary documentation and is subject to change.]

Gets the top.
Syntax
C# Visual Basic Managed C++ J#
public File[] GetTop (
    int count
)
Public Function GetTop ( _
    count As Integer _
) As File()
public:
array<File^>^ GetTop (
    int count
)
public File[] GetTop (
    int count
)
Parameters
count (Int32)
The count.
Return Value
An array representing the top [count] items.


IsSynchronized Property

IsSynchronized Property
Namespaces > WebStats.Collections > FileCollection > IsSynchronized

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether access to the ICollection is synchronized (thread safe).
Syntax
C# Visual Basic Managed C++ J#
public bool IsSynchronized { get; }
Public ReadOnly Property IsSynchronized As Boolean
public:
virtual property bool IsSynchronized {
    bool get () sealed;
}
/** @property */
public final boolean get_IsSynchronized ()
Field Value
Return Value
true if access to the ICollection is synchronized (thread safe); otherwise, false.


Item Property (index)

Item Property (index)
Namespaces > WebStats.Collections > FileCollection > Item(Int32)

[This is preliminary documentation and is subject to change.]

Gets or sets the File at the specified index.
Syntax
C# Visual Basic Managed C++ J#
public File this [
    int index
] { get; set; }
Public Property Item ( _
    index As Integer _
) As File
public:
property File^ default[int index] {
    File^ get (int index);
    void set (int index, File^ value);
}
/** @property */
public File get_Item (
    int index
)
/** @property */
public  void set_Item
Parameters
index (Int32)
Field Value


Search Method (url)

Search Method (url)
Namespaces > WebStats.Collections > FileCollection > Search(String)

[This is preliminary documentation and is subject to change.]

Searches the collection to find the specified url.
Syntax
C# Visual Basic Managed C++ J#
public int Search (
    string url
)
Public Function Search ( _
    url As String _
) As Integer
public:
int Search (
    String^ url
)
public int Search (
    String url
)
Parameters
url (String)
The URL.
Return Value
The index of the specified url, or -1 if it cannot be found.


Sort Method

Sort Method
Namespaces > WebStats.Collections > FileCollection > Sort()

[This is preliminary documentation and is subject to change.]

Sorts this instance.
Syntax
C# Visual Basic Managed C++ J#
public void Sort ()
Public Sub Sort
public:
void Sort ()
public void Sort ()


SyncRoot Property

SyncRoot Property
Namespaces > WebStats.Collections > FileCollection > SyncRoot

[This is preliminary documentation and is subject to change.]

Gets an object that can be used to synchronize access to the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public Object SyncRoot { get; }
Public ReadOnly Property SyncRoot As Object
public:
virtual property Object^ SyncRoot {
    Object^ get () sealed;
}
/** @property */
public final Object get_SyncRoot ()
Field Value
Return Value
An object that can be used to synchronize access to the ICollection.


FileTypeCollection Class

FileTypeCollection Class
Namespaces > WebStats.Collections > FileTypeCollection

[This is preliminary documentation and is subject to change.]

A collection of FileType.
Syntax
C# Visual Basic Managed C++ J#
[DefaultMemberAttribute("Item")]
public class FileTypeCollection : ICollection, IEnumerable
<DefaultMemberAttribute("Item")> _
Public Class FileTypeCollection _
    Implements ICollection, IEnumerable
[DefaultMemberAttribute(L"Item")]
public ref class FileTypeCollection : ICollection, IEnumerable
/** @attribute DefaultMemberAttribute("Item") */
public class FileTypeCollection implements ICollection, IEnumerable
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | FileTypeCollectionNew(Int32) | Initializes a new instance of the FileTypeCollection class.
 | Add(FileType) | Adds the specified filetype.
 | CopyTo(Array, Int32) | Copies to.
 | Count | Gets the number of elements contained in the ICollection.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Exists(String) | Determines if the specified extension exists.
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetEnumerator() | Returns an enumerator that iterates through a collection.
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetTop(Int32) | Gets the top.
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | IsSynchronized | Gets a value indicating whether access to the ICollection is synchronized (thread safe).
 | Item(Int32) | Gets or sets the FileType at the specified index.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Search(String) | Searches the collection to find the specified extension.
 | Sort() | Sorts this instance.
 | SyncRoot | Gets an object that can be used to synchronize access to the ICollection.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
FileTypeCollection


FileTypeCollection Constructor (capacity)

FileTypeCollection Constructor (capacity)
Namespaces > WebStats.Collections > FileTypeCollection > FileTypeCollectionNew(Int32)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the FileTypeCollection class.
Syntax
C# Visual Basic Managed C++ J#
public FileTypeCollection (
    int capacity
)
Public Sub New ( _
    capacity As Integer _
)
public:
FileTypeCollection (
    int capacity
)
public FileTypeCollection (
    int capacity
)
Parameters
capacity (Int32)
The capacity.


Add Method (filetype)

Add Method (filetype)
Namespaces > WebStats.Collections > FileTypeCollection > Add(FileType)

[This is preliminary documentation and is subject to change.]

Adds the specified filetype.
Syntax
C# Visual Basic Managed C++ J#
public void Add (
    FileType filetype
)
Public Sub Add ( _
    filetype As FileType _
)
public:
void Add (
    FileType^ filetype
)
public void Add (
    FileType filetype
)
Parameters
filetype (FileType)
The filetype.


CopyTo Method (a, i)

CopyTo Method (a, i)
Namespaces > WebStats.Collections > FileTypeCollection > CopyTo(Array, Int32)

[This is preliminary documentation and is subject to change.]

Copies to.
Syntax
C# Visual Basic Managed C++ J#
public void CopyTo (
    Array a,
    int i
)
Public Sub CopyTo ( _
    a As Array, _
    i As Integer _
)
public:
virtual void CopyTo (
    Array^ a,
    int i
) sealed
public final void CopyTo (
    Array a,
    int i
)
Parameters
a (Array)
A.
i (Int32)
The i.


Count Property

Count Property
Namespaces > WebStats.Collections > FileTypeCollection > Count

[This is preliminary documentation and is subject to change.]

Gets the number of elements contained in the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public int Count { get; }
Public ReadOnly Property Count As Integer
public:
virtual property int Count {
    int get () sealed;
}
/** @property */
public final int get_Count ()
Field Value
Return Value
The number of elements contained in the ICollection.


Exists Method (extension)

Exists Method (extension)
Namespaces > WebStats.Collections > FileTypeCollection > Exists(String)

[This is preliminary documentation and is subject to change.]

Determines if the specified extension exists.
Syntax
C# Visual Basic Managed C++ J#
public bool Exists (
    string extension
)
Public Function Exists ( _
    extension As String _
) As Boolean
public:
bool Exists (
    String^ extension
)
public boolean Exists (
    String extension
)
Parameters
extension (String)
The extension.
Return Value
True if found, false if not.


GetEnumerator Method

GetEnumerator Method
Namespaces > WebStats.Collections > FileTypeCollection > GetEnumerator()

[This is preliminary documentation and is subject to change.]

Returns an enumerator that iterates through a collection.
Syntax
C# Visual Basic Managed C++ J#
public IEnumerator GetEnumerator ()
Public Function GetEnumerator As IEnumerator
public:
virtual IEnumerator^ GetEnumerator () sealed
public final IEnumerator GetEnumerator ()
Return Value
An IEnumerator object that can be used to iterate through the collection.


GetTop Method (count)

GetTop Method (count)
Namespaces > WebStats.Collections > FileTypeCollection > GetTop(Int32)

[This is preliminary documentation and is subject to change.]

Gets the top.
Syntax
C# Visual Basic Managed C++ J#
public FileType[] GetTop (
    int count
)
Public Function GetTop ( _
    count As Integer _
) As FileType()
public:
array<FileType^>^ GetTop (
    int count
)
public FileType[] GetTop (
    int count
)
Parameters
count (Int32)
The count.
Return Value
An array representing the top [count] items.


IsSynchronized Property

IsSynchronized Property
Namespaces > WebStats.Collections > FileTypeCollection > IsSynchronized

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether access to the ICollection is synchronized (thread safe).
Syntax
C# Visual Basic Managed C++ J#
public bool IsSynchronized { get; }
Public ReadOnly Property IsSynchronized As Boolean
public:
virtual property bool IsSynchronized {
    bool get () sealed;
}
/** @property */
public final boolean get_IsSynchronized ()
Field Value
Return Value
true if access to the ICollection is synchronized (thread safe); otherwise, false.


Item Property (index)

Item Property (index)
Namespaces > WebStats.Collections > FileTypeCollection > Item(Int32)

[This is preliminary documentation and is subject to change.]

Gets or sets the FileType at the specified index.
Syntax
C# Visual Basic Managed C++ J#
public FileType this [
    int index
] { get; set; }
Public Property Item ( _
    index As Integer _
) As FileType
public:
property FileType^ default[int index] {
    FileType^ get (int index);
    void set (int index, FileType^ value);
}
/** @property */
public FileType get_Item (
    int index
)
/** @property */
public  void set_Item
Parameters
index (Int32)
Field Value


Search Method (extension)

Search Method (extension)
Namespaces > WebStats.Collections > FileTypeCollection > Search(String)

[This is preliminary documentation and is subject to change.]

Searches the collection to find the specified extension.
Syntax
C# Visual Basic Managed C++ J#
public int Search (
    string extension
)
Public Function Search ( _
    extension As String _
) As Integer
public:
int Search (
    String^ extension
)
public int Search (
    String extension
)
Parameters
extension (String)
The extension.
Return Value
The index of the specified extension, or -1 if it cannot be found.


Sort Method

Sort Method
Namespaces > WebStats.Collections > FileTypeCollection > Sort()

[This is preliminary documentation and is subject to change.]

Sorts this instance.
Syntax
C# Visual Basic Managed C++ J#
public void Sort ()
Public Sub Sort
public:
void Sort ()
public void Sort ()


SyncRoot Property

SyncRoot Property
Namespaces > WebStats.Collections > FileTypeCollection > SyncRoot

[This is preliminary documentation and is subject to change.]

Gets an object that can be used to synchronize access to the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public Object SyncRoot { get; }
Public ReadOnly Property SyncRoot As Object
public:
virtual property Object^ SyncRoot {
    Object^ get () sealed;
}
/** @property */
public final Object get_SyncRoot ()
Field Value
Return Value
An object that can be used to synchronize access to the ICollection.


HostCollection Class

HostCollection Class
Namespaces > WebStats.Collections > HostCollection

[This is preliminary documentation and is subject to change.]

A collection of Host
Syntax
C# Visual Basic Managed C++ J#
[DefaultMemberAttribute("Item")]
public class HostCollection : ICollection, IEnumerable
<DefaultMemberAttribute("Item")> _
Public Class HostCollection _
    Implements ICollection, IEnumerable
[DefaultMemberAttribute(L"Item")]
public ref class HostCollection : ICollection, IEnumerable
/** @attribute DefaultMemberAttribute("Item") */
public class HostCollection implements ICollection, IEnumerable
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | HostCollectionNew(Int32) | Initializes a new instance of the HostCollection class.
 | Add(Host) | Adds the specified host.
 | CopyTo(Array, Int32) | Copies to.
 | Count | Gets the number of elements contained in the ICollection.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Exists(String) | Determines if the specified IpAddress exists.
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetEnumerator() | Returns an enumerator that iterates through a collection.
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetTop(Int32) | Gets the top.
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | IsSynchronized | Gets a value indicating whether access to the ICollection is synchronized (thread safe).
 | Item(Int32) | Gets or sets the Host at the specified index.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Search(String) | Searches the specified ipaddress.
 | Sort() | Sorts this instance.
 | SyncRoot | Gets an object that can be used to synchronize access to the ICollection.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
HostCollection
See Also
Host


HostCollection Constructor (capacity)

HostCollection Constructor (capacity)
Namespaces > WebStats.Collections > HostCollection > HostCollectionNew(Int32)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the HostCollection class.
Syntax
C# Visual Basic Managed C++ J#
public HostCollection (
    int capacity
)
Public Sub New ( _
    capacity As Integer _
)
public:
HostCollection (
    int capacity
)
public HostCollection (
    int capacity
)
Parameters
capacity (Int32)
The capacity.


Add Method (host)

Add Method (host)
Namespaces > WebStats.Collections > HostCollection > Add(Host)

[This is preliminary documentation and is subject to change.]

Adds the specified host.
Syntax
C# Visual Basic Managed C++ J#
public void Add (
    Host host
)
Public Sub Add ( _
    host As Host _
)
public:
void Add (
    Host^ host
)
public void Add (
    Host host
)
Parameters
host (Host)
The host.


CopyTo Method (a, i)

CopyTo Method (a, i)
Namespaces > WebStats.Collections > HostCollection > CopyTo(Array, Int32)

[This is preliminary documentation and is subject to change.]

Copies to.
Syntax
C# Visual Basic Managed C++ J#
public void CopyTo (
    Array a,
    int i
)
Public Sub CopyTo ( _
    a As Array, _
    i As Integer _
)
public:
virtual void CopyTo (
    Array^ a,
    int i
) sealed
public final void CopyTo (
    Array a,
    int i
)
Parameters
a (Array)
A.
i (Int32)
The i.


Count Property

Count Property
Namespaces > WebStats.Collections > HostCollection > Count

[This is preliminary documentation and is subject to change.]

Gets the number of elements contained in the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public int Count { get; }
Public ReadOnly Property Count As Integer
public:
virtual property int Count {
    int get () sealed;
}
/** @property */
public final int get_Count ()
Field Value
Return Value
The number of elements contained in the ICollection.


Exists Method (ipaddress)

Exists Method (ipaddress)
Namespaces > WebStats.Collections > HostCollection > Exists(String)

[This is preliminary documentation and is subject to change.]

Determines if the specified IpAddress exists.
Syntax
C# Visual Basic Managed C++ J#
public bool Exists (
    string ipaddress
)
Public Function Exists ( _
    ipaddress As String _
) As Boolean
public:
bool Exists (
    String^ ipaddress
)
public boolean Exists (
    String ipaddress
)
Parameters
ipaddress (String)
The ipaddress.
Return Value
True if the address exists, false otherwise.


GetEnumerator Method

GetEnumerator Method
Namespaces > WebStats.Collections > HostCollection > GetEnumerator()

[This is preliminary documentation and is subject to change.]

Returns an enumerator that iterates through a collection.
Syntax
C# Visual Basic Managed C++ J#
public IEnumerator GetEnumerator ()
Public Function GetEnumerator As IEnumerator
public:
virtual IEnumerator^ GetEnumerator () sealed
public final IEnumerator GetEnumerator ()
Return Value
An IEnumerator object that can be used to iterate through the collection.


GetTop Method (count)

GetTop Method (count)
Namespaces > WebStats.Collections > HostCollection > GetTop(Int32)

[This is preliminary documentation and is subject to change.]

Gets the top.
Syntax
C# Visual Basic Managed C++ J#
public Host[] GetTop (
    int count
)
Public Function GetTop ( _
    count As Integer _
) As Host()
public:
array<Host^>^ GetTop (
    int count
)
public Host[] GetTop (
    int count
)
Parameters
count (Int32)
The count.
Return Value
Array of Host elements.


IsSynchronized Property

IsSynchronized Property
Namespaces > WebStats.Collections > HostCollection > IsSynchronized

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether access to the ICollection is synchronized (thread safe).
Syntax
C# Visual Basic Managed C++ J#
public bool IsSynchronized { get; }
Public ReadOnly Property IsSynchronized As Boolean
public:
virtual property bool IsSynchronized {
    bool get () sealed;
}
/** @property */
public final boolean get_IsSynchronized ()
Field Value
Return Value
true if access to the ICollection is synchronized (thread safe); otherwise, false.


Item Property (index)

Item Property (index)
Namespaces > WebStats.Collections > HostCollection > Item(Int32)

[This is preliminary documentation and is subject to change.]

Gets or sets the Host at the specified index.
Syntax
C# Visual Basic Managed C++ J#
public Host this [
    int index
] { get; set; }
Public Property Item ( _
    index As Integer _
) As Host
public:
property Host^ default[int index] {
    Host^ get (int index);
    void set (int index, Host^ value);
}
/** @property */
public Host get_Item (
    int index
)
/** @property */
public  void set_Item
Parameters
index (Int32)
Field Value
A Host to assign to the specified index.


Search Method (ipaddress)

Search Method (ipaddress)
Namespaces > WebStats.Collections > HostCollection > Search(String)

[This is preliminary documentation and is subject to change.]

Searches the specified ipaddress.
Syntax
C# Visual Basic Managed C++ J#
public int Search (
    string ipaddress
)
Public Function Search ( _
    ipaddress As String _
) As Integer
public:
int Search (
    String^ ipaddress
)
public int Search (
    String ipaddress
)
Parameters
ipaddress (String)
The ipaddress.
Return Value
Index of the ipaddress or -1 if not found.


Sort Method

Sort Method
Namespaces > WebStats.Collections > HostCollection > Sort()

[This is preliminary documentation and is subject to change.]

Sorts this instance.
Syntax
C# Visual Basic Managed C++ J#
public void Sort ()
Public Sub Sort
public:
void Sort ()
public void Sort ()


SyncRoot Property

SyncRoot Property
Namespaces > WebStats.Collections > HostCollection > SyncRoot

[This is preliminary documentation and is subject to change.]

Gets an object that can be used to synchronize access to the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public Object SyncRoot { get; }
Public ReadOnly Property SyncRoot As Object
public:
virtual property Object^ SyncRoot {
    Object^ get () sealed;
}
/** @property */
public final Object get_SyncRoot ()
Field Value
Return Value
An object that can be used to synchronize access to the ICollection.


HourOfDayCollection Class

HourOfDayCollection Class
Namespaces > WebStats.Collections > HourOfDayCollection

[This is preliminary documentation and is subject to change.]

A collection of HourOfDay.
Syntax
C# Visual Basic Managed C++ J#
[DefaultMemberAttribute("Item")]
public class HourOfDayCollection : ICollection, IEnumerable
<DefaultMemberAttribute("Item")> _
Public Class HourOfDayCollection _
    Implements ICollection, IEnumerable
[DefaultMemberAttribute(L"Item")]
public ref class HourOfDayCollection : ICollection, IEnumerable
/** @attribute DefaultMemberAttribute("Item") */
public class HourOfDayCollection implements ICollection, IEnumerable
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | HourOfDayCollectionNew() | Initializes a new instance of the HourOfDayCollection class.
 | Add(HourOfDay) | Adds the specified hourofday.
 | CopyTo(Array, Int32) | Copies to.
 | Count | Gets the number of elements contained in the ICollection.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Exists(Int32) | Determines if the specified hourofday exists.
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetEnumerator() | Returns an enumerator that iterates through a collection.
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetTop(Int32) | Gets the top.
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | Init() | Inits this instance.
 | IsSynchronized | Gets a value indicating whether access to the ICollection is synchronized (thread safe).
 | Item(Int32) | Gets or sets the HourOfDay at the specified index.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Search(Int32) | Searches the collection to find the specified hourofday.
 | Sort() | Sorts this instance.
 | SyncRoot | Gets an object that can be used to synchronize access to the ICollection.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
HourOfDayCollection


HourOfDayCollection Constructor

HourOfDayCollection Constructor
Namespaces > WebStats.Collections > HourOfDayCollection > HourOfDayCollectionNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the HourOfDayCollection class.
Syntax
C# Visual Basic Managed C++ J#
public HourOfDayCollection ()
Public Sub New
public:
HourOfDayCollection ()
public HourOfDayCollection ()
Remarks
MUST call Init()!!!


Add Method (hourofday)

Add Method (hourofday)
Namespaces > WebStats.Collections > HourOfDayCollection > Add(HourOfDay)

[This is preliminary documentation and is subject to change.]

Adds the specified hourofday.
Syntax
C# Visual Basic Managed C++ J#
public void Add (
    HourOfDay hourofday
)
Public Sub Add ( _
    hourofday As HourOfDay _
)
public:
void Add (
    HourOfDay^ hourofday
)
public void Add (
    HourOfDay hourofday
)
Parameters
hourofday (HourOfDay)
The hourofday.


CopyTo Method (a, i)

CopyTo Method (a, i)
Namespaces > WebStats.Collections > HourOfDayCollection > CopyTo(Array, Int32)

[This is preliminary documentation and is subject to change.]

Copies to.
Syntax
C# Visual Basic Managed C++ J#
public void CopyTo (
    Array a,
    int i
)
Public Sub CopyTo ( _
    a As Array, _
    i As Integer _
)
public:
virtual void CopyTo (
    Array^ a,
    int i
) sealed
public final void CopyTo (
    Array a,
    int i
)
Parameters
a (Array)
A.
i (Int32)
The i.


Count Property

Count Property
Namespaces > WebStats.Collections > HourOfDayCollection > Count

[This is preliminary documentation and is subject to change.]

Gets the number of elements contained in the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public int Count { get; }
Public ReadOnly Property Count As Integer
public:
virtual property int Count {
    int get () sealed;
}
/** @property */
public final int get_Count ()
Field Value
Return Value
The number of elements contained in the ICollection.


Exists Method (hourofday)

Exists Method (hourofday)
Namespaces > WebStats.Collections > HourOfDayCollection > Exists(Int32)

[This is preliminary documentation and is subject to change.]

Determines if the specified hourofday exists.
Syntax
C# Visual Basic Managed C++ J#
public bool Exists (
    int hourofday
)
Public Function Exists ( _
    hourofday As Integer _
) As Boolean
public:
bool Exists (
    int hourofday
)
public boolean Exists (
    int hourofday
)
Parameters
hourofday (Int32)
The hourofday.
Return Value
True if found, false if not.


GetEnumerator Method

GetEnumerator Method
Namespaces > WebStats.Collections > HourOfDayCollection > GetEnumerator()

[This is preliminary documentation and is subject to change.]

Returns an enumerator that iterates through a collection.
Syntax
C# Visual Basic Managed C++ J#
public IEnumerator GetEnumerator ()
Public Function GetEnumerator As IEnumerator
public:
virtual IEnumerator^ GetEnumerator () sealed
public final IEnumerator GetEnumerator ()
Return Value
An IEnumerator object that can be used to iterate through the collection.


GetTop Method (count)

GetTop Method (count)
Namespaces > WebStats.Collections > HourOfDayCollection > GetTop(Int32)

[This is preliminary documentation and is subject to change.]

Gets the top.
Syntax
C# Visual Basic Managed C++ J#
public HourOfDay[] GetTop (
    int count
)
Public Function GetTop ( _
    count As Integer _
) As HourOfDay()
public:
array<HourOfDay^>^ GetTop (
    int count
)
public HourOfDay[] GetTop (
    int count
)
Parameters
count (Int32)
The count.
Return Value
An array representing the top [count] items.


Init Method

Init Method
Namespaces > WebStats.Collections > HourOfDayCollection > Init()

[This is preliminary documentation and is subject to change.]

Inits this instance.
Syntax
C# Visual Basic Managed C++ J#
public void Init ()
Public Sub Init
public:
void Init ()
public void Init ()


IsSynchronized Property

IsSynchronized Property
Namespaces > WebStats.Collections > HourOfDayCollection > IsSynchronized

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether access to the ICollection is synchronized (thread safe).
Syntax
C# Visual Basic Managed C++ J#
public bool IsSynchronized { get; }
Public ReadOnly Property IsSynchronized As Boolean
public:
virtual property bool IsSynchronized {
    bool get () sealed;
}
/** @property */
public final boolean get_IsSynchronized ()
Field Value
Return Value
true if access to the ICollection is synchronized (thread safe); otherwise, false.


Item Property (index)

Item Property (index)
Namespaces > WebStats.Collections > HourOfDayCollection > Item(Int32)

[This is preliminary documentation and is subject to change.]

Gets or sets the HourOfDay at the specified index.
Syntax
C# Visual Basic Managed C++ J#
public HourOfDay this [
    int index
] { get; set; }
Public Property Item ( _
    index As Integer _
) As HourOfDay
public:
property HourOfDay^ default[int index] {
    HourOfDay^ get (int index);
    void set (int index, HourOfDay^ value);
}
/** @property */
public HourOfDay get_Item (
    int index
)
/** @property */
public  void set_Item
Parameters
index (Int32)
Field Value


Search Method (hourofday)

Search Method (hourofday)
Namespaces > WebStats.Collections > HourOfDayCollection > Search(Int32)

[This is preliminary documentation and is subject to change.]

Searches the collection to find the specified hourofday.
Syntax
C# Visual Basic Managed C++ J#
public int Search (
    int hourofday
)
Public Function Search ( _
    hourofday As Integer _
) As Integer
public:
int Search (
    int hourofday
)
public int Search (
    int hourofday
)
Parameters
hourofday (Int32)
The hourofday.
Return Value
The index of the specified hourofday, or -1 if it cannot be found.


Sort Method

Sort Method
Namespaces > WebStats.Collections > HourOfDayCollection > Sort()

[This is preliminary documentation and is subject to change.]

Sorts this instance.
Syntax
C# Visual Basic Managed C++ J#
public void Sort ()
Public Sub Sort
public:
void Sort ()
public void Sort ()


SyncRoot Property

SyncRoot Property
Namespaces > WebStats.Collections > HourOfDayCollection > SyncRoot

[This is preliminary documentation and is subject to change.]

Gets an object that can be used to synchronize access to the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public Object SyncRoot { get; }
Public ReadOnly Property SyncRoot As Object
public:
virtual property Object^ SyncRoot {
    Object^ get () sealed;
}
/** @property */
public final Object get_SyncRoot ()
Field Value
Return Value
An object that can be used to synchronize access to the ICollection.


SearchEngineCollection.KeyphraseCollection Class

SearchEngineCollection.KeyphraseCollection Class
Namespaces > WebStats.Collections > SearchEngineCollection > KeyphraseCollection

[This is preliminary documentation and is subject to change.]

A collection of Keyphrase used to find this page.
Syntax
C# Visual Basic Managed C++ J#
[DefaultMemberAttribute("Item")]
public class KeyphraseCollection : ICollection, IEnumerable
<DefaultMemberAttribute("Item")> _
Public Class KeyphraseCollection _
    Implements ICollection, IEnumerable
[DefaultMemberAttribute(L"Item")]
public ref class KeyphraseCollection : ICollection, IEnumerable
/** @attribute DefaultMemberAttribute("Item") */
public class KeyphraseCollection implements ICollection, IEnumerable
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | KeyphraseCollectionNew() | Initializes a new instance of the KeyphraseCollection class.
 | KeyphraseCollectionNew(Int32) | Initializes a new instance of the KeyphraseCollection class.
 | Add(Keyphrase) | Adds the specified keyphrase.
 | CopyTo(Array, Int32) | Copies to.
 | Count | Gets the number of elements contained in the ICollection.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Exists(String) | Determines if the specified phrase exists.
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetEnumerator() | Returns an enumerator that iterates through a collection.
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetTop(Int32) | Gets the top.
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | IsSynchronized | Gets a value indicating whether access to the ICollection is synchronized (thread safe).
 | Item(Int32) | Gets or sets the Keyphrase at the specified index.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Search(String) | Searches the collection to find the specified phrase.
 | Sort() | Sorts this instance.
 | SyncRoot | Gets an object that can be used to synchronize access to the ICollection.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
KeyphraseCollection


.KeyphraseCollection Constructor

.KeyphraseCollection Constructor
Namespaces > WebStats.Collections > KeyphraseCollection > KeyphraseCollectionNew

[This is preliminary documentation and is subject to change.]

Members
Icon | Member | Description
 | KeyphraseCollectionNew() | Initializes a new instance of the KeyphraseCollection class.
 | KeyphraseCollectionNew(Int32) | Initializes a new instance of the KeyphraseCollection class.


SearchEngineCollection.KeyphraseCollection Constructor

SearchEngineCollection.KeyphraseCollection Constructor
Namespaces > WebStats.Collections > KeyphraseCollection > KeyphraseCollectionNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the KeyphraseCollection class.
Syntax
C# Visual Basic Managed C++ J#
public KeyphraseCollection ()
Public Sub New
public:
KeyphraseCollection ()
public KeyphraseCollection ()


SearchEngineCollection.KeyphraseCollection Constructor (capacity)

SearchEngineCollection.KeyphraseCollection Constructor (capacity)
Namespaces > WebStats.Collections > KeyphraseCollection > KeyphraseCollectionNew(Int32)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the KeyphraseCollection class.
Syntax
C# Visual Basic Managed C++ J#
public KeyphraseCollection (
    int capacity
)
Public Sub New ( _
    capacity As Integer _
)
public:
KeyphraseCollection (
    int capacity
)
public KeyphraseCollection (
    int capacity
)
Parameters
capacity (Int32)
The capacity.


Add Method (keyphrase)

Add Method (keyphrase)
Namespaces > WebStats.Collections > KeyphraseCollection > Add(Keyphrase)

[This is preliminary documentation and is subject to change.]

Adds the specified keyphrase.
Syntax
C# Visual Basic Managed C++ J#
public void Add (
    SearchEngine.Keyphrase keyphrase
)
Public Sub Add ( _
    keyphrase As Keyphrase _
)
public:
void Add (
    Keyphrase^ keyphrase
)
public void Add (
    SearchEngine.Keyphrase keyphrase
)
Parameters
keyphrase (Keyphrase)
The keyphrase.


CopyTo Method (a, i)

CopyTo Method (a, i)
Namespaces > WebStats.Collections > KeyphraseCollection > CopyTo(Array, Int32)

[This is preliminary documentation and is subject to change.]

Copies to.
Syntax
C# Visual Basic Managed C++ J#
public void CopyTo (
    Array a,
    int i
)
Public Sub CopyTo ( _
    a As Array, _
    i As Integer _
)
public:
virtual void CopyTo (
    Array^ a,
    int i
) sealed
public final void CopyTo (
    Array a,
    int i
)
Parameters
a (Array)
A.
i (Int32)
The i.


Count Property

Count Property
Namespaces > WebStats.Collections > KeyphraseCollection > Count

[This is preliminary documentation and is subject to change.]

Gets the number of elements contained in the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public int Count { get; }
Public ReadOnly Property Count As Integer
public:
virtual property int Count {
    int get () sealed;
}
/** @property */
public final int get_Count ()
Field Value
Return Value
The number of elements contained in the ICollection.


Exists Method (phrase)

Exists Method (phrase)
Namespaces > WebStats.Collections > KeyphraseCollection > Exists(String)

[This is preliminary documentation and is subject to change.]

Determines if the specified phrase exists.
Syntax
C# Visual Basic Managed C++ J#
public bool Exists (
    string phrase
)
Public Function Exists ( _
    phrase As String _
) As Boolean
public:
bool Exists (
    String^ phrase
)
public boolean Exists (
    String phrase
)
Parameters
phrase (String)
The phrase.
Return Value
True if found, false if not.


GetEnumerator Method

GetEnumerator Method
Namespaces > WebStats.Collections > KeyphraseCollection > GetEnumerator()

[This is preliminary documentation and is subject to change.]

Returns an enumerator that iterates through a collection.
Syntax
C# Visual Basic Managed C++ J#
public IEnumerator GetEnumerator ()
Public Function GetEnumerator As IEnumerator
public:
virtual IEnumerator^ GetEnumerator () sealed
public final IEnumerator GetEnumerator ()
Return Value
An IEnumerator object that can be used to iterate through the collection.


GetTop Method (count)

GetTop Method (count)
Namespaces > WebStats.Collections > KeyphraseCollection > GetTop(Int32)

[This is preliminary documentation and is subject to change.]

Gets the top.
Syntax
C# Visual Basic Managed C++ J#
public SearchEngine.Keyphrase[] GetTop (
    int count
)
Public Function GetTop ( _
    count As Integer _
) As Keyphrase()
public:
array<Keyphrase^>^ GetTop (
    int count
)
public SearchEngine.Keyphrase[] GetTop (
    int count
)
Parameters
count (Int32)
The count.
Return Value
An array representing the top [count] items.


IsSynchronized Property

IsSynchronized Property
Namespaces > WebStats.Collections > KeyphraseCollection > IsSynchronized

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether access to the ICollection is synchronized (thread safe).
Syntax
C# Visual Basic Managed C++ J#
public bool IsSynchronized { get; }
Public ReadOnly Property IsSynchronized As Boolean
public:
virtual property bool IsSynchronized {
    bool get () sealed;
}
/** @property */
public final boolean get_IsSynchronized ()
Field Value
Return Value
true if access to the ICollection is synchronized (thread safe); otherwise, false.


Item Property (index)

Item Property (index)
Namespaces > WebStats.Collections > KeyphraseCollection > Item(Int32)

[This is preliminary documentation and is subject to change.]

Gets or sets the Keyphrase at the specified index.
Syntax
C# Visual Basic Managed C++ J#
public SearchEngine.Keyphrase this [
    int index
] { get; set; }
Public Property Item ( _
    index As Integer _
) As Keyphrase
public:
property Keyphrase^ default[int index] {
    Keyphrase^ get (int index);
    void set (int index, Keyphrase^ value);
}
/** @property */
public SearchEngine.Keyphrase get_Item (
    int index
)
/** @property */
public  void set_Item
Parameters
index (Int32)
Field Value


Search Method (phrase)

Search Method (phrase)
Namespaces > WebStats.Collections > KeyphraseCollection > Search(String)

[This is preliminary documentation and is subject to change.]

Searches the collection to find the specified phrase.
Syntax
C# Visual Basic Managed C++ J#
public int Search (
    string phrase
)
Public Function Search ( _
    phrase As String _
) As Integer
public:
int Search (
    String^ phrase
)
public int Search (
    String phrase
)
Parameters
phrase (String)
The phrase.
Return Value
The index of the specified phrase, or -1 if it cannot be found.


Sort Method

Sort Method
Namespaces > WebStats.Collections > KeyphraseCollection > Sort()

[This is preliminary documentation and is subject to change.]

Sorts this instance.
Syntax
C# Visual Basic Managed C++ J#
public void Sort ()
Public Sub Sort
public:
void Sort ()
public void Sort ()


SyncRoot Property

SyncRoot Property
Namespaces > WebStats.Collections > KeyphraseCollection > SyncRoot

[This is preliminary documentation and is subject to change.]

Gets an object that can be used to synchronize access to the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public Object SyncRoot { get; }
Public ReadOnly Property SyncRoot As Object
public:
virtual property Object^ SyncRoot {
    Object^ get () sealed;
}
/** @property */
public final Object get_SyncRoot ()
Field Value
Return Value
An object that can be used to synchronize access to the ICollection.


SearchEngineCollection.KeywordCollection Class

SearchEngineCollection.KeywordCollection Class
Namespaces > WebStats.Collections > SearchEngineCollection > KeywordCollection

[This is preliminary documentation and is subject to change.]

A collection of Keyword used to search for this page.
Syntax
C# Visual Basic Managed C++ J#
[DefaultMemberAttribute("Item")]
public class KeywordCollection : ICollection, IEnumerable
<DefaultMemberAttribute("Item")> _
Public Class KeywordCollection _
    Implements ICollection, IEnumerable
[DefaultMemberAttribute(L"Item")]
public ref class KeywordCollection : ICollection, IEnumerable
/** @attribute DefaultMemberAttribute("Item") */
public class KeywordCollection implements ICollection, IEnumerable
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | KeywordCollectionNew() | Initializes a new instance of the KeywordCollection class.
 | KeywordCollectionNew(Int32) | Initializes a new instance of the KeywordCollection class.
 | Add(Keyword) | Adds the specified keyword.
 | CopyTo(Array, Int32) | Copies to.
 | Count | Gets the number of elements contained in the ICollection.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Exists(String) | Determines if the specified word exists.
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetEnumerator() | Returns an enumerator that iterates through a collection.
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetTop(Int32) | Gets the top.
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | IsSynchronized | Gets a value indicating whether access to the ICollection is synchronized (thread safe).
 | Item(Int32) | Gets or sets the Keyword at the specified index.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Search(String) | Searches the collection to find the specified word.
 | Sort() | Sorts this instance.
 | SyncRoot | Gets an object that can be used to synchronize access to the ICollection.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
KeywordCollection


.KeywordCollection Constructor

.KeywordCollection Constructor
Namespaces > WebStats.Collections > KeywordCollection > KeywordCollectionNew

[This is preliminary documentation and is subject to change.]

Members
Icon | Member | Description
 | KeywordCollectionNew() | Initializes a new instance of the KeywordCollection class.
 | KeywordCollectionNew(Int32) | Initializes a new instance of the KeywordCollection class.


SearchEngineCollection.KeywordCollection Constructor

SearchEngineCollection.KeywordCollection Constructor
Namespaces > WebStats.Collections > KeywordCollection > KeywordCollectionNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the KeywordCollection class.
Syntax
C# Visual Basic Managed C++ J#
public KeywordCollection ()
Public Sub New
public:
KeywordCollection ()
public KeywordCollection ()


SearchEngineCollection.KeywordCollection Constructor (capacity)

SearchEngineCollection.KeywordCollection Constructor (capacity)
Namespaces > WebStats.Collections > KeywordCollection > KeywordCollectionNew(Int32)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the KeywordCollection class.
Syntax
C# Visual Basic Managed C++ J#
public KeywordCollection (
    int capacity
)
Public Sub New ( _
    capacity As Integer _
)
public:
KeywordCollection (
    int capacity
)
public KeywordCollection (
    int capacity
)
Parameters
capacity (Int32)
The capacity.


Add Method (keyword)

Add Method (keyword)
Namespaces > WebStats.Collections > KeywordCollection > Add(Keyword)

[This is preliminary documentation and is subject to change.]

Adds the specified keyword.
Syntax
C# Visual Basic Managed C++ J#
public void Add (
    SearchEngine.Keyword keyword
)
Public Sub Add ( _
    keyword As Keyword _
)
public:
void Add (
    Keyword^ keyword
)
public void Add (
    SearchEngine.Keyword keyword
)
Parameters
keyword (Keyword)
The keyword.


CopyTo Method (a, i)

CopyTo Method (a, i)
Namespaces > WebStats.Collections > KeywordCollection > CopyTo(Array, Int32)

[This is preliminary documentation and is subject to change.]

Copies to.
Syntax
C# Visual Basic Managed C++ J#
public void CopyTo (
    Array a,
    int i
)
Public Sub CopyTo ( _
    a As Array, _
    i As Integer _
)
public:
virtual void CopyTo (
    Array^ a,
    int i
) sealed
public final void CopyTo (
    Array a,
    int i
)
Parameters
a (Array)
A.
i (Int32)
The i.


Count Property

Count Property
Namespaces > WebStats.Collections > KeywordCollection > Count

[This is preliminary documentation and is subject to change.]

Gets the number of elements contained in the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public int Count { get; }
Public ReadOnly Property Count As Integer
public:
virtual property int Count {
    int get () sealed;
}
/** @property */
public final int get_Count ()
Field Value
Return Value
The number of elements contained in the ICollection.


Exists Method (word)

Exists Method (word)
Namespaces > WebStats.Collections > KeywordCollection > Exists(String)

[This is preliminary documentation and is subject to change.]

Determines if the specified word exists.
Syntax
C# Visual Basic Managed C++ J#
public bool Exists (
    string word
)
Public Function Exists ( _
    word As String _
) As Boolean
public:
bool Exists (
    String^ word
)
public boolean Exists (
    String word
)
Parameters
word (String)
The word.
Return Value
True if found, false if not.


GetEnumerator Method

GetEnumerator Method
Namespaces > WebStats.Collections > KeywordCollection > GetEnumerator()

[This is preliminary documentation and is subject to change.]

Returns an enumerator that iterates through a collection.
Syntax
C# Visual Basic Managed C++ J#
public IEnumerator GetEnumerator ()
Public Function GetEnumerator As IEnumerator
public:
virtual IEnumerator^ GetEnumerator () sealed
public final IEnumerator GetEnumerator ()
Return Value
An IEnumerator object that can be used to iterate through the collection.


GetTop Method (count)

GetTop Method (count)
Namespaces > WebStats.Collections > KeywordCollection > GetTop(Int32)

[This is preliminary documentation and is subject to change.]

Gets the top.
Syntax
C# Visual Basic Managed C++ J#
public SearchEngine.Keyword[] GetTop (
    int count
)
Public Function GetTop ( _
    count As Integer _
) As Keyword()
public:
array<Keyword^>^ GetTop (
    int count
)
public SearchEngine.Keyword[] GetTop (
    int count
)
Parameters
count (Int32)
The count.
Return Value
An array representing the top [count] items.


IsSynchronized Property

IsSynchronized Property
Namespaces > WebStats.Collections > KeywordCollection > IsSynchronized

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether access to the ICollection is synchronized (thread safe).
Syntax
C# Visual Basic Managed C++ J#
public bool IsSynchronized { get; }
Public ReadOnly Property IsSynchronized As Boolean
public:
virtual property bool IsSynchronized {
    bool get () sealed;
}
/** @property */
public final boolean get_IsSynchronized ()
Field Value
Return Value
true if access to the ICollection is synchronized (thread safe); otherwise, false.


Item Property (index)

Item Property (index)
Namespaces > WebStats.Collections > KeywordCollection > Item(Int32)

[This is preliminary documentation and is subject to change.]

Gets or sets the Keyword at the specified index.
Syntax
C# Visual Basic Managed C++ J#
public SearchEngine.Keyword this [
    int index
] { get; set; }
Public Property Item ( _
    index As Integer _
) As Keyword
public:
property Keyword^ default[int index] {
    Keyword^ get (int index);
    void set (int index, Keyword^ value);
}
/** @property */
public SearchEngine.Keyword get_Item (
    int index
)
/** @property */
public  void set_Item
Parameters
index (Int32)
Field Value


Search Method (word)

Search Method (word)
Namespaces > WebStats.Collections > KeywordCollection > Search(String)

[This is preliminary documentation and is subject to change.]

Searches the collection to find the specified word.
Syntax
C# Visual Basic Managed C++ J#
public int Search (
    string word
)
Public Function Search ( _
    word As String _
) As Integer
public:
int Search (
    String^ word
)
public int Search (
    String word
)
Parameters
word (String)
The word.
Return Value
The index of the specified word, or -1 if it cannot be found.


Sort Method

Sort Method
Namespaces > WebStats.Collections > KeywordCollection > Sort()

[This is preliminary documentation and is subject to change.]

Sorts this instance.
Syntax
C# Visual Basic Managed C++ J#
public void Sort ()
Public Sub Sort
public:
void Sort ()
public void Sort ()


SyncRoot Property

SyncRoot Property
Namespaces > WebStats.Collections > KeywordCollection > SyncRoot

[This is preliminary documentation and is subject to change.]

Gets an object that can be used to synchronize access to the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public Object SyncRoot { get; }
Public ReadOnly Property SyncRoot As Object
public:
virtual property Object^ SyncRoot {
    Object^ get () sealed;
}
/** @property */
public final Object get_SyncRoot ()
Field Value
Return Value
An object that can be used to synchronize access to the ICollection.


MonthCollection Class

MonthCollection Class
Namespaces > WebStats.Collections > MonthCollection

[This is preliminary documentation and is subject to change.]

A collection of Month.
Syntax
C# Visual Basic Managed C++ J#
[DefaultMemberAttribute("Item")]
public class MonthCollection : ICollection, IEnumerable
<DefaultMemberAttribute("Item")> _
Public Class MonthCollection _
    Implements ICollection, IEnumerable
[DefaultMemberAttribute(L"Item")]
public ref class MonthCollection : ICollection, IEnumerable
/** @attribute DefaultMemberAttribute("Item") */
public class MonthCollection implements ICollection, IEnumerable
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | MonthCollectionNew(Int32) | Initializes a new instance of the MonthCollection class.
 | Add(Month) | Adds the specified day.
 | CopyTo(Array, Int32) | Copies to.
 | Count | Gets the number of elements contained in the ICollection.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetEnumerator() | Returns an enumerator that iterates through a collection.
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | IsSynchronized | Gets a value indicating whether access to the ICollection is synchronized (thread safe).
 | Item(Int32) | Gets or sets the Month at the specified index.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Search(DateTime) | Searches the collection to find the specified date.
 | Sort() | Sorts this instance.
 | SyncRoot | Gets an object that can be used to synchronize access to the ICollection.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
MonthCollection


MonthCollection Constructor (capacity)

MonthCollection Constructor (capacity)
Namespaces > WebStats.Collections > MonthCollection > MonthCollectionNew(Int32)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the MonthCollection class.
Syntax
C# Visual Basic Managed C++ J#
public MonthCollection (
    int capacity
)
Public Sub New ( _
    capacity As Integer _
)
public:
MonthCollection (
    int capacity
)
public MonthCollection (
    int capacity
)
Parameters
capacity (Int32)
The capacity.


Add Method (month)

Add Method (month)
Namespaces > WebStats.Collections > MonthCollection > Add(Month)

[This is preliminary documentation and is subject to change.]

Adds the specified day.
Syntax
C# Visual Basic Managed C++ J#
public void Add (
    Month month
)
Public Sub Add ( _
    month As Month _
)
public:
void Add (
    Month^ month
)
public void Add (
    Month month
)
Parameters
month (Month)
The month.


CopyTo Method (a, i)

CopyTo Method (a, i)
Namespaces > WebStats.Collections > MonthCollection > CopyTo(Array, Int32)

[This is preliminary documentation and is subject to change.]

Copies to.
Syntax
C# Visual Basic Managed C++ J#
public void CopyTo (
    Array a,
    int i
)
Public Sub CopyTo ( _
    a As Array, _
    i As Integer _
)
public:
virtual void CopyTo (
    Array^ a,
    int i
) sealed
public final void CopyTo (
    Array a,
    int i
)
Parameters
a (Array)
A.
i (Int32)
The i.


Count Property

Count Property
Namespaces > WebStats.Collections > MonthCollection > Count

[This is preliminary documentation and is subject to change.]

Gets the number of elements contained in the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public int Count { get; }
Public ReadOnly Property Count As Integer
public:
virtual property int Count {
    int get () sealed;
}
/** @property */
public final int get_Count ()
Field Value
Return Value
The number of elements contained in the ICollection.


GetEnumerator Method

GetEnumerator Method
Namespaces > WebStats.Collections > MonthCollection > GetEnumerator()

[This is preliminary documentation and is subject to change.]

Returns an enumerator that iterates through a collection.
Syntax
C# Visual Basic Managed C++ J#
public IEnumerator GetEnumerator ()
Public Function GetEnumerator As IEnumerator
public:
virtual IEnumerator^ GetEnumerator () sealed
public final IEnumerator GetEnumerator ()
Return Value
An IEnumerator object that can be used to iterate through the collection.


IsSynchronized Property

IsSynchronized Property
Namespaces > WebStats.Collections > MonthCollection > IsSynchronized

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether access to the ICollection is synchronized (thread safe).
Syntax
C# Visual Basic Managed C++ J#
public bool IsSynchronized { get; }
Public ReadOnly Property IsSynchronized As Boolean
public:
virtual property bool IsSynchronized {
    bool get () sealed;
}
/** @property */
public final boolean get_IsSynchronized ()
Field Value
Return Value
true if access to the ICollection is synchronized (thread safe); otherwise, false.


Item Property (index)

Item Property (index)
Namespaces > WebStats.Collections > MonthCollection > Item(Int32)

[This is preliminary documentation and is subject to change.]

Gets or sets the Month at the specified index.
Syntax
C# Visual Basic Managed C++ J#
public Month this [
    int index
] { get; set; }
Public Property Item ( _
    index As Integer _
) As Month
public:
property Month^ default[int index] {
    Month^ get (int index);
    void set (int index, Month^ value);
}
/** @property */
public Month get_Item (
    int index
)
/** @property */
public  void set_Item
Parameters
index (Int32)
Field Value


Search Method (date)

Search Method (date)
Namespaces > WebStats.Collections > MonthCollection > Search(DateTime)

[This is preliminary documentation and is subject to change.]

Searches the collection to find the specified date.
Syntax
C# Visual Basic Managed C++ J#
public int Search (
    DateTime date
)
Public Function Search ( _
    date As DateTime _
) As Integer
public:
int Search (
    DateTime date
)
public int Search (
    DateTime date
)
Parameters
date (DateTime)
The date.
Return Value
The index of the specified date, or -1 if it cannot be found.


Sort Method

Sort Method
Namespaces > WebStats.Collections > MonthCollection > Sort()

[This is preliminary documentation and is subject to change.]

Sorts this instance.
Syntax
C# Visual Basic Managed C++ J#
public void Sort ()
Public Sub Sort
public:
void Sort ()
public void Sort ()


SyncRoot Property

SyncRoot Property
Namespaces > WebStats.Collections > MonthCollection > SyncRoot

[This is preliminary documentation and is subject to change.]

Gets an object that can be used to synchronize access to the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public Object SyncRoot { get; }
Public ReadOnly Property SyncRoot As Object
public:
virtual property Object^ SyncRoot {
    Object^ get () sealed;
}
/** @property */
public final Object get_SyncRoot ()
Field Value
Return Value
An object that can be used to synchronize access to the ICollection.


OperatingSystemCollection Class

OperatingSystemCollection Class
Namespaces > WebStats.Collections > OperatingSystemCollection

[This is preliminary documentation and is subject to change.]

A collection of OperatingSystem
Syntax
C# Visual Basic Managed C++ J#
[DefaultMemberAttribute("Item")]
public class OperatingSystemCollection : ICollection, IEnumerable
<DefaultMemberAttribute("Item")> _
Public Class OperatingSystemCollection _
    Implements ICollection, IEnumerable
[DefaultMemberAttribute(L"Item")]
public ref class OperatingSystemCollection : ICollection, IEnumerable
/** @attribute DefaultMemberAttribute("Item") */
public class OperatingSystemCollection implements ICollection, IEnumerable
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | OperatingSystemCollectionNew(Int32) | Initializes a new instance of the OperatingSystemCollection class.
 | Add(OperatingSystem) | Adds the specified os.
 | CopyTo(Array, Int32) | Copies to.
 | Count | Gets the number of elements contained in the ICollection.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Exists(OperatingSystem) | Determines if the specified os exists.
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetEnumerator() | Returns an enumerator that iterates through a collection.
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetTop(Int32) | Gets the top.
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | IsSynchronized | Gets a value indicating whether access to the ICollection is synchronized (thread safe).
 | Item(Int32) | Gets or sets the OperatingSystem at the specified index.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Search(OperatingSystem) | Searches the collection to find the specified os.
 | Sort() | Sorts this instance.
 | SyncRoot | Gets an object that can be used to synchronize access to the ICollection.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
OperatingSystemCollection


OperatingSystemCollection Constructor (capacity)

OperatingSystemCollection Constructor (capacity)
Namespaces > WebStats.Collections > OperatingSystemCollection > OperatingSystemCollectionNew(Int32)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the OperatingSystemCollection class.
Syntax
C# Visual Basic Managed C++ J#
public OperatingSystemCollection (
    int capacity
)
Public Sub New ( _
    capacity As Integer _
)
public:
OperatingSystemCollection (
    int capacity
)
public OperatingSystemCollection (
    int capacity
)
Parameters
capacity (Int32)
The capacity.


Add Method (os)

Add Method (os)
Namespaces > WebStats.Collections > OperatingSystemCollection > Add(OperatingSystem)

[This is preliminary documentation and is subject to change.]

Adds the specified os.
Syntax
C# Visual Basic Managed C++ J#
public void Add (
    OperatingSystem os
)
Public Sub Add ( _
    os As OperatingSystem _
)
public:
void Add (
    OperatingSystem^ os
)
public void Add (
    OperatingSystem os
)
Parameters
os (OperatingSystem)
The os.


CopyTo Method (a, i)

CopyTo Method (a, i)
Namespaces > WebStats.Collections > OperatingSystemCollection > CopyTo(Array, Int32)

[This is preliminary documentation and is subject to change.]

Copies to.
Syntax
C# Visual Basic Managed C++ J#
public void CopyTo (
    Array a,
    int i
)
Public Sub CopyTo ( _
    a As Array, _
    i As Integer _
)
public:
virtual void CopyTo (
    Array^ a,
    int i
) sealed
public final void CopyTo (
    Array a,
    int i
)
Parameters
a (Array)
A.
i (Int32)
The i.


Count Property

Count Property
Namespaces > WebStats.Collections > OperatingSystemCollection > Count

[This is preliminary documentation and is subject to change.]

Gets the number of elements contained in the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public int Count { get; }
Public ReadOnly Property Count As Integer
public:
virtual property int Count {
    int get () sealed;
}
/** @property */
public final int get_Count ()
Field Value
Return Value
The number of elements contained in the ICollection.


Exists Method (os)

Exists Method (os)
Namespaces > WebStats.Collections > OperatingSystemCollection > Exists(OperatingSystem)

[This is preliminary documentation and is subject to change.]

Determines if the specified os exists.
Syntax
C# Visual Basic Managed C++ J#
public bool Exists (
    OperatingSystem os
)
Public Function Exists ( _
    os As OperatingSystem _
) As Boolean
public:
bool Exists (
    OperatingSystem^ os
)
public boolean Exists (
    OperatingSystem os
)
Parameters
os (OperatingSystem)
The os.
Return Value
True if found, false if not.


GetEnumerator Method

GetEnumerator Method
Namespaces > WebStats.Collections > OperatingSystemCollection > GetEnumerator()

[This is preliminary documentation and is subject to change.]

Returns an enumerator that iterates through a collection.
Syntax
C# Visual Basic Managed C++ J#
public IEnumerator GetEnumerator ()
Public Function GetEnumerator As IEnumerator
public:
virtual IEnumerator^ GetEnumerator () sealed
public final IEnumerator GetEnumerator ()
Return Value
An IEnumerator object that can be used to iterate through the collection.


GetTop Method (count)

GetTop Method (count)
Namespaces > WebStats.Collections > OperatingSystemCollection > GetTop(Int32)

[This is preliminary documentation and is subject to change.]

Gets the top.
Syntax
C# Visual Basic Managed C++ J#
public OperatingSystem[] GetTop (
    int count
)
Public Function GetTop ( _
    count As Integer _
) As OperatingSystem()
public:
array<OperatingSystem^>^ GetTop (
    int count
)
public OperatingSystem[] GetTop (
    int count
)
Parameters
count (Int32)
The count.
Return Value
Array of OperatingSystem.


IsSynchronized Property

IsSynchronized Property
Namespaces > WebStats.Collections > OperatingSystemCollection > IsSynchronized

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether access to the ICollection is synchronized (thread safe).
Syntax
C# Visual Basic Managed C++ J#
public bool IsSynchronized { get; }
Public ReadOnly Property IsSynchronized As Boolean
public:
virtual property bool IsSynchronized {
    bool get () sealed;
}
/** @property */
public final boolean get_IsSynchronized ()
Field Value
Return Value
true if access to the ICollection is synchronized (thread safe); otherwise, false.


Item Property (index)

Item Property (index)
Namespaces > WebStats.Collections > OperatingSystemCollection > Item(Int32)

[This is preliminary documentation and is subject to change.]

Gets or sets the OperatingSystem at the specified index.
Syntax
C# Visual Basic Managed C++ J#
public OperatingSystem this [
    int index
] { get; set; }
Public Property Item ( _
    index As Integer _
) As OperatingSystem
public:
property OperatingSystem^ default[int index] {
    OperatingSystem^ get (int index);
    void set (int index, OperatingSystem^ value);
}
/** @property */
public OperatingSystem get_Item (
    int index
)
/** @property */
public  void set_Item
Parameters
index (Int32)
Field Value


Search Method (os)

Search Method (os)
Namespaces > WebStats.Collections > OperatingSystemCollection > Search(OperatingSystem)

[This is preliminary documentation and is subject to change.]

Searches the collection to find the specified os.
Syntax
C# Visual Basic Managed C++ J#
public int Search (
    OperatingSystem os
)
Public Function Search ( _
    os As OperatingSystem _
) As Integer
public:
int Search (
    OperatingSystem^ os
)
public int Search (
    OperatingSystem os
)
Parameters
os (OperatingSystem)
The os.
Return Value
The index of the specified os, or -1 if it cannot be found.


Sort Method

Sort Method
Namespaces > WebStats.Collections > OperatingSystemCollection > Sort()

[This is preliminary documentation and is subject to change.]

Sorts this instance.
Syntax
C# Visual Basic Managed C++ J#
public void Sort ()
Public Sub Sort
public:
void Sort ()
public void Sort ()


SyncRoot Property

SyncRoot Property
Namespaces > WebStats.Collections > OperatingSystemCollection > SyncRoot

[This is preliminary documentation and is subject to change.]

Gets an object that can be used to synchronize access to the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public Object SyncRoot { get; }
Public ReadOnly Property SyncRoot As Object
public:
virtual property Object^ SyncRoot {
    Object^ get () sealed;
}
/** @property */
public final Object get_SyncRoot ()
Field Value
Return Value
An object that can be used to synchronize access to the ICollection.


PageCollection Class

PageCollection Class
Namespaces > WebStats.Collections > PageCollection

[This is preliminary documentation and is subject to change.]

A collection of Page
Syntax
C# Visual Basic Managed C++ J#
[DefaultMemberAttribute("Item")]
public class PageCollection : ICollection, IEnumerable
<DefaultMemberAttribute("Item")> _
Public Class PageCollection _
    Implements ICollection, IEnumerable
[DefaultMemberAttribute(L"Item")]
public ref class PageCollection : ICollection, IEnumerable
/** @attribute DefaultMemberAttribute("Item") */
public class PageCollection implements ICollection, IEnumerable
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | PageCollectionNew(Int32) | Initializes a new instance of the PageCollection class.
 | Add(Page) | Adds the specified page.
 | CopyTo(Array, Int32) | Copies to.
 | Count | Gets the number of elements contained in the ICollection.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Exists(String) | Determines if the specified url exists.
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetEnumerator() | Returns an enumerator that iterates through a collection.
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetTop(Int32) | Gets the top.
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | IsSynchronized | Gets a value indicating whether access to the ICollection is synchronized (thread safe).
 | Item(Int32) | Gets or sets the Page at the specified index.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Search(String) | Searches the collection to find the specified url.
 | Sort() | Sorts this instance.
 | SyncRoot | Gets an object that can be used to synchronize access to the ICollection.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
PageCollection


PageCollection Constructor (capacity)

PageCollection Constructor (capacity)
Namespaces > WebStats.Collections > PageCollection > PageCollectionNew(Int32)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the PageCollection class.
Syntax
C# Visual Basic Managed C++ J#
public PageCollection (
    int capacity
)
Public Sub New ( _
    capacity As Integer _
)
public:
PageCollection (
    int capacity
)
public PageCollection (
    int capacity
)
Parameters
capacity (Int32)
The capacity.


Add Method (page)

Add Method (page)
Namespaces > WebStats.Collections > PageCollection > Add(Page)

[This is preliminary documentation and is subject to change.]

Adds the specified page.
Syntax
C# Visual Basic Managed C++ J#
public void Add (
    Page page
)
Public Sub Add ( _
    page As Page _
)
public:
void Add (
    Page^ page
)
public void Add (
    Page page
)
Parameters
page (Page)
The page.


CopyTo Method (a, i)

CopyTo Method (a, i)
Namespaces > WebStats.Collections > PageCollection > CopyTo(Array, Int32)

[This is preliminary documentation and is subject to change.]

Copies to.
Syntax
C# Visual Basic Managed C++ J#
public void CopyTo (
    Array a,
    int i
)
Public Sub CopyTo ( _
    a As Array, _
    i As Integer _
)
public:
virtual void CopyTo (
    Array^ a,
    int i
) sealed
public final void CopyTo (
    Array a,
    int i
)
Parameters
a (Array)
A.
i (Int32)
The i.


Count Property

Count Property
Namespaces > WebStats.Collections > PageCollection > Count

[This is preliminary documentation and is subject to change.]

Gets the number of elements contained in the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public int Count { get; }
Public ReadOnly Property Count As Integer
public:
virtual property int Count {
    int get () sealed;
}
/** @property */
public final int get_Count ()
Field Value
Return Value
The number of elements contained in the ICollection.


Exists Method (url)

Exists Method (url)
Namespaces > WebStats.Collections > PageCollection > Exists(String)

[This is preliminary documentation and is subject to change.]

Determines if the specified url exists.
Syntax
C# Visual Basic Managed C++ J#
public bool Exists (
    string url
)
Public Function Exists ( _
    url As String _
) As Boolean
public:
bool Exists (
    String^ url
)
public boolean Exists (
    String url
)
Parameters
url (String)
The URL.
Return Value
True if found, false if not.


GetEnumerator Method

GetEnumerator Method
Namespaces > WebStats.Collections > PageCollection > GetEnumerator()

[This is preliminary documentation and is subject to change.]

Returns an enumerator that iterates through a collection.
Syntax
C# Visual Basic Managed C++ J#
public IEnumerator GetEnumerator ()
Public Function GetEnumerator As IEnumerator
public:
virtual IEnumerator^ GetEnumerator () sealed
public final IEnumerator GetEnumerator ()
Return Value
An IEnumerator object that can be used to iterate through the collection.


GetTop Method (count)

GetTop Method (count)
Namespaces > WebStats.Collections > PageCollection > GetTop(Int32)

[This is preliminary documentation and is subject to change.]

Gets the top.
Syntax
C# Visual Basic Managed C++ J#
public Page[] GetTop (
    int count
)
Public Function GetTop ( _
    count As Integer _
) As Page()
public:
array<Page^>^ GetTop (
    int count
)
public Page[] GetTop (
    int count
)
Parameters
count (Int32)
The count.
Return Value
Array of Page.


IsSynchronized Property

IsSynchronized Property
Namespaces > WebStats.Collections > PageCollection > IsSynchronized

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether access to the ICollection is synchronized (thread safe).
Syntax
C# Visual Basic Managed C++ J#
public bool IsSynchronized { get; }
Public ReadOnly Property IsSynchronized As Boolean
public:
virtual property bool IsSynchronized {
    bool get () sealed;
}
/** @property */
public final boolean get_IsSynchronized ()
Field Value
Return Value
true if access to the ICollection is synchronized (thread safe); otherwise, false.


Item Property (index)

Item Property (index)
Namespaces > WebStats.Collections > PageCollection > Item(Int32)

[This is preliminary documentation and is subject to change.]

Gets or sets the Page at the specified index.
Syntax
C# Visual Basic Managed C++ J#
public Page this [
    int index
] { get; set; }
Public Property Item ( _
    index As Integer _
) As Page
public:
property Page^ default[int index] {
    Page^ get (int index);
    void set (int index, Page^ value);
}
/** @property */
public Page get_Item (
    int index
)
/** @property */
public  void set_Item
Parameters
index (Int32)
Field Value


Search Method (url)

Search Method (url)
Namespaces > WebStats.Collections > PageCollection > Search(String)

[This is preliminary documentation and is subject to change.]

Searches the collection to find the specified url.
Syntax
C# Visual Basic Managed C++ J#
public int Search (
    string url
)
Public Function Search ( _
    url As String _
) As Integer
public:
int Search (
    String^ url
)
public int Search (
    String url
)
Parameters
url (String)
The URL.
Return Value
The index of the specified url, or -1 if it cannot be found.


Sort Method

Sort Method
Namespaces > WebStats.Collections > PageCollection > Sort()

[This is preliminary documentation and is subject to change.]

Sorts this instance.
Syntax
C# Visual Basic Managed C++ J#
public void Sort ()
Public Sub Sort
public:
void Sort ()
public void Sort ()


SyncRoot Property

SyncRoot Property
Namespaces > WebStats.Collections > PageCollection > SyncRoot

[This is preliminary documentation and is subject to change.]

Gets an object that can be used to synchronize access to the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public Object SyncRoot { get; }
Public ReadOnly Property SyncRoot As Object
public:
virtual property Object^ SyncRoot {
    Object^ get () sealed;
}
/** @property */
public final Object get_SyncRoot ()
Field Value
Return Value
An object that can be used to synchronize access to the ICollection.


ReferrerCollection Class

ReferrerCollection Class
Namespaces > WebStats.Collections > ReferrerCollection

[This is preliminary documentation and is subject to change.]

A collection of Referrer.
Syntax
C# Visual Basic Managed C++ J#
[DefaultMemberAttribute("Item")]
public class ReferrerCollection : ICollection, IEnumerable
<DefaultMemberAttribute("Item")> _
Public Class ReferrerCollection _
    Implements ICollection, IEnumerable
[DefaultMemberAttribute(L"Item")]
public ref class ReferrerCollection : ICollection, IEnumerable
/** @attribute DefaultMemberAttribute("Item") */
public class ReferrerCollection implements ICollection, IEnumerable
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | ReferrerCollectionNew(Int32) | Initializes a new instance of the ReferrerCollection class.
 | Add(Referrer) | Adds the specified referrer.
 | CopyTo(Array, Int32) | Copies to.
 | Count | Gets the number of elements contained in the ICollection.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Exists(String) | Determines if the specified url exists.
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetEnumerator() | Returns an enumerator that iterates through a collection.
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetTop(Int32) | Gets the top.
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | IsSynchronized | Gets a value indicating whether access to the ICollection is synchronized (thread safe).
 | Item(Int32) | Gets or sets the Referrer at the specified index.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Search(String) | Searches the collection to find the specified url.
 | Sort() | Sorts this instance.
 | SyncRoot | Gets an object that can be used to synchronize access to the ICollection.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
ReferrerCollection


ReferrerCollection Constructor (capacity)

ReferrerCollection Constructor (capacity)
Namespaces > WebStats.Collections > ReferrerCollection > ReferrerCollectionNew(Int32)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the ReferrerCollection class.
Syntax
C# Visual Basic Managed C++ J#
public ReferrerCollection (
    int capacity
)
Public Sub New ( _
    capacity As Integer _
)
public:
ReferrerCollection (
    int capacity
)
public ReferrerCollection (
    int capacity
)
Parameters
capacity (Int32)
The capacity.


Add Method (referrer)

Add Method (referrer)
Namespaces > WebStats.Collections > ReferrerCollection > Add(Referrer)

[This is preliminary documentation and is subject to change.]

Adds the specified referrer.
Syntax
C# Visual Basic Managed C++ J#
public void Add (
    Referrer referrer
)
Public Sub Add ( _
    referrer As Referrer _
)
public:
void Add (
    Referrer^ referrer
)
public void Add (
    Referrer referrer
)
Parameters
referrer (Referrer)
The referrer.


CopyTo Method (a, i)

CopyTo Method (a, i)
Namespaces > WebStats.Collections > ReferrerCollection > CopyTo(Array, Int32)

[This is preliminary documentation and is subject to change.]

Copies to.
Syntax
C# Visual Basic Managed C++ J#
public void CopyTo (
    Array a,
    int i
)
Public Sub CopyTo ( _
    a As Array, _
    i As Integer _
)
public:
virtual void CopyTo (
    Array^ a,
    int i
) sealed
public final void CopyTo (
    Array a,
    int i
)
Parameters
a (Array)
A.
i (Int32)
The i.


Count Property

Count Property
Namespaces > WebStats.Collections > ReferrerCollection > Count

[This is preliminary documentation and is subject to change.]

Gets the number of elements contained in the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public int Count { get; }
Public ReadOnly Property Count As Integer
public:
virtual property int Count {
    int get () sealed;
}
/** @property */
public final int get_Count ()
Field Value
Return Value
The number of elements contained in the ICollection.


Exists Method (url)

Exists Method (url)
Namespaces > WebStats.Collections > ReferrerCollection > Exists(String)

[This is preliminary documentation and is subject to change.]

Determines if the specified url exists.
Syntax
C# Visual Basic Managed C++ J#
public bool Exists (
    string url
)
Public Function Exists ( _
    url As String _
) As Boolean
public:
bool Exists (
    String^ url
)
public boolean Exists (
    String url
)
Parameters
url (String)
The URL.
Return Value
True if found, false if not.


GetEnumerator Method

GetEnumerator Method
Namespaces > WebStats.Collections > ReferrerCollection > GetEnumerator()

[This is preliminary documentation and is subject to change.]

Returns an enumerator that iterates through a collection.
Syntax
C# Visual Basic Managed C++ J#
public IEnumerator GetEnumerator ()
Public Function GetEnumerator As IEnumerator
public:
virtual IEnumerator^ GetEnumerator () sealed
public final IEnumerator GetEnumerator ()
Return Value
An IEnumerator object that can be used to iterate through the collection.


GetTop Method (count)

GetTop Method (count)
Namespaces > WebStats.Collections > ReferrerCollection > GetTop(Int32)

[This is preliminary documentation and is subject to change.]

Gets the top.
Syntax
C# Visual Basic Managed C++ J#
public Referrer[] GetTop (
    int count
)
Public Function GetTop ( _
    count As Integer _
) As Referrer()
public:
array<Referrer^>^ GetTop (
    int count
)
public Referrer[] GetTop (
    int count
)
Parameters
count (Int32)
The count.
Return Value
An array representing the top [count] items.


IsSynchronized Property

IsSynchronized Property
Namespaces > WebStats.Collections > ReferrerCollection > IsSynchronized

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether access to the ICollection is synchronized (thread safe).
Syntax
C# Visual Basic Managed C++ J#
public bool IsSynchronized { get; }
Public ReadOnly Property IsSynchronized As Boolean
public:
virtual property bool IsSynchronized {
    bool get () sealed;
}
/** @property */
public final boolean get_IsSynchronized ()
Field Value
Return Value
true if access to the ICollection is synchronized (thread safe); otherwise, false.


Item Property (index)

Item Property (index)
Namespaces > WebStats.Collections > ReferrerCollection > Item(Int32)

[This is preliminary documentation and is subject to change.]

Gets or sets the Referrer at the specified index.
Syntax
C# Visual Basic Managed C++ J#
public Referrer this [
    int index
] { get; set; }
Public Property Item ( _
    index As Integer _
) As Referrer
public:
property Referrer^ default[int index] {
    Referrer^ get (int index);
    void set (int index, Referrer^ value);
}
/** @property */
public Referrer get_Item (
    int index
)
/** @property */
public  void set_Item
Parameters
index (Int32)
Field Value


Search Method (url)

Search Method (url)
Namespaces > WebStats.Collections > ReferrerCollection > Search(String)

[This is preliminary documentation and is subject to change.]

Searches the collection to find the specified url.
Syntax
C# Visual Basic Managed C++ J#
public int Search (
    string url
)
Public Function Search ( _
    url As String _
) As Integer
public:
int Search (
    String^ url
)
public int Search (
    String url
)
Parameters
url (String)
The URL.
Return Value
The index of the specified url, or -1 if it cannot be found.


Sort Method

Sort Method
Namespaces > WebStats.Collections > ReferrerCollection > Sort()

[This is preliminary documentation and is subject to change.]

Sorts this instance.
Syntax
C# Visual Basic Managed C++ J#
public void Sort ()
Public Sub Sort
public:
void Sort ()
public void Sort ()


SyncRoot Property

SyncRoot Property
Namespaces > WebStats.Collections > ReferrerCollection > SyncRoot

[This is preliminary documentation and is subject to change.]

Gets an object that can be used to synchronize access to the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public Object SyncRoot { get; }
Public ReadOnly Property SyncRoot As Object
public:
virtual property Object^ SyncRoot {
    Object^ get () sealed;
}
/** @property */
public final Object get_SyncRoot ()
Field Value
Return Value
An object that can be used to synchronize access to the ICollection.


ReportCollection Class

ReportCollection Class
Namespaces > WebStats.Collections > ReportCollection

[This is preliminary documentation and is subject to change.]

A collection of Report
Syntax
C# Visual Basic Managed C++ J#
[DefaultMemberAttribute("Item")]
public class ReportCollection : ICollection, IEnumerable
<DefaultMemberAttribute("Item")> _
Public Class ReportCollection _
    Implements ICollection, IEnumerable
[DefaultMemberAttribute(L"Item")]
public ref class ReportCollection : ICollection, IEnumerable
/** @attribute DefaultMemberAttribute("Item") */
public class ReportCollection implements ICollection, IEnumerable
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | ReportCollectionNew(Int32) | Initializes a new instance of the ReportCollection class.
 | Add(Report) | Adds the specified report.
 | CopyTo(Array, Int32) | Copies to.
 | Count | Gets the number of elements contained in the ICollection.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetEnumerator() | Returns an enumerator that iterates through a collection.
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | IsSynchronized | Gets a value indicating whether access to the ICollection is synchronized (thread safe).
 | Item(Int32) | Gets or sets the Report at the specified index.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Search(Report) | Searches the collection to find the specified report.
 | Sort() | Sorts this instance.
 | SyncRoot | Gets an object that can be used to synchronize access to the ICollection.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
ReportCollection
See Also
Report


ReportCollection Constructor (capacity)

ReportCollection Constructor (capacity)
Namespaces > WebStats.Collections > ReportCollection > ReportCollectionNew(Int32)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the ReportCollection class.
Syntax
C# Visual Basic Managed C++ J#
public ReportCollection (
    int capacity
)
Public Sub New ( _
    capacity As Integer _
)
public:
ReportCollection (
    int capacity
)
public ReportCollection (
    int capacity
)
Parameters
capacity (Int32)
The capacity.


Add Method (report)

Add Method (report)
Namespaces > WebStats.Collections > ReportCollection > Add(Report)

[This is preliminary documentation and is subject to change.]

Adds the specified report.
Syntax
C# Visual Basic Managed C++ J#
public void Add (
    Report report
)
Public Sub Add ( _
    report As Report _
)
public:
void Add (
    Report^ report
)
public void Add (
    Report report
)
Parameters
report (Report)
The report.


CopyTo Method (a, i)

CopyTo Method (a, i)
Namespaces > WebStats.Collections > ReportCollection > CopyTo(Array, Int32)

[This is preliminary documentation and is subject to change.]

Copies to.
Syntax
C# Visual Basic Managed C++ J#
public void CopyTo (
    Array a,
    int i
)
Public Sub CopyTo ( _
    a As Array, _
    i As Integer _
)
public:
virtual void CopyTo (
    Array^ a,
    int i
) sealed
public final void CopyTo (
    Array a,
    int i
)
Parameters
a (Array)
A.
i (Int32)
The i.


Count Property

Count Property
Namespaces > WebStats.Collections > ReportCollection > Count

[This is preliminary documentation and is subject to change.]

Gets the number of elements contained in the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public int Count { get; }
Public ReadOnly Property Count As Integer
public:
virtual property int Count {
    int get () sealed;
}
/** @property */
public final int get_Count ()
Field Value
Return Value
The number of elements contained in the ICollection.


GetEnumerator Method

GetEnumerator Method
Namespaces > WebStats.Collections > ReportCollection > GetEnumerator()

[This is preliminary documentation and is subject to change.]

Returns an enumerator that iterates through a collection.
Syntax
C# Visual Basic Managed C++ J#
public IEnumerator GetEnumerator ()
Public Function GetEnumerator As IEnumerator
public:
virtual IEnumerator^ GetEnumerator () sealed
public final IEnumerator GetEnumerator ()
Return Value
An IEnumerator object that can be used to iterate through the collection.


IsSynchronized Property

IsSynchronized Property
Namespaces > WebStats.Collections > ReportCollection > IsSynchronized

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether access to the ICollection is synchronized (thread safe).
Syntax
C# Visual Basic Managed C++ J#
public bool IsSynchronized { get; }
Public ReadOnly Property IsSynchronized As Boolean
public:
virtual property bool IsSynchronized {
    bool get () sealed;
}
/** @property */
public final boolean get_IsSynchronized ()
Field Value
Return Value
true if access to the ICollection is synchronized (thread safe); otherwise, false.


Item Property (index)

Item Property (index)
Namespaces > WebStats.Collections > ReportCollection > Item(Int32)

[This is preliminary documentation and is subject to change.]

Gets or sets the Report at the specified index.
Syntax
C# Visual Basic Managed C++ J#
public Report this [
    int index
] { get; set; }
Public Property Item ( _
    index As Integer _
) As Report
public:
property Report^ default[int index] {
    Report^ get (int index);
    void set (int index, Report^ value);
}
/** @property */
public Report get_Item (
    int index
)
/** @property */
public  void set_Item
Parameters
index (Int32)
Field Value
A Report to assign to the specified index.


Search Method (report)

Search Method (report)
Namespaces > WebStats.Collections > ReportCollection > Search(Report)

[This is preliminary documentation and is subject to change.]

Searches the collection to find the specified report.
Syntax
C# Visual Basic Managed C++ J#
public int Search (
    Report report
)
Public Function Search ( _
    report As Report _
) As Integer
public:
int Search (
    Report^ report
)
public int Search (
    Report report
)
Parameters
report (Report)
The report.
Return Value
The index of the specified report, or -1 if it cannot be found.


Sort Method

Sort Method
Namespaces > WebStats.Collections > ReportCollection > Sort()

[This is preliminary documentation and is subject to change.]

Sorts this instance.
Syntax
C# Visual Basic Managed C++ J#
public void Sort ()
Public Sub Sort
public:
void Sort ()
public void Sort ()


SyncRoot Property

SyncRoot Property
Namespaces > WebStats.Collections > ReportCollection > SyncRoot

[This is preliminary documentation and is subject to change.]

Gets an object that can be used to synchronize access to the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public Object SyncRoot { get; }
Public ReadOnly Property SyncRoot As Object
public:
virtual property Object^ SyncRoot {
    Object^ get () sealed;
}
/** @property */
public final Object get_SyncRoot ()
Field Value
Return Value
An object that can be used to synchronize access to the ICollection.


RobotCollection Class

RobotCollection Class
Namespaces > WebStats.Collections > RobotCollection

[This is preliminary documentation and is subject to change.]

A collection of Robot
Syntax
C# Visual Basic Managed C++ J#
[DefaultMemberAttribute("Item")]
public class RobotCollection : ICollection, IEnumerable
<DefaultMemberAttribute("Item")> _
Public Class RobotCollection _
    Implements ICollection, IEnumerable
[DefaultMemberAttribute(L"Item")]
public ref class RobotCollection : ICollection, IEnumerable
/** @attribute DefaultMemberAttribute("Item") */
public class RobotCollection implements ICollection, IEnumerable
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | RobotCollectionNew(Int32) | Initializes a new instance of the RobotCollection class.
 | Add(Robot) | Adds the specified robot.
 | CopyTo(Array, Int32) | Copies to.
 | Count | Gets the number of elements contained in the ICollection.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Exists(Robot) | Determines if the specified Robot exists.
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetEnumerator() | Returns an enumerator that iterates through a collection.
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetTop(Int32) | Gets the top.
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | IsSynchronized | Gets a value indicating whether access to the ICollection is synchronized (thread safe).
 | Item(Int32) | Gets or sets the Robot at the specified index.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Search(Robot) | Searches the specified robot.
 | Sort() | Sorts this instance.
 | SyncRoot | Gets an object that can be used to synchronize access to the ICollection.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
RobotCollection


RobotCollection Constructor (capacity)

RobotCollection Constructor (capacity)
Namespaces > WebStats.Collections > RobotCollection > RobotCollectionNew(Int32)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the RobotCollection class.
Syntax
C# Visual Basic Managed C++ J#
public RobotCollection (
    int capacity
)
Public Sub New ( _
    capacity As Integer _
)
public:
RobotCollection (
    int capacity
)
public RobotCollection (
    int capacity
)
Parameters
capacity (Int32)
The capacity.


Add Method (robot)

Add Method (robot)
Namespaces > WebStats.Collections > RobotCollection > Add(Robot)

[This is preliminary documentation and is subject to change.]

Adds the specified robot.
Syntax
C# Visual Basic Managed C++ J#
public void Add (
    Robot robot
)
Public Sub Add ( _
    robot As Robot _
)
public:
void Add (
    Robot^ robot
)
public void Add (
    Robot robot
)
Parameters
robot (Robot)
The robot.


CopyTo Method (a, i)

CopyTo Method (a, i)
Namespaces > WebStats.Collections > RobotCollection > CopyTo(Array, Int32)

[This is preliminary documentation and is subject to change.]

Copies to.
Syntax
C# Visual Basic Managed C++ J#
public void CopyTo (
    Array a,
    int i
)
Public Sub CopyTo ( _
    a As Array, _
    i As Integer _
)
public:
virtual void CopyTo (
    Array^ a,
    int i
) sealed
public final void CopyTo (
    Array a,
    int i
)
Parameters
a (Array)
A.
i (Int32)
The i.


Count Property

Count Property
Namespaces > WebStats.Collections > RobotCollection > Count

[This is preliminary documentation and is subject to change.]

Gets the number of elements contained in the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public int Count { get; }
Public ReadOnly Property Count As Integer
public:
virtual property int Count {
    int get () sealed;
}
/** @property */
public final int get_Count ()
Field Value
Return Value
The number of elements contained in the ICollection.


Exists Method (robot)

Exists Method (robot)
Namespaces > WebStats.Collections > RobotCollection > Exists(Robot)

[This is preliminary documentation and is subject to change.]

Determines if the specified Robot exists.
Syntax
C# Visual Basic Managed C++ J#
public bool Exists (
    Robot robot
)
Public Function Exists ( _
    robot As Robot _
) As Boolean
public:
bool Exists (
    Robot^ robot
)
public boolean Exists (
    Robot robot
)
Parameters
robot (Robot)
The robot.
Return Value
True if it exists.


GetEnumerator Method

GetEnumerator Method
Namespaces > WebStats.Collections > RobotCollection > GetEnumerator()

[This is preliminary documentation and is subject to change.]

Returns an enumerator that iterates through a collection.
Syntax
C# Visual Basic Managed C++ J#
public IEnumerator GetEnumerator ()
Public Function GetEnumerator As IEnumerator
public:
virtual IEnumerator^ GetEnumerator () sealed
public final IEnumerator GetEnumerator ()
Return Value
An IEnumerator object that can be used to iterate through the collection.


GetTop Method (count)

GetTop Method (count)
Namespaces > WebStats.Collections > RobotCollection > GetTop(Int32)

[This is preliminary documentation and is subject to change.]

Gets the top.
Syntax
C# Visual Basic Managed C++ J#
public Robot[] GetTop (
    int count
)
Public Function GetTop ( _
    count As Integer _
) As Robot()
public:
array<Robot^>^ GetTop (
    int count
)
public Robot[] GetTop (
    int count
)
Parameters
count (Int32)
The count.
Return Value
Array of Robot.


IsSynchronized Property

IsSynchronized Property
Namespaces > WebStats.Collections > RobotCollection > IsSynchronized

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether access to the ICollection is synchronized (thread safe).
Syntax
C# Visual Basic Managed C++ J#
public bool IsSynchronized { get; }
Public ReadOnly Property IsSynchronized As Boolean
public:
virtual property bool IsSynchronized {
    bool get () sealed;
}
/** @property */
public final boolean get_IsSynchronized ()
Field Value
Return Value
true if access to the ICollection is synchronized (thread safe); otherwise, false.


Item Property (index)

Item Property (index)
Namespaces > WebStats.Collections > RobotCollection > Item(Int32)

[This is preliminary documentation and is subject to change.]

Gets or sets the Robot at the specified index.
Syntax
C# Visual Basic Managed C++ J#
public Robot this [
    int index
] { get; set; }
Public Property Item ( _
    index As Integer _
) As Robot
public:
property Robot^ default[int index] {
    Robot^ get (int index);
    void set (int index, Robot^ value);
}
/** @property */
public Robot get_Item (
    int index
)
/** @property */
public  void set_Item
Parameters
index (Int32)
Field Value
The Robot to assign at the specified index.


Search Method (robot)

Search Method (robot)
Namespaces > WebStats.Collections > RobotCollection > Search(Robot)

[This is preliminary documentation and is subject to change.]

Searches the specified robot.
Syntax
C# Visual Basic Managed C++ J#
public int Search (
    Robot robot
)
Public Function Search ( _
    robot As Robot _
) As Integer
public:
int Search (
    Robot^ robot
)
public int Search (
    Robot robot
)
Parameters
robot (Robot)
The robot.
Return Value
Index of the robot


Sort Method

Sort Method
Namespaces > WebStats.Collections > RobotCollection > Sort()

[This is preliminary documentation and is subject to change.]

Sorts this instance.
Syntax
C# Visual Basic Managed C++ J#
public void Sort ()
Public Sub Sort
public:
void Sort ()
public void Sort ()


SyncRoot Property

SyncRoot Property
Namespaces > WebStats.Collections > RobotCollection > SyncRoot

[This is preliminary documentation and is subject to change.]

Gets an object that can be used to synchronize access to the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public Object SyncRoot { get; }
Public ReadOnly Property SyncRoot As Object
public:
virtual property Object^ SyncRoot {
    Object^ get () sealed;
}
/** @property */
public final Object get_SyncRoot ()
Field Value
Return Value
An object that can be used to synchronize access to the ICollection.


SearchEngineCollection Class

SearchEngineCollection Class
Namespaces > WebStats.Collections > SearchEngineCollection

[This is preliminary documentation and is subject to change.]

A collection of SearchEngine.
Syntax
C# Visual Basic Managed C++ J#
[DefaultMemberAttribute("Item")]
public class SearchEngineCollection : ICollection, IEnumerable
<DefaultMemberAttribute("Item")> _
Public Class SearchEngineCollection _
    Implements ICollection, IEnumerable
[DefaultMemberAttribute(L"Item")]
public ref class SearchEngineCollection : ICollection, IEnumerable
/** @attribute DefaultMemberAttribute("Item") */
public class SearchEngineCollection implements ICollection, IEnumerable
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SearchEngineCollectionNew(Int32) | Initializes a new instance of the SearchEngineCollection class.
 | Add(SearchEngine) | Adds the specified searchengine.
 | CopyTo(Array, Int32) | Copies to.
 | Count | Gets the number of elements contained in the ICollection.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Exists(String) | Determines if the specified name exists.
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetEnumerator() | Returns an enumerator that iterates through a collection.
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetTop(Int32) | Gets the top.
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | IsSynchronized | Gets a value indicating whether access to the ICollection is synchronized (thread safe).
 | Item(Int32) | Gets or sets the SearchEngine at the specified index.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Search(String) | Searches the collection to find the specified name.
 | Sort() | Sorts this instance.
 | SyncRoot | Gets an object that can be used to synchronize access to the ICollection.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
SearchEngineCollection


SearchEngineCollection Constructor (capacity)

SearchEngineCollection Constructor (capacity)
Namespaces > WebStats.Collections > SearchEngineCollection > SearchEngineCollectionNew(Int32)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SearchEngineCollection class.
Syntax
C# Visual Basic Managed C++ J#
public SearchEngineCollection (
    int capacity
)
Public Sub New ( _
    capacity As Integer _
)
public:
SearchEngineCollection (
    int capacity
)
public SearchEngineCollection (
    int capacity
)
Parameters
capacity (Int32)
The capacity.


Add Method (searchengine)

Add Method (searchengine)
Namespaces > WebStats.Collections > SearchEngineCollection > Add(SearchEngine)

[This is preliminary documentation and is subject to change.]

Adds the specified searchengine.
Syntax
C# Visual Basic Managed C++ J#
public void Add (
    SearchEngine searchengine
)
Public Sub Add ( _
    searchengine As SearchEngine _
)
public:
void Add (
    SearchEngine^ searchengine
)
public void Add (
    SearchEngine searchengine
)
Parameters
searchengine (SearchEngine)
The searchengine.


CopyTo Method (a, i)

CopyTo Method (a, i)
Namespaces > WebStats.Collections > SearchEngineCollection > CopyTo(Array, Int32)

[This is preliminary documentation and is subject to change.]

Copies to.
Syntax
C# Visual Basic Managed C++ J#
public void CopyTo (
    Array a,
    int i
)
Public Sub CopyTo ( _
    a As Array, _
    i As Integer _
)
public:
virtual void CopyTo (
    Array^ a,
    int i
) sealed
public final void CopyTo (
    Array a,
    int i
)
Parameters
a (Array)
A.
i (Int32)
The i.


Count Property

Count Property
Namespaces > WebStats.Collections > SearchEngineCollection > Count

[This is preliminary documentation and is subject to change.]

Gets the number of elements contained in the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public int Count { get; }
Public ReadOnly Property Count As Integer
public:
virtual property int Count {
    int get () sealed;
}
/** @property */
public final int get_Count ()
Field Value
Return Value
The number of elements contained in the ICollection.


Exists Method (name)

Exists Method (name)
Namespaces > WebStats.Collections > SearchEngineCollection > Exists(String)

[This is preliminary documentation and is subject to change.]

Determines if the specified name exists.
Syntax
C# Visual Basic Managed C++ J#
public bool Exists (
    string name
)
Public Function Exists ( _
    name As String _
) As Boolean
public:
bool Exists (
    String^ name
)
public boolean Exists (
    String name
)
Parameters
name (String)
The name.
Return Value
True if found, false if not.


GetEnumerator Method

GetEnumerator Method
Namespaces > WebStats.Collections > SearchEngineCollection > GetEnumerator()

[This is preliminary documentation and is subject to change.]

Returns an enumerator that iterates through a collection.
Syntax
C# Visual Basic Managed C++ J#
public IEnumerator GetEnumerator ()
Public Function GetEnumerator As IEnumerator
public:
virtual IEnumerator^ GetEnumerator () sealed
public final IEnumerator GetEnumerator ()
Return Value
An IEnumerator object that can be used to iterate through the collection.


GetTop Method (count)

GetTop Method (count)
Namespaces > WebStats.Collections > SearchEngineCollection > GetTop(Int32)

[This is preliminary documentation and is subject to change.]

Gets the top.
Syntax
C# Visual Basic Managed C++ J#
public SearchEngine[] GetTop (
    int count
)
Public Function GetTop ( _
    count As Integer _
) As SearchEngine()
public:
array<SearchEngine^>^ GetTop (
    int count
)
public SearchEngine[] GetTop (
    int count
)
Parameters
count (Int32)
The count.
Return Value
An array representing the top [count] items.


IsSynchronized Property

IsSynchronized Property
Namespaces > WebStats.Collections > SearchEngineCollection > IsSynchronized

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether access to the ICollection is synchronized (thread safe).
Syntax
C# Visual Basic Managed C++ J#
public bool IsSynchronized { get; }
Public ReadOnly Property IsSynchronized As Boolean
public:
virtual property bool IsSynchronized {
    bool get () sealed;
}
/** @property */
public final boolean get_IsSynchronized ()
Field Value
Return Value
true if access to the ICollection is synchronized (thread safe); otherwise, false.


Item Property (index)

Item Property (index)
Namespaces > WebStats.Collections > SearchEngineCollection > Item(Int32)

[This is preliminary documentation and is subject to change.]

Gets or sets the SearchEngine at the specified index.
Syntax
C# Visual Basic Managed C++ J#
public SearchEngine this [
    int index
] { get; set; }
Public Property Item ( _
    index As Integer _
) As SearchEngine
public:
property SearchEngine^ default[int index] {
    SearchEngine^ get (int index);
    void set (int index, SearchEngine^ value);
}
/** @property */
public SearchEngine get_Item (
    int index
)
/** @property */
public  void set_Item
Parameters
index (Int32)
Field Value


Search Method (name)

Search Method (name)
Namespaces > WebStats.Collections > SearchEngineCollection > Search(String)

[This is preliminary documentation and is subject to change.]

Searches the collection to find the specified name.
Syntax
C# Visual Basic Managed C++ J#
public int Search (
    string name
)
Public Function Search ( _
    name As String _
) As Integer
public:
int Search (
    String^ name
)
public int Search (
    String name
)
Parameters
name (String)
The name.
Return Value
The index of the specified name, or -1 if it cannot be found.


Sort Method

Sort Method
Namespaces > WebStats.Collections > SearchEngineCollection > Sort()

[This is preliminary documentation and is subject to change.]

Sorts this instance.
Syntax
C# Visual Basic Managed C++ J#
public void Sort ()
Public Sub Sort
public:
void Sort ()
public void Sort ()


SyncRoot Property

SyncRoot Property
Namespaces > WebStats.Collections > SearchEngineCollection > SyncRoot

[This is preliminary documentation and is subject to change.]

Gets an object that can be used to synchronize access to the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public Object SyncRoot { get; }
Public ReadOnly Property SyncRoot As Object
public:
virtual property Object^ SyncRoot {
    Object^ get () sealed;
}
/** @property */
public final Object get_SyncRoot ()
Field Value
Return Value
An object that can be used to synchronize access to the ICollection.


SessionCollection Class

SessionCollection Class
Namespaces > WebStats.Collections > SessionCollection

[This is preliminary documentation and is subject to change.]

A collection of Session.
Syntax
C# Visual Basic Managed C++ J#
[DefaultMemberAttribute("Item")]
public class SessionCollection : ICollection, IEnumerable
<DefaultMemberAttribute("Item")> _
Public Class SessionCollection _
    Implements ICollection, IEnumerable
[DefaultMemberAttribute(L"Item")]
public ref class SessionCollection : ICollection, IEnumerable
/** @attribute DefaultMemberAttribute("Item") */
public class SessionCollection implements ICollection, IEnumerable
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SessionCollectionNew(Int32) | Initializes a new instance of the SessionCollection class.
 | Add(Session) | Adds the specified session.
 | CopyTo(Array, Int32) | Copies to.
 | Count | Gets the number of elements contained in the ICollection.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetEnumerator() | Returns an enumerator that iterates through a collection.
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetTop(Int32) | Gets the top.
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | IsSynchronized | Gets a value indicating whether access to the ICollection is synchronized (thread safe).
 | Item(Int32) | Gets or sets the Session at the specified index.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Search(String, DateTime, Int32) | Searches for the specified ipaddress within the specified timeout duration using the specified timestamp.
 | Search(SessionReference) | Searches the collection to find the specified reference.
 | Sort() | Sorts this instance.
 | SyncRoot | Gets an object that can be used to synchronize access to the ICollection.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
 | UniqueIpCount() | Gets the number of unique ipaddresses.
 | UniqueIpCount(DateTime, DateTime) | Gets the number of unique ipaddresses between the start and stop time.
Inheritance Hierarchy
Object
SessionCollection


SessionCollection Constructor (capacity)

SessionCollection Constructor (capacity)
Namespaces > WebStats.Collections > SessionCollection > SessionCollectionNew(Int32)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SessionCollection class.
Syntax
C# Visual Basic Managed C++ J#
public SessionCollection (
    int capacity
)
Public Sub New ( _
    capacity As Integer _
)
public:
SessionCollection (
    int capacity
)
public SessionCollection (
    int capacity
)
Parameters
capacity (Int32)
The capacity.


Add Method (session)

Add Method (session)
Namespaces > WebStats.Collections > SessionCollection > Add(Session)

[This is preliminary documentation and is subject to change.]

Adds the specified session.
Syntax
C# Visual Basic Managed C++ J#
public void Add (
    Session session
)
Public Sub Add ( _
    session As Session _
)
public:
void Add (
    Session^ session
)
public void Add (
    Session session
)
Parameters
session (Session)
The session.


CopyTo Method (a, i)

CopyTo Method (a, i)
Namespaces > WebStats.Collections > SessionCollection > CopyTo(Array, Int32)

[This is preliminary documentation and is subject to change.]

Copies to.
Syntax
C# Visual Basic Managed C++ J#
public void CopyTo (
    Array a,
    int i
)
Public Sub CopyTo ( _
    a As Array, _
    i As Integer _
)
public:
virtual void CopyTo (
    Array^ a,
    int i
) sealed
public final void CopyTo (
    Array a,
    int i
)
Parameters
a (Array)
A.
i (Int32)
The i.


Count Property

Count Property
Namespaces > WebStats.Collections > SessionCollection > Count

[This is preliminary documentation and is subject to change.]

Gets the number of elements contained in the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public int Count { get; }
Public ReadOnly Property Count As Integer
public:
virtual property int Count {
    int get () sealed;
}
/** @property */
public final int get_Count ()
Field Value
Return Value
The number of elements contained in the ICollection.


GetEnumerator Method

GetEnumerator Method
Namespaces > WebStats.Collections > SessionCollection > GetEnumerator()

[This is preliminary documentation and is subject to change.]

Returns an enumerator that iterates through a collection.
Syntax
C# Visual Basic Managed C++ J#
public IEnumerator GetEnumerator ()
Public Function GetEnumerator As IEnumerator
public:
virtual IEnumerator^ GetEnumerator () sealed
public final IEnumerator GetEnumerator ()
Return Value
An IEnumerator object that can be used to iterate through the collection.


GetTop Method (count)

GetTop Method (count)
Namespaces > WebStats.Collections > SessionCollection > GetTop(Int32)

[This is preliminary documentation and is subject to change.]

Gets the top.
Syntax
C# Visual Basic Managed C++ J#
public Session[] GetTop (
    int count
)
Public Function GetTop ( _
    count As Integer _
) As Session()
public:
array<Session^>^ GetTop (
    int count
)
public Session[] GetTop (
    int count
)
Parameters
count (Int32)
The count.
Return Value
Array of Session


IsSynchronized Property

IsSynchronized Property
Namespaces > WebStats.Collections > SessionCollection > IsSynchronized

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether access to the ICollection is synchronized (thread safe).
Syntax
C# Visual Basic Managed C++ J#
public bool IsSynchronized { get; }
Public ReadOnly Property IsSynchronized As Boolean
public:
virtual property bool IsSynchronized {
    bool get () sealed;
}
/** @property */
public final boolean get_IsSynchronized ()
Field Value
Return Value
true if access to the ICollection is synchronized (thread safe); otherwise, false.


Item Property (index)

Item Property (index)
Namespaces > WebStats.Collections > SessionCollection > Item(Int32)

[This is preliminary documentation and is subject to change.]

Gets or sets the Session at the specified index.
Syntax
C# Visual Basic Managed C++ J#
public Session this [
    int index
] { get; set; }
Public Property Item ( _
    index As Integer _
) As Session
public:
property Session^ default[int index] {
    Session^ get (int index);
    void set (int index, Session^ value);
}
/** @property */
public Session get_Item (
    int index
)
/** @property */
public  void set_Item
Parameters
index (Int32)
Field Value
Session to assign to the specified index.


Search Method

Search Method
Namespaces > WebStats.Collections > SessionCollection > Search

[This is preliminary documentation and is subject to change.]

Members
Icon | Member | Description
 | Search(String, DateTime, Int32) | Searches for the specified ipaddress within the specified timeout duration using the specified timestamp.
 | Search(SessionReference) | Searches the collection to find the specified reference.


Search Method (ipaddress, timestamp, sessiontimeout)

Search Method (ipaddress, timestamp, sessiontimeout)
Namespaces > WebStats.Collections > SessionCollection > Search(String, DateTime, Int32)

[This is preliminary documentation and is subject to change.]

Searches for the specified ipaddress within the specified timeout duration using the specified timestamp.
Syntax
C# Visual Basic Managed C++ J#
public int Search (
    string ipaddress,
    DateTime timestamp,
    int sessiontimeout
)
Public Function Search ( _
    ipaddress As String, _
    timestamp As DateTime, _
    sessiontimeout As Integer _
) As Integer
public:
int Search (
    String^ ipaddress,
    DateTime timestamp,
    int sessiontimeout
)
public int Search (
    String ipaddress,
    DateTime timestamp,
    int sessiontimeout
)
Parameters
ipaddress (String)
The ipaddress.
timestamp (DateTime)
The timestamp.
sessiontimeout (Int32)
The sessiontimeout.
Return Value
Index where all the arguments were matched.


Search Method (reference)

Search Method (reference)
Namespaces > WebStats.Collections > SessionCollection > Search(SessionReference)

[This is preliminary documentation and is subject to change.]

Searches the collection to find the specified reference.
Syntax
C# Visual Basic Managed C++ J#
public int Search (
    SessionReference reference
)
Public Function Search ( _
    reference As SessionReference _
) As Integer
public:
int Search (
    SessionReference^ reference
)
public int Search (
    SessionReference reference
)
Parameters
reference (SessionReference)
The reference.
Return Value
The index of the specified reference, or -1 if it cannot be found.


Sort Method

Sort Method
Namespaces > WebStats.Collections > SessionCollection > Sort()

[This is preliminary documentation and is subject to change.]

Sorts this instance.
Syntax
C# Visual Basic Managed C++ J#
public void Sort ()
Public Sub Sort
public:
void Sort ()
public void Sort ()


SyncRoot Property

SyncRoot Property
Namespaces > WebStats.Collections > SessionCollection > SyncRoot

[This is preliminary documentation and is subject to change.]

Gets an object that can be used to synchronize access to the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public Object SyncRoot { get; }
Public ReadOnly Property SyncRoot As Object
public:
virtual property Object^ SyncRoot {
    Object^ get () sealed;
}
/** @property */
public final Object get_SyncRoot ()
Field Value
Return Value
An object that can be used to synchronize access to the ICollection.


UniqueIpCount Method

UniqueIpCount Method
Namespaces > WebStats.Collections > SessionCollection > UniqueIpCount

[This is preliminary documentation and is subject to change.]

Members
Icon | Member | Description
 | UniqueIpCount() | Gets the number of unique ipaddresses.
 | UniqueIpCount(DateTime, DateTime) | Gets the number of unique ipaddresses between the start and stop time.


UniqueIpCount Method

UniqueIpCount Method
Namespaces > WebStats.Collections > SessionCollection > UniqueIpCount()

[This is preliminary documentation and is subject to change.]

Gets the number of unique ipaddresses.
Syntax
C# Visual Basic Managed C++ J#
public int UniqueIpCount ()
Public Function UniqueIpCount As Integer
public:
int UniqueIpCount ()
public int UniqueIpCount ()
Return Value
Number of unique ipaddresses.


UniqueIpCount Method (start, stop)

UniqueIpCount Method (start, stop)
Namespaces > WebStats.Collections > SessionCollection > UniqueIpCount(DateTime, DateTime)

[This is preliminary documentation and is subject to change.]

Gets the number of unique ipaddresses between the start and stop time.
Syntax
C# Visual Basic Managed C++ J#
public int UniqueIpCount (
    DateTime start,
    DateTime stop
)
Public Function UniqueIpCount ( _
    start As DateTime, _
    stop As DateTime _
) As Integer
public:
int UniqueIpCount (
    DateTime start,
    DateTime stop
)
public int UniqueIpCount (
    DateTime start,
    DateTime stop
)
Parameters
start (DateTime)
The start time.
stop (DateTime)
The stop time.
Return Value
Number of unique ipaddresses.


SessionReferenceCollection Class

SessionReferenceCollection Class
Namespaces > WebStats.Collections > SessionReferenceCollection

[This is preliminary documentation and is subject to change.]

A collection of SessionReference.
Syntax
C# Visual Basic Managed C++ J#
[DefaultMemberAttribute("Item")]
public class SessionReferenceCollection : ICollection, IEnumerable
<DefaultMemberAttribute("Item")> _
Public Class SessionReferenceCollection _
    Implements ICollection, IEnumerable
[DefaultMemberAttribute(L"Item")]
public ref class SessionReferenceCollection : ICollection, IEnumerable
/** @attribute DefaultMemberAttribute("Item") */
public class SessionReferenceCollection implements ICollection, IEnumerable
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SessionReferenceCollectionNew(Int32) | Initializes a new instance of the SessionReferenceCollection class.
 | Add(Session) | Adds the specified session as a reference.
 | Add(SessionReference) | Adds the specified reference.
 | CopyTo(Array, Int32) | Copies to.
 | Count | Gets the number of elements contained in the ICollection.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetEnumerator() | Returns an enumerator that iterates through a collection.
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | IsSynchronized | Gets a value indicating whether access to the ICollection is synchronized (thread safe).
 | Item(Int32) | Gets or sets the int at the specified index.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Search(Session) | Searches the collection to find the specified session.
 | Search(SessionReference) | Searches the collection to find the specified reference.
 | Sort() | Sorts this instance.
 | SyncRoot | Gets an object that can be used to synchronize access to the ICollection.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
 | UniqueIpCount() | Gets the number of unique ipaddresses.
 | UniqueIpCount(DateTime, DateTime) | Gets the number of unique ipaddresses between the start and stop time.
Inheritance Hierarchy
Object
SessionReferenceCollection


SessionReferenceCollection Constructor (capacity)

SessionReferenceCollection Constructor (capacity)
Namespaces > WebStats.Collections > SessionReferenceCollection > SessionReferenceCollectionNew(Int32)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SessionReferenceCollection class.
Syntax
C# Visual Basic Managed C++ J#
public SessionReferenceCollection (
    int capacity
)
Public Sub New ( _
    capacity As Integer _
)
public:
SessionReferenceCollection (
    int capacity
)
public SessionReferenceCollection (
    int capacity
)
Parameters
capacity (Int32)
The capacity.


Add Method

Add Method
Namespaces > WebStats.Collections > SessionReferenceCollection > Add

[This is preliminary documentation and is subject to change.]

Members
Icon | Member | Description
 | Add(Session) | Adds the specified session as a reference.
 | Add(SessionReference) | Adds the specified reference.


Add Method (session)

Add Method (session)
Namespaces > WebStats.Collections > SessionReferenceCollection > Add(Session)

[This is preliminary documentation and is subject to change.]

Adds the specified session as a reference.
Syntax
C# Visual Basic Managed C++ J#
public void Add (
    Session session
)
Public Sub Add ( _
    session As Session _
)
public:
void Add (
    Session^ session
)
public void Add (
    Session session
)
Parameters
session (Session)
The session.


Add Method (reference)

Add Method (reference)
Namespaces > WebStats.Collections > SessionReferenceCollection > Add(SessionReference)

[This is preliminary documentation and is subject to change.]

Adds the specified reference.
Syntax
C# Visual Basic Managed C++ J#
public void Add (
    SessionReference reference
)
Public Sub Add ( _
    reference As SessionReference _
)
public:
void Add (
    SessionReference^ reference
)
public void Add (
    SessionReference reference
)
Parameters
reference (SessionReference)
The reference.


CopyTo Method (a, i)

CopyTo Method (a, i)
Namespaces > WebStats.Collections > SessionReferenceCollection > CopyTo(Array, Int32)

[This is preliminary documentation and is subject to change.]

Copies to.
Syntax
C# Visual Basic Managed C++ J#
public void CopyTo (
    Array a,
    int i
)
Public Sub CopyTo ( _
    a As Array, _
    i As Integer _
)
public:
virtual void CopyTo (
    Array^ a,
    int i
) sealed
public final void CopyTo (
    Array a,
    int i
)
Parameters
a (Array)
A.
i (Int32)
The i.


Count Property

Count Property
Namespaces > WebStats.Collections > SessionReferenceCollection > Count

[This is preliminary documentation and is subject to change.]

Gets the number of elements contained in the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public int Count { get; }
Public ReadOnly Property Count As Integer
public:
virtual property int Count {
    int get () sealed;
}
/** @property */
public final int get_Count ()
Field Value
Return Value
The number of elements contained in the ICollection.


GetEnumerator Method

GetEnumerator Method
Namespaces > WebStats.Collections > SessionReferenceCollection > GetEnumerator()

[This is preliminary documentation and is subject to change.]

Returns an enumerator that iterates through a collection.
Syntax
C# Visual Basic Managed C++ J#
public IEnumerator GetEnumerator ()
Public Function GetEnumerator As IEnumerator
public:
virtual IEnumerator^ GetEnumerator () sealed
public final IEnumerator GetEnumerator ()
Return Value
An IEnumerator object that can be used to iterate through the collection.


IsSynchronized Property

IsSynchronized Property
Namespaces > WebStats.Collections > SessionReferenceCollection > IsSynchronized

[This is preliminary documentation and is subject to change.]

Gets a value indicating whether access to the ICollection is synchronized (thread safe).
Syntax
C# Visual Basic Managed C++ J#
public bool IsSynchronized { get; }
Public ReadOnly Property IsSynchronized As Boolean
public:
virtual property bool IsSynchronized {
    bool get () sealed;
}
/** @property */
public final boolean get_IsSynchronized ()
Field Value
Return Value
true if access to the ICollection is synchronized (thread safe); otherwise, false.


Item Property (index)

Item Property (index)
Namespaces > WebStats.Collections > SessionReferenceCollection > Item(Int32)

[This is preliminary documentation and is subject to change.]

Gets or sets the int at the specified index.
Syntax
C# Visual Basic Managed C++ J#
public SessionReference this [
    int index
] { get; set; }
Public Property Item ( _
    index As Integer _
) As SessionReference
public:
property SessionReference^ default[int index] {
    SessionReference^ get (int index);
    void set (int index, SessionReference^ value);
}
/** @property */
public SessionReference get_Item (
    int index
)
/** @property */
public  void set_Item
Parameters
index (Int32)
Field Value


Search Method

Search Method
Namespaces > WebStats.Collections > SessionReferenceCollection > Search

[This is preliminary documentation and is subject to change.]

Members
Icon | Member | Description
 | Search(Session) | Searches the collection to find the specified session.
 | Search(SessionReference) | Searches the collection to find the specified reference.


Search Method (session)

Search Method (session)
Namespaces > WebStats.Collections > SessionReferenceCollection > Search(Session)

[This is preliminary documentation and is subject to change.]

Searches the collection to find the specified session.
Syntax
C# Visual Basic Managed C++ J#
public int Search (
    Session session
)
Public Function Search ( _
    session As Session _
) As Integer
public:
int Search (
    Session^ session
)
public int Search (
    Session session
)
Parameters
session (Session)
The session.
Return Value
The index of the specified session, or -1 if it cannot be found.


Search Method (reference)

Search Method (reference)
Namespaces > WebStats.Collections > SessionReferenceCollection > Search(SessionReference)

[This is preliminary documentation and is subject to change.]

Searches the collection to find the specified reference.
Syntax
C# Visual Basic Managed C++ J#
public int Search (
    SessionReference reference
)
Public Function Search ( _
    reference As SessionReference _
) As Integer
public:
int Search (
    SessionReference^ reference
)
public int Search (
    SessionReference reference
)
Parameters
reference (SessionReference)
The reference.
Return Value
The index of the specified reference, or -1 if it cannot be found.


Sort Method

Sort Method
Namespaces > WebStats.Collections > SessionReferenceCollection > Sort()

[This is preliminary documentation and is subject to change.]

Sorts this instance.
Syntax
C# Visual Basic Managed C++ J#
public void Sort ()
Public Sub Sort
public:
void Sort ()
public void Sort ()


SyncRoot Property

SyncRoot Property
Namespaces > WebStats.Collections > SessionReferenceCollection > SyncRoot

[This is preliminary documentation and is subject to change.]

Gets an object that can be used to synchronize access to the ICollection.
Syntax
C# Visual Basic Managed C++ J#
public Object SyncRoot { get; }
Public ReadOnly Property SyncRoot As Object
public:
virtual property Object^ SyncRoot {
    Object^ get () sealed;
}
/** @property */
public final Object get_SyncRoot ()
Field Value
Return Value
An object that can be used to synchronize access to the ICollection.


UniqueIpCount Method

UniqueIpCount Method
Namespaces > WebStats.Collections > SessionReferenceCollection > UniqueIpCount

[This is preliminary documentation and is subject to change.]

Members
Icon | Member | Description
 | UniqueIpCount() | Gets the number of unique ipaddresses.
 | UniqueIpCount(DateTime, DateTime) | Gets the number of unique ipaddresses between the start and stop time.


UniqueIpCount Method

UniqueIpCount Method
Namespaces > WebStats.Collections > SessionReferenceCollection > UniqueIpCount()

[This is preliminary documentation and is subject to change.]

Gets the number of unique ipaddresses.
Syntax
C# Visual Basic Managed C++ J#
public int UniqueIpCount ()
Public Function UniqueIpCount As Integer
public:
int UniqueIpCount ()
public int UniqueIpCount ()
Return Value
Number of unique ipaddresses.


UniqueIpCount Method (start, stop)

UniqueIpCount Method (start, stop)
Namespaces > WebStats.Collections > SessionReferenceCollection > UniqueIpCount(DateTime, DateTime)

[This is preliminary documentation and is subject to change.]

Gets the number of unique ipaddresses between the start and stop time.
Syntax
C# Visual Basic Managed C++ J#
public int UniqueIpCount (
    DateTime start,
    DateTime stop
)
Public Function UniqueIpCount ( _
    start As DateTime, _
    stop As DateTime _
) As Integer
public:
int UniqueIpCount (
    DateTime start,
    DateTime stop
)
public int UniqueIpCount (
    DateTime start,
    DateTime stop
)
Parameters
start (DateTime)
The start time.
stop (DateTime)
The stop time.
Return Value
Number of unique ipaddresses.


AuthenticatedUserCollection.SorterClass Class

AuthenticatedUserCollection.SorterClass Class
Namespaces > WebStats.Collections > AuthenticatedUserCollection > SorterClass

[This is preliminary documentation and is subject to change.]

Used when AuthenticatedUserCollection's Sort method is called.
Syntax
C# Visual Basic Managed C++ J#
public class SorterClass : IComparer
Public Class SorterClass _
    Implements IComparer
public ref class SorterClass : IComparer
public class SorterClass implements IComparer
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SorterClassNew() |
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
SorterClass


AuthenticatedUserCollection.SorterClass Constructor

AuthenticatedUserCollection.SorterClass Constructor
Namespaces > WebStats.Collections > SorterClass > SorterClassNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SorterClass class.
Syntax
C# Visual Basic Managed C++ J#
public SorterClass ()
Public Sub New
public:
SorterClass ()
public SorterClass ()


BrowserCollection.SorterClass Class

BrowserCollection.SorterClass Class
Namespaces > WebStats.Collections > BrowserCollection > SorterClass

[This is preliminary documentation and is subject to change.]

Used when BrowserCollection.Sort is called.
Syntax
C# Visual Basic Managed C++ J#
public class SorterClass : IComparer
Public Class SorterClass _
    Implements IComparer
public ref class SorterClass : IComparer
public class SorterClass implements IComparer
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SorterClassNew() |
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
SorterClass


BrowserCollection.SorterClass Constructor

BrowserCollection.SorterClass Constructor
Namespaces > WebStats.Collections > SorterClass > SorterClassNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SorterClass class.
Syntax
C# Visual Basic Managed C++ J#
public SorterClass ()
Public Sub New
public:
SorterClass ()
public SorterClass ()


DayCollection.SorterClass Class

DayCollection.SorterClass Class
Namespaces > WebStats.Collections > DayCollection > SorterClass

[This is preliminary documentation and is subject to change.]

Used when DayCollection.Sort is called.
Syntax
C# Visual Basic Managed C++ J#
public class SorterClass : IComparer
Public Class SorterClass _
    Implements IComparer
public ref class SorterClass : IComparer
public class SorterClass implements IComparer
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SorterClassNew() |
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
SorterClass


DayCollection.SorterClass Constructor

DayCollection.SorterClass Constructor
Namespaces > WebStats.Collections > SorterClass > SorterClassNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SorterClass class.
Syntax
C# Visual Basic Managed C++ J#
public SorterClass ()
Public Sub New
public:
SorterClass ()
public SorterClass ()


DayOfWeekCollection.SorterClass Class

DayOfWeekCollection.SorterClass Class
Namespaces > WebStats.Collections > DayOfWeekCollection > SorterClass

[This is preliminary documentation and is subject to change.]

Used when DayOfWeekCollection.Sort is called.
Syntax
C# Visual Basic Managed C++ J#
public class SorterClass : IComparer
Public Class SorterClass _
    Implements IComparer
public ref class SorterClass : IComparer
public class SorterClass implements IComparer
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SorterClassNew() |
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
SorterClass


DayOfWeekCollection.SorterClass Constructor

DayOfWeekCollection.SorterClass Constructor
Namespaces > WebStats.Collections > SorterClass > SorterClassNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SorterClass class.
Syntax
C# Visual Basic Managed C++ J#
public SorterClass ()
Public Sub New
public:
SorterClass ()
public SorterClass ()


FileCollection.SorterClass Class

FileCollection.SorterClass Class
Namespaces > WebStats.Collections > FileCollection > SorterClass

[This is preliminary documentation and is subject to change.]

Used when FileCollection.Sort is called.
Syntax
C# Visual Basic Managed C++ J#
public class SorterClass : IComparer
Public Class SorterClass _
    Implements IComparer
public ref class SorterClass : IComparer
public class SorterClass implements IComparer
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SorterClassNew() |
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
SorterClass


FileCollection.SorterClass Constructor

FileCollection.SorterClass Constructor
Namespaces > WebStats.Collections > SorterClass > SorterClassNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SorterClass class.
Syntax
C# Visual Basic Managed C++ J#
public SorterClass ()
Public Sub New
public:
SorterClass ()
public SorterClass ()


FileTypeCollection.SorterClass Class

FileTypeCollection.SorterClass Class
Namespaces > WebStats.Collections > FileTypeCollection > SorterClass

[This is preliminary documentation and is subject to change.]

Used when FileTypeCollection.Sort is called.
Syntax
C# Visual Basic Managed C++ J#
public class SorterClass : IComparer
Public Class SorterClass _
    Implements IComparer
public ref class SorterClass : IComparer
public class SorterClass implements IComparer
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SorterClassNew() |
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
SorterClass


FileTypeCollection.SorterClass Constructor

FileTypeCollection.SorterClass Constructor
Namespaces > WebStats.Collections > SorterClass > SorterClassNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SorterClass class.
Syntax
C# Visual Basic Managed C++ J#
public SorterClass ()
Public Sub New
public:
SorterClass ()
public SorterClass ()


HostCollection.SorterClass Class

HostCollection.SorterClass Class
Namespaces > WebStats.Collections > HostCollection > SorterClass

[This is preliminary documentation and is subject to change.]

Used when HostCollection's Sort method is called.
Syntax
C# Visual Basic Managed C++ J#
public class SorterClass : IComparer
Public Class SorterClass _
    Implements IComparer
public ref class SorterClass : IComparer
public class SorterClass implements IComparer
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SorterClassNew() |
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
SorterClass


HostCollection.SorterClass Constructor

HostCollection.SorterClass Constructor
Namespaces > WebStats.Collections > SorterClass > SorterClassNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SorterClass class.
Syntax
C# Visual Basic Managed C++ J#
public SorterClass ()
Public Sub New
public:
SorterClass ()
public SorterClass ()


HourOfDayCollection.SorterClass Class

HourOfDayCollection.SorterClass Class
Namespaces > WebStats.Collections > HourOfDayCollection > SorterClass

[This is preliminary documentation and is subject to change.]

Used when HourOfDayCollection.Sort is called.
Syntax
C# Visual Basic Managed C++ J#
public class SorterClass : IComparer
Public Class SorterClass _
    Implements IComparer
public ref class SorterClass : IComparer
public class SorterClass implements IComparer
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SorterClassNew() |
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
SorterClass


HourOfDayCollection.SorterClass Constructor

HourOfDayCollection.SorterClass Constructor
Namespaces > WebStats.Collections > SorterClass > SorterClassNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SorterClass class.
Syntax
C# Visual Basic Managed C++ J#
public SorterClass ()
Public Sub New
public:
SorterClass ()
public SorterClass ()


MonthCollection.SorterClass Class

MonthCollection.SorterClass Class
Namespaces > WebStats.Collections > MonthCollection > SorterClass

[This is preliminary documentation and is subject to change.]

Used when MonthCollection.Sort is called.
Syntax
C# Visual Basic Managed C++ J#
public class SorterClass : IComparer
Public Class SorterClass _
    Implements IComparer
public ref class SorterClass : IComparer
public class SorterClass implements IComparer
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SorterClassNew() |
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
SorterClass


MonthCollection.SorterClass Constructor

MonthCollection.SorterClass Constructor
Namespaces > WebStats.Collections > SorterClass > SorterClassNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SorterClass class.
Syntax
C# Visual Basic Managed C++ J#
public SorterClass ()
Public Sub New
public:
SorterClass ()
public SorterClass ()


OperatingSystemCollection.SorterClass Class

OperatingSystemCollection.SorterClass Class
Namespaces > WebStats.Collections > OperatingSystemCollection > SorterClass

[This is preliminary documentation and is subject to change.]

Used when OperatingSystemCollection.Sort is called
Syntax
C# Visual Basic Managed C++ J#
public class SorterClass : IComparer
Public Class SorterClass _
    Implements IComparer
public ref class SorterClass : IComparer
public class SorterClass implements IComparer
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SorterClassNew() |
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
SorterClass


OperatingSystemCollection.SorterClass Constructor

OperatingSystemCollection.SorterClass Constructor
Namespaces > WebStats.Collections > SorterClass > SorterClassNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SorterClass class.
Syntax
C# Visual Basic Managed C++ J#
public SorterClass ()
Public Sub New
public:
SorterClass ()
public SorterClass ()


PageCollection.SorterClass Class

PageCollection.SorterClass Class
Namespaces > WebStats.Collections > PageCollection > SorterClass

[This is preliminary documentation and is subject to change.]

Used when PageCollection.Sort is called
Syntax
C# Visual Basic Managed C++ J#
public class SorterClass : IComparer
Public Class SorterClass _
    Implements IComparer
public ref class SorterClass : IComparer
public class SorterClass implements IComparer
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SorterClassNew() |
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
SorterClass


PageCollection.SorterClass Constructor

PageCollection.SorterClass Constructor
Namespaces > WebStats.Collections > SorterClass > SorterClassNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SorterClass class.
Syntax
C# Visual Basic Managed C++ J#
public SorterClass ()
Public Sub New
public:
SorterClass ()
public SorterClass ()


ReferrerCollection.SorterClass Class

ReferrerCollection.SorterClass Class
Namespaces > WebStats.Collections > ReferrerCollection > SorterClass

[This is preliminary documentation and is subject to change.]

Used when ReferrerCollection.Sort is called.
Syntax
C# Visual Basic Managed C++ J#
public class SorterClass : IComparer
Public Class SorterClass _
    Implements IComparer
public ref class SorterClass : IComparer
public class SorterClass implements IComparer
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SorterClassNew() |
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
SorterClass


ReferrerCollection.SorterClass Constructor

ReferrerCollection.SorterClass Constructor
Namespaces > WebStats.Collections > SorterClass > SorterClassNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SorterClass class.
Syntax
C# Visual Basic Managed C++ J#
public SorterClass ()
Public Sub New
public:
SorterClass ()
public SorterClass ()


ReportCollection.SorterClass Class

ReportCollection.SorterClass Class
Namespaces > WebStats.Collections > ReportCollection > SorterClass

[This is preliminary documentation and is subject to change.]

Used when HostCollection's Sort method is called.
Syntax
C# Visual Basic Managed C++ J#
public class SorterClass : IComparer
Public Class SorterClass _
    Implements IComparer
public ref class SorterClass : IComparer
public class SorterClass implements IComparer
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SorterClassNew() |
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
SorterClass


ReportCollection.SorterClass Constructor

ReportCollection.SorterClass Constructor
Namespaces > WebStats.Collections > SorterClass > SorterClassNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SorterClass class.
Syntax
C# Visual Basic Managed C++ J#
public SorterClass ()
Public Sub New
public:
SorterClass ()
public SorterClass ()


RobotCollection.SorterClass Class

RobotCollection.SorterClass Class
Namespaces > WebStats.Collections > RobotCollection > SorterClass

[This is preliminary documentation and is subject to change.]

Used when RobotCollection.Sort is called/
Syntax
C# Visual Basic Managed C++ J#
public class SorterClass : IComparer
Public Class SorterClass _
    Implements IComparer
public ref class SorterClass : IComparer
public class SorterClass implements IComparer
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SorterClassNew() |
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
SorterClass


RobotCollection.SorterClass Constructor

RobotCollection.SorterClass Constructor
Namespaces > WebStats.Collections > SorterClass > SorterClassNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SorterClass class.
Syntax
C# Visual Basic Managed C++ J#
public SorterClass ()
Public Sub New
public:
SorterClass ()
public SorterClass ()


SearchEngineCollection.KeyphraseCollection.SorterClass Class

SearchEngineCollection.KeyphraseCollection.SorterClass Class
Namespaces > WebStats.Collections > KeyphraseCollection > SorterClass

[This is preliminary documentation and is subject to change.]

Used when KeyphraseCollection.Sort is called.
Syntax
C# Visual Basic Managed C++ J#
public class SorterClass : IComparer
Public Class SorterClass _
    Implements IComparer
public ref class SorterClass : IComparer
public class SorterClass implements IComparer
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SorterClassNew() |
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
SorterClass


SearchEngineCollection.KeyphraseCollection..SorterClass Constructor

SearchEngineCollection.KeyphraseCollection..SorterClass Constructor
Namespaces > WebStats.Collections > SorterClass > SorterClassNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SorterClass class.
Syntax
C# Visual Basic Managed C++ J#
public SorterClass ()
Public Sub New
public:
SorterClass ()
public SorterClass ()


SearchEngineCollection.KeywordCollection.SorterClass Class

SearchEngineCollection.KeywordCollection.SorterClass Class
Namespaces > WebStats.Collections > KeywordCollection > SorterClass

[This is preliminary documentation and is subject to change.]

Used when KeywordCollection.Sort is called.
Syntax
C# Visual Basic Managed C++ J#
public class SorterClass : IComparer
Public Class SorterClass _
    Implements IComparer
public ref class SorterClass : IComparer
public class SorterClass implements IComparer
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SorterClassNew() |
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
SorterClass


SearchEngineCollection.KeywordCollection..SorterClass Constructor

SearchEngineCollection.KeywordCollection..SorterClass Constructor
Namespaces > WebStats.Collections > SorterClass > SorterClassNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SorterClass class.
Syntax
C# Visual Basic Managed C++ J#
public SorterClass ()
Public Sub New
public:
SorterClass ()
public SorterClass ()


SearchEngineCollection.SorterClass Class

SearchEngineCollection.SorterClass Class
Namespaces > WebStats.Collections > SearchEngineCollection > SorterClass

[This is preliminary documentation and is subject to change.]

Used when SearchEngineCollection.Sort is called.
Syntax
C# Visual Basic Managed C++ J#
public class SorterClass : IComparer
Public Class SorterClass _
    Implements IComparer
public ref class SorterClass : IComparer
public class SorterClass implements IComparer
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SorterClassNew() |
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
SorterClass


SearchEngineCollection.SorterClass Constructor

SearchEngineCollection.SorterClass Constructor
Namespaces > WebStats.Collections > SorterClass > SorterClassNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SorterClass class.
Syntax
C# Visual Basic Managed C++ J#
public SorterClass ()
Public Sub New
public:
SorterClass ()
public SorterClass ()


SessionCollection.SorterClass Class

SessionCollection.SorterClass Class
Namespaces > WebStats.Collections > SessionCollection > SorterClass

[This is preliminary documentation and is subject to change.]

Used when SessionCollection.Sort is called
Syntax
C# Visual Basic Managed C++ J#
public class SorterClass : IComparer
Public Class SorterClass _
    Implements IComparer
public ref class SorterClass : IComparer
public class SorterClass implements IComparer
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SorterClassNew() |
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
SorterClass


SessionCollection.SorterClass Constructor

SessionCollection.SorterClass Constructor
Namespaces > WebStats.Collections > SorterClass > SorterClassNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SorterClass class.
Syntax
C# Visual Basic Managed C++ J#
public SorterClass ()
Public Sub New
public:
SorterClass ()
public SorterClass ()


SessionReferenceCollection.SorterClass Class

SessionReferenceCollection.SorterClass Class
Namespaces > WebStats.Collections > SessionReferenceCollection > SorterClass

[This is preliminary documentation and is subject to change.]

Used when SessionReferenceCollection.Sort is called.
Syntax
C# Visual Basic Managed C++ J#
public class SorterClass : IComparer
Public Class SorterClass _
    Implements IComparer
public ref class SorterClass : IComparer
public class SorterClass implements IComparer
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SorterClassNew() |
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
SorterClass


SessionReferenceCollection.SorterClass Constructor

SessionReferenceCollection.SorterClass Constructor
Namespaces > WebStats.Collections > SorterClass > SorterClassNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SorterClass class.
Syntax
C# Visual Basic Managed C++ J#
public SorterClass ()
Public Sub New
public:
SorterClass ()
public SorterClass ()


WebStats.DataType Namespace

WebStats.DataType Namespace
Namespaces > WebStats.DataType

[This is preliminary documentation and is subject to change.]

Data types used in WebStats.
Syntax
C# Visual Basic Managed C++ J#
namespace WebStats.DataType
Namespace WebStats.DataType
namespace WebStats.DataType
package WebStats.DataType
Types
All Types Classes Structures Interfaces Enumerations Delegates
Icon | Name | Description
public class | AuthenticatedUser | An authenticated user is a visitor that has been authenticated via the website server
public class | Browser | A browser is a specific web-browser as defined in Settings/Browsers.xml.
public class | Day | A day is a specific day in time.
public class | DayOfWeek | A day of week is a day of the week (e.g., Monday, Tuesday, etc.)
public class | File | A file is a hit that is not a page.
public class | FileType | A file type is the type of file or page. File types are determined using the Settings/FileTypes.xml file, but if that fails, WebStats will guess.
public class | Host | A Host is a computer that has visited the website.
public class | HourOfDay | A hour of day is a specific hour of the day (e.g., 0,1,2,3-23).
public class | Keyphrase | A keyphrase is a specific phrase used to find this website within the search engine.
public class | Keyword | A keyword is a specific word used to find this website within the search engine.
public class | Month | A Month is a calendar month.
public class | OperatingSystem | An operating system is the operating system used by the visitor when visiting the website as defined in Settings/OperatingSystems.xml.
public class | Page | A page is a hit that is not contained in the NotPageList in the profile. Typically, a page should be files such as htm, html, aspx, asp, php and so on.
public class | Referrer | A referrer is any website that is not found in Settings/SearchEngines.xml that refers a visitor to this website.
public class | Robot | A robot is a website visitor that is not a human. It is determined by the Settings/Robots.xml file, a hit to Robots.txt or by finding the word "bot" in the UserAgent.
public class | SearchEngine | A search engine should be self-explaining. Search engines can be configured in Settings/SearchEngines.xml.
public class | Session | A session represents one visitors continued use of the website. When the visitor stops using the website for a specified amount of time, as defined in the profile as "SessionTimeout", then the session stops.
public class | SessionReference | A SessionReference is used to reference a specific session in the Sessions Collection of the report. This is used to reduce the memory footprint.


AuthenticatedUser Class

AuthenticatedUser Class
Namespaces > WebStats.DataType > AuthenticatedUser

[This is preliminary documentation and is subject to change.]

An authenticated user is a visitor that has been authenticated via the website server
Syntax
C# Visual Basic Managed C++ J#
public class AuthenticatedUser
Public Class AuthenticatedUser
public ref class AuthenticatedUser
public class AuthenticatedUser
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | AuthenticatedUserNew() | Initializes a new instance of the AuthenticatedUser class.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | Hits | The hits generated by the user.
 | LastVisit | When the user last visited.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Pages | The amount of pages visited by the user.
 | ReceivedBandwidth | The amount of bandwidth used to receive data from the user.
 | SentBandwidth | The amount of bandwidth used to send data do the user.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
 | Username | The username of the user.
Inheritance Hierarchy
Object
AuthenticatedUser


AuthenticatedUser Constructor

AuthenticatedUser Constructor
Namespaces > WebStats.DataType > AuthenticatedUser > AuthenticatedUserNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the AuthenticatedUser class.
Syntax
C# Visual Basic Managed C++ J#
public AuthenticatedUser ()
Public Sub New
public:
AuthenticatedUser ()
public AuthenticatedUser ()


Hits Field

Hits Field
Namespaces > WebStats.DataType > AuthenticatedUser > Hits

[This is preliminary documentation and is subject to change.]

The hits generated by the user.
Syntax
C# Visual Basic Managed C++ J#
public int Hits
Public Hits As Integer
public:
int Hits
public int Hits


LastVisit Field

LastVisit Field
Namespaces > WebStats.DataType > AuthenticatedUser > LastVisit

[This is preliminary documentation and is subject to change.]

When the user last visited.
Syntax
C# Visual Basic Managed C++ J#
public DateTime LastVisit
Public LastVisit As DateTime
public:
DateTime LastVisit
public DateTime LastVisit


Pages Field

Pages Field
Namespaces > WebStats.DataType > AuthenticatedUser > Pages

[This is preliminary documentation and is subject to change.]

The amount of pages visited by the user.
Syntax
C# Visual Basic Managed C++ J#
public int Pages
Public Pages As Integer
public:
int Pages
public int Pages


ReceivedBandwidth Field

ReceivedBandwidth Field
Namespaces > WebStats.DataType > AuthenticatedUser > ReceivedBandwidth

[This is preliminary documentation and is subject to change.]

The amount of bandwidth used to receive data from the user.
Syntax
C# Visual Basic Managed C++ J#
public double ReceivedBandwidth
Public ReceivedBandwidth As Double
public:
double ReceivedBandwidth
public double ReceivedBandwidth


SentBandwidth Field

SentBandwidth Field
Namespaces > WebStats.DataType > AuthenticatedUser > SentBandwidth

[This is preliminary documentation and is subject to change.]

The amount of bandwidth used to send data do the user.
Syntax
C# Visual Basic Managed C++ J#
public double SentBandwidth
Public SentBandwidth As Double
public:
double SentBandwidth
public double SentBandwidth


Username Field

Username Field
Namespaces > WebStats.DataType > AuthenticatedUser > Username

[This is preliminary documentation and is subject to change.]

The username of the user.
Syntax
C# Visual Basic Managed C++ J#
public string Username
Public Username As String
public:
String^ Username
public String Username


Browser Class

Browser Class
Namespaces > WebStats.DataType > Browser

[This is preliminary documentation and is subject to change.]

A browser is a specific web-browser as defined in Settings/Browsers.xml.
Syntax
C# Visual Basic Managed C++ J#
public class Browser
Public Class Browser
public ref class Browser
public class Browser
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | BrowserNew(String, String) | Initializes a new instance of the Browser class.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | Hits | The amount of hits generated by the browser.
 | LastVisit | When the browser last visited.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Name | Name of the browser.
 | Pages | The amount of pages visited by the browser.
 | ReceivedBandwidth | The amount of bandwidth used to receive data from the browser.
 | SentBandwidth | The amount of bandwith used to send data to the browser.
 | SetUrl | The url set in Settings/Browsers.xml
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
 | Version | Version of the browser.
Inheritance Hierarchy
Object
Browser


Browser Constructor (name, version)

Browser Constructor (name, version)
Namespaces > WebStats.DataType > Browser > BrowserNew(String, String)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Browser class.
Syntax
C# Visual Basic Managed C++ J#
public Browser (
    string name,
    string version
)
Public Sub New ( _
    name As String, _
    version As String _
)
public:
Browser (
    String^ name,
    String^ version
)
public Browser (
    String name,
    String version
)
Parameters
name (String)
The name.
version (String)
The version.


Hits Field

Hits Field
Namespaces > WebStats.DataType > Browser > Hits

[This is preliminary documentation and is subject to change.]

The amount of hits generated by the browser.
Syntax
C# Visual Basic Managed C++ J#
public int Hits
Public Hits As Integer
public:
int Hits
public int Hits


LastVisit Field

LastVisit Field
Namespaces > WebStats.DataType > Browser > LastVisit

[This is preliminary documentation and is subject to change.]

When the browser last visited.
Syntax
C# Visual Basic Managed C++ J#
public DateTime LastVisit
Public LastVisit As DateTime
public:
DateTime LastVisit
public DateTime LastVisit


Name Field

Name Field
Namespaces > WebStats.DataType > Browser > Name

[This is preliminary documentation and is subject to change.]

Name of the browser.
Syntax
C# Visual Basic Managed C++ J#
public string Name
Public Name As String
public:
String^ Name
public String Name


Pages Field

Pages Field
Namespaces > WebStats.DataType > Browser > Pages

[This is preliminary documentation and is subject to change.]

The amount of pages visited by the browser.
Syntax
C# Visual Basic Managed C++ J#
public int Pages
Public Pages As Integer
public:
int Pages
public int Pages


ReceivedBandwidth Field

ReceivedBandwidth Field
Namespaces > WebStats.DataType > Browser > ReceivedBandwidth

[This is preliminary documentation and is subject to change.]

The amount of bandwidth used to receive data from the browser.
Syntax
C# Visual Basic Managed C++ J#
public double ReceivedBandwidth
Public ReceivedBandwidth As Double
public:
double ReceivedBandwidth
public double ReceivedBandwidth


SentBandwidth Field

SentBandwidth Field
Namespaces > WebStats.DataType > Browser > SentBandwidth

[This is preliminary documentation and is subject to change.]

The amount of bandwith used to send data to the browser.
Syntax
C# Visual Basic Managed C++ J#
public double SentBandwidth
Public SentBandwidth As Double
public:
double SentBandwidth
public double SentBandwidth


SetUrl Field

SetUrl Field
Namespaces > WebStats.DataType > Browser > SetUrl

[This is preliminary documentation and is subject to change.]

The url set in Settings/Browsers.xml
Syntax
C# Visual Basic Managed C++ J#
public string SetUrl
Public SetUrl As String
public:
String^ SetUrl
public String SetUrl


Version Field

Version Field
Namespaces > WebStats.DataType > Browser > Version

[This is preliminary documentation and is subject to change.]

Version of the browser.
Syntax
C# Visual Basic Managed C++ J#
public string Version
Public Version As String
public:
String^ Version
public String Version


Day Class

Day Class
Namespaces > WebStats.DataType > Day

[This is preliminary documentation and is subject to change.]

A day is a specific day in time.
Syntax
C# Visual Basic Managed C++ J#
public class Day
Public Class Day
public ref class Day
public class Day
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | DayNew(DateTime) | Initializes a new instance of the Day class.
 | Date | When the day actually is in time.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | Hits | Amount of hits generated on the day.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Pages | Amount of pages viewed on the day.
 | ReceivedBandwidth | Amount of bandwidth used to receive data on the day.
 | SentBandwidth | Amount of bandwidth used to send data on the day.
 | SessionReferences | A collection of SessionReferenceCollection used to reference sessions.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
 | Visits | Gets the quantity visits.
Inheritance Hierarchy
Object
Day


Day Constructor (date)

Day Constructor (date)
Namespaces > WebStats.DataType > Day > DayNew(DateTime)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Day class.
Syntax
C# Visual Basic Managed C++ J#
public Day (
    DateTime date
)
Public Sub New ( _
    date As DateTime _
)
public:
Day (
    DateTime date
)
public Day (
    DateTime date
)
Parameters
date (DateTime)
The date.


Date Field

Date Field
Namespaces > WebStats.DataType > Day > Date

[This is preliminary documentation and is subject to change.]

When the day actually is in time.
Syntax
C# Visual Basic Managed C++ J#
public DateTime Date
Public Date As DateTime
public:
DateTime Date
public DateTime Date


Hits Field

Hits Field
Namespaces > WebStats.DataType > Day > Hits

[This is preliminary documentation and is subject to change.]

Amount of hits generated on the day.
Syntax
C# Visual Basic Managed C++ J#
public int Hits
Public Hits As Integer
public:
int Hits
public int Hits


Pages Field

Pages Field
Namespaces > WebStats.DataType > Day > Pages

[This is preliminary documentation and is subject to change.]

Amount of pages viewed on the day.
Syntax
C# Visual Basic Managed C++ J#
public int Pages
Public Pages As Integer
public:
int Pages
public int Pages


ReceivedBandwidth Field

ReceivedBandwidth Field
Namespaces > WebStats.DataType > Day > ReceivedBandwidth

[This is preliminary documentation and is subject to change.]

Amount of bandwidth used to receive data on the day.
Syntax
C# Visual Basic Managed C++ J#
public double ReceivedBandwidth
Public ReceivedBandwidth As Double
public:
double ReceivedBandwidth
public double ReceivedBandwidth


SentBandwidth Field

SentBandwidth Field
Namespaces > WebStats.DataType > Day > SentBandwidth

[This is preliminary documentation and is subject to change.]

Amount of bandwidth used to send data on the day.
Syntax
C# Visual Basic Managed C++ J#
public double SentBandwidth
Public SentBandwidth As Double
public:
double SentBandwidth
public double SentBandwidth


SessionReferences Field

SessionReferences Field
Namespaces > WebStats.DataType > Day > SessionReferences

[This is preliminary documentation and is subject to change.]

A collection of SessionReferenceCollection used to reference sessions.
Syntax
C# Visual Basic Managed C++ J#
public SessionReferenceCollection SessionReferences
Public SessionReferences As SessionReferenceCollection
public:
SessionReferenceCollection^ SessionReferences
public SessionReferenceCollection SessionReferences


Visits Property

Visits Property
Namespaces > WebStats.DataType > Day > Visits

[This is preliminary documentation and is subject to change.]

Gets the quantity visits.
Syntax
C# Visual Basic Managed C++ J#
public int Visits { get; }
Public ReadOnly Property Visits As Integer
public:
property int Visits {
    int get ();
}
/** @property */
public int get_Visits ()
Field Value
The visits.


DayOfWeek Class

DayOfWeek Class
Namespaces > WebStats.DataType > DayOfWeek

[This is preliminary documentation and is subject to change.]

A day of week is a day of the week (e.g., Monday, Tuesday, etc.)
Syntax
C# Visual Basic Managed C++ J#
public class DayOfWeek
Public Class DayOfWeek
public ref class DayOfWeek
public class DayOfWeek
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | DayOfWeekNew(String) | Initializes a new instance of the DayOfWeek class.
 | Day | Name of the day (e.g., Mon, Tue, etc.)
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | Hits | Amount of hits generated on the day of week.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Pages | Amount of pages viewed on the day of week.
 | ReceivedBandwidth | Amount of bandwidth used to receive data on the day of week.
 | SentBandwidth | Amount of bandwidth used to send data on the day of week.
 | SessionReferences | A collection of SessionReferenceCollection.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
 | Visits | Gets the number of visits.
Inheritance Hierarchy
Object
DayOfWeek


DayOfWeek Constructor (day)

DayOfWeek Constructor (day)
Namespaces > WebStats.DataType > DayOfWeek > DayOfWeekNew(String)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the DayOfWeek class.
Syntax
C# Visual Basic Managed C++ J#
public DayOfWeek (
    string day
)
Public Sub New ( _
    day As String _
)
public:
DayOfWeek (
    String^ day
)
public DayOfWeek (
    String day
)
Parameters
day (String)
The day.


Day Field

Day Field
Namespaces > WebStats.DataType > DayOfWeek > Day

[This is preliminary documentation and is subject to change.]

Name of the day (e.g., Mon, Tue, etc.)
Syntax
C# Visual Basic Managed C++ J#
public string Day
Public Day As String
public:
String^ Day
public String Day


Hits Field

Hits Field
Namespaces > WebStats.DataType > DayOfWeek > Hits

[This is preliminary documentation and is subject to change.]

Amount of hits generated on the day of week.
Syntax
C# Visual Basic Managed C++ J#
public int Hits
Public Hits As Integer
public:
int Hits
public int Hits


Pages Field

Pages Field
Namespaces > WebStats.DataType > DayOfWeek > Pages

[This is preliminary documentation and is subject to change.]

Amount of pages viewed on the day of week.
Syntax
C# Visual Basic Managed C++ J#
public int Pages
Public Pages As Integer
public:
int Pages
public int Pages


ReceivedBandwidth Field

ReceivedBandwidth Field
Namespaces > WebStats.DataType > DayOfWeek > ReceivedBandwidth

[This is preliminary documentation and is subject to change.]

Amount of bandwidth used to receive data on the day of week.
Syntax
C# Visual Basic Managed C++ J#
public double ReceivedBandwidth
Public ReceivedBandwidth As Double
public:
double ReceivedBandwidth
public double ReceivedBandwidth


SentBandwidth Field

SentBandwidth Field
Namespaces > WebStats.DataType > DayOfWeek > SentBandwidth

[This is preliminary documentation and is subject to change.]

Amount of bandwidth used to send data on the day of week.
Syntax
C# Visual Basic Managed C++ J#
public double SentBandwidth
Public SentBandwidth As Double
public:
double SentBandwidth
public double SentBandwidth


SessionReferences Field

SessionReferences Field
Namespaces > WebStats.DataType > DayOfWeek > SessionReferences

[This is preliminary documentation and is subject to change.]

A collection of SessionReferenceCollection.
Syntax
C# Visual Basic Managed C++ J#
public SessionReferenceCollection SessionReferences
Public SessionReferences As SessionReferenceCollection
public:
SessionReferenceCollection^ SessionReferences
public SessionReferenceCollection SessionReferences


Visits Property

Visits Property
Namespaces > WebStats.DataType > DayOfWeek > Visits

[This is preliminary documentation and is subject to change.]

Gets the number of visits.
Syntax
C# Visual Basic Managed C++ J#
public int Visits { get; }
Public ReadOnly Property Visits As Integer
public:
property int Visits {
    int get ();
}
/** @property */
public int get_Visits ()
Field Value
The visits.


File Class

File Class
Namespaces > WebStats.DataType > File

[This is preliminary documentation and is subject to change.]

A file is a hit that is not a page.
Syntax
C# Visual Basic Managed C++ J#
public class File
Public Class File
public ref class File
public class File
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | FileNew(String) | Initializes a new instance of the File class.
 | AddPageView(Decimal) | Adds the file view, and calculates the new average size.
 | AddPageView(Double) | Adds the file view, and calculates the new average size.
 | AverageSize | Average size of the file.
 | ClearPageView() | Clears the views and average size of the file.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
 | Url | Url of the file.
 | Viewed | Amount of times the file has been viewed.
Inheritance Hierarchy
Object
File


File Constructor (url)

File Constructor (url)
Namespaces > WebStats.DataType > File > FileNew(String)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the File class.
Syntax
C# Visual Basic Managed C++ J#
public File (
    string url
)
Public Sub New ( _
    url As String _
)
public:
File (
    String^ url
)
public File (
    String url
)
Parameters
url (String)
The URL.


AddPageView Method

AddPageView Method
Namespaces > WebStats.DataType > File > AddPageView

[This is preliminary documentation and is subject to change.]

Members
Icon | Member | Description
 | AddPageView(Decimal) | Adds the file view, and calculates the new average size.
 | AddPageView(Double) | Adds the file view, and calculates the new average size.


AddPageView Method (size)

AddPageView Method (size)
Namespaces > WebStats.DataType > File > AddPageView(Decimal)

[This is preliminary documentation and is subject to change.]

Adds the file view, and calculates the new average size.
Syntax
C# Visual Basic Managed C++ J#
public void AddPageView (
    decimal size
)
Public Sub AddPageView ( _
    size As Decimal _
)
public:
void AddPageView (
    Decimal size
)
public void AddPageView (
    Decimal size
)
Parameters
size (Decimal)
The size.


AddPageView Method (size)

AddPageView Method (size)
Namespaces > WebStats.DataType > File > AddPageView(Double)

[This is preliminary documentation and is subject to change.]

Adds the file view, and calculates the new average size.
Syntax
C# Visual Basic Managed C++ J#
public void AddPageView (
    double size
)
Public Sub AddPageView ( _
    size As Double _
)
public:
void AddPageView (
    double size
)
public void AddPageView (
    double size
)
Parameters
size (Double)
The size.


AverageSize Field

AverageSize Field
Namespaces > WebStats.DataType > File > AverageSize

[This is preliminary documentation and is subject to change.]

Average size of the file.
Syntax
C# Visual Basic Managed C++ J#
public decimal AverageSize
Public AverageSize As Decimal
public:
Decimal AverageSize
public Decimal AverageSize


ClearPageView Method

ClearPageView Method
Namespaces > WebStats.DataType > File > ClearPageView()

[This is preliminary documentation and is subject to change.]

Clears the views and average size of the file.
Syntax
C# Visual Basic Managed C++ J#
public void ClearPageView ()
Public Sub ClearPageView
public:
void ClearPageView ()
public void ClearPageView ()


Url Field

Url Field
Namespaces > WebStats.DataType > File > Url

[This is preliminary documentation and is subject to change.]

Url of the file.
Syntax
C# Visual Basic Managed C++ J#
public string Url
Public Url As String
public:
String^ Url
public String Url


Viewed Field

Viewed Field
Namespaces > WebStats.DataType > File > Viewed

[This is preliminary documentation and is subject to change.]

Amount of times the file has been viewed.
Syntax
C# Visual Basic Managed C++ J#
public int Viewed
Public Viewed As Integer
public:
int Viewed
public int Viewed


FileType Class

FileType Class
Namespaces > WebStats.DataType > FileType

[This is preliminary documentation and is subject to change.]

A file type is the type of file or page. File types are determined using the Settings/FileTypes.xml file, but if that fails, WebStats will guess.
Syntax
C# Visual Basic Managed C++ J#
public class FileType
Public Class FileType
public ref class FileType
public class FileType
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | FileTypeNew(String) | Initializes a new instance of the FileType class.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Extension | The extension of the file type (e.g., .aspx).
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | Hits | Amount of hits to this file type.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Name | The name of the file type (e.g., Active Server Page Extended).
 | ReceivedBandwidth | Amount of bandwidth used to receive requests for this file type.
 | SentBandwidth | Amount of bandwidth used to send this file type.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
FileType


FileType Constructor (extension)

FileType Constructor (extension)
Namespaces > WebStats.DataType > FileType > FileTypeNew(String)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the FileType class.
Syntax
C# Visual Basic Managed C++ J#
public FileType (
    string extension
)
Public Sub New ( _
    extension As String _
)
public:
FileType (
    String^ extension
)
public FileType (
    String extension
)
Parameters
extension (String)
The extension.


Extension Field

Extension Field
Namespaces > WebStats.DataType > FileType > Extension

[This is preliminary documentation and is subject to change.]

The extension of the file type (e.g., .aspx).
Syntax
C# Visual Basic Managed C++ J#
public string Extension
Public Extension As String
public:
String^ Extension
public String Extension


Hits Field

Hits Field
Namespaces > WebStats.DataType > FileType > Hits

[This is preliminary documentation and is subject to change.]

Amount of hits to this file type.
Syntax
C# Visual Basic Managed C++ J#
public int Hits
Public Hits As Integer
public:
int Hits
public int Hits


Name Field

Name Field
Namespaces > WebStats.DataType > FileType > Name

[This is preliminary documentation and is subject to change.]

The name of the file type (e.g., Active Server Page Extended).
Syntax
C# Visual Basic Managed C++ J#
public string Name
Public Name As String
public:
String^ Name
public String Name


ReceivedBandwidth Field

ReceivedBandwidth Field
Namespaces > WebStats.DataType > FileType > ReceivedBandwidth

[This is preliminary documentation and is subject to change.]

Amount of bandwidth used to receive requests for this file type.
Syntax
C# Visual Basic Managed C++ J#
public double ReceivedBandwidth
Public ReceivedBandwidth As Double
public:
double ReceivedBandwidth
public double ReceivedBandwidth


SentBandwidth Field

SentBandwidth Field
Namespaces > WebStats.DataType > FileType > SentBandwidth

[This is preliminary documentation and is subject to change.]

Amount of bandwidth used to send this file type.
Syntax
C# Visual Basic Managed C++ J#
public double SentBandwidth
Public SentBandwidth As Double
public:
double SentBandwidth
public double SentBandwidth


Host Class

Host Class
Namespaces > WebStats.DataType > Host

[This is preliminary documentation and is subject to change.]

A Host is a computer that has visited the website.
Syntax
C# Visual Basic Managed C++ J#
public class Host
Public Class Host
public ref class Host
public class Host
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | HostNew(String) | Initializes a new instance of the Host class.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | Hits | Number of hits the host generated.
 | IpAddress | IP Address of the visiting host.
 | LastVisit | The last visit of the host.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Pages | Number of pages the host visited.
 | ReceivedBandwidth | Amount of bandwidth the server used in receiving from the host.
 | SentBandwidth | Amount of bandwidth the server used in sending data to the host.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
Host


Host Constructor (ipaddress)

Host Constructor (ipaddress)
Namespaces > WebStats.DataType > Host > HostNew(String)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Host class.
Syntax
C# Visual Basic Managed C++ J#
public Host (
    string ipaddress
)
Public Sub New ( _
    ipaddress As String _
)
public:
Host (
    String^ ipaddress
)
public Host (
    String ipaddress
)
Parameters
ipaddress (String)
The ipaddress.


Hits Field

Hits Field
Namespaces > WebStats.DataType > Host > Hits

[This is preliminary documentation and is subject to change.]

Number of hits the host generated.
Syntax
C# Visual Basic Managed C++ J#
public int Hits
Public Hits As Integer
public:
int Hits
public int Hits


IpAddress Field

IpAddress Field
Namespaces > WebStats.DataType > Host > IpAddress

[This is preliminary documentation and is subject to change.]

IP Address of the visiting host.
Syntax
C# Visual Basic Managed C++ J#
public string IpAddress
Public IpAddress As String
public:
String^ IpAddress
public String IpAddress


LastVisit Field

LastVisit Field
Namespaces > WebStats.DataType > Host > LastVisit

[This is preliminary documentation and is subject to change.]

The last visit of the host.
Syntax
C# Visual Basic Managed C++ J#
public DateTime LastVisit
Public LastVisit As DateTime
public:
DateTime LastVisit
public DateTime LastVisit


Pages Field

Pages Field
Namespaces > WebStats.DataType > Host > Pages

[This is preliminary documentation and is subject to change.]

Number of pages the host visited.
Syntax
C# Visual Basic Managed C++ J#
public int Pages
Public Pages As Integer
public:
int Pages
public int Pages


ReceivedBandwidth Field

ReceivedBandwidth Field
Namespaces > WebStats.DataType > Host > ReceivedBandwidth

[This is preliminary documentation and is subject to change.]

Amount of bandwidth the server used in receiving from the host.
Syntax
C# Visual Basic Managed C++ J#
public double ReceivedBandwidth
Public ReceivedBandwidth As Double
public:
double ReceivedBandwidth
public double ReceivedBandwidth


SentBandwidth Field

SentBandwidth Field
Namespaces > WebStats.DataType > Host > SentBandwidth

[This is preliminary documentation and is subject to change.]

Amount of bandwidth the server used in sending data to the host.
Syntax
C# Visual Basic Managed C++ J#
public double SentBandwidth
Public SentBandwidth As Double
public:
double SentBandwidth
public double SentBandwidth


HourOfDay Class

HourOfDay Class
Namespaces > WebStats.DataType > HourOfDay

[This is preliminary documentation and is subject to change.]

A hour of day is a specific hour of the day (e.g., 0,1,2,3-23).
Syntax
C# Visual Basic Managed C++ J#
public class HourOfDay
Public Class HourOfDay
public ref class HourOfDay
public class HourOfDay
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | HourOfDayNew(Int32) | Initializes a new instance of the HourOfDay class.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | Hits | Amount of hits generated on the hour of day.
 | Hour | The hour of the day (e.g., 0,1,2,3-23).
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Pages | Amount of pages viewed on the hour of day.
 | ReceivedBandwidth | Amount of bandwidth used to receive data on the hour of day.
 | SentBandwidth | Amount of bandwidth used to send data on the hour of day.
 | SessionReferences | A collection of SessionReferenceCollection used to reference sessions.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
 | Visits | Gets the number of visits.
Inheritance Hierarchy
Object
HourOfDay


HourOfDay Constructor (hour)

HourOfDay Constructor (hour)
Namespaces > WebStats.DataType > HourOfDay > HourOfDayNew(Int32)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the HourOfDay class.
Syntax
C# Visual Basic Managed C++ J#
public HourOfDay (
    int hour
)
Public Sub New ( _
    hour As Integer _
)
public:
HourOfDay (
    int hour
)
public HourOfDay (
    int hour
)
Parameters
hour (Int32)
The hour.


Hits Field

Hits Field
Namespaces > WebStats.DataType > HourOfDay > Hits

[This is preliminary documentation and is subject to change.]

Amount of hits generated on the hour of day.
Syntax
C# Visual Basic Managed C++ J#
public int Hits
Public Hits As Integer
public:
int Hits
public int Hits


Hour Field

Hour Field
Namespaces > WebStats.DataType > HourOfDay > Hour

[This is preliminary documentation and is subject to change.]

The hour of the day (e.g., 0,1,2,3-23).
Syntax
C# Visual Basic Managed C++ J#
public int Hour
Public Hour As Integer
public:
int Hour
public int Hour


Pages Field

Pages Field
Namespaces > WebStats.DataType > HourOfDay > Pages

[This is preliminary documentation and is subject to change.]

Amount of pages viewed on the hour of day.
Syntax
C# Visual Basic Managed C++ J#
public int Pages
Public Pages As Integer
public:
int Pages
public int Pages


ReceivedBandwidth Field

ReceivedBandwidth Field
Namespaces > WebStats.DataType > HourOfDay > ReceivedBandwidth

[This is preliminary documentation and is subject to change.]

Amount of bandwidth used to receive data on the hour of day.
Syntax
C# Visual Basic Managed C++ J#
public double ReceivedBandwidth
Public ReceivedBandwidth As Double
public:
double ReceivedBandwidth
public double ReceivedBandwidth


SentBandwidth Field

SentBandwidth Field
Namespaces > WebStats.DataType > HourOfDay > SentBandwidth

[This is preliminary documentation and is subject to change.]

Amount of bandwidth used to send data on the hour of day.
Syntax
C# Visual Basic Managed C++ J#
public double SentBandwidth
Public SentBandwidth As Double
public:
double SentBandwidth
public double SentBandwidth


SessionReferences Field

SessionReferences Field
Namespaces > WebStats.DataType > HourOfDay > SessionReferences

[This is preliminary documentation and is subject to change.]

A collection of SessionReferenceCollection used to reference sessions.
Syntax
C# Visual Basic Managed C++ J#
public SessionReferenceCollection SessionReferences
Public SessionReferences As SessionReferenceCollection
public:
SessionReferenceCollection^ SessionReferences
public SessionReferenceCollection SessionReferences


Visits Property

Visits Property
Namespaces > WebStats.DataType > HourOfDay > Visits

[This is preliminary documentation and is subject to change.]

Gets the number of visits.
Syntax
C# Visual Basic Managed C++ J#
public int Visits { get; }
Public ReadOnly Property Visits As Integer
public:
property int Visits {
    int get ();
}
/** @property */
public int get_Visits ()
Field Value
The visits.


SearchEngine.Keyphrase Class

SearchEngine.Keyphrase Class
Namespaces > WebStats.DataType > SearchEngine > Keyphrase

[This is preliminary documentation and is subject to change.]

A keyphrase is a specific phrase used to find this website within the search engine.
Syntax
C# Visual Basic Managed C++ J#
public class Keyphrase
Public Class Keyphrase
public ref class Keyphrase
public class Keyphrase
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | KeyphraseNew() | Initializes a new instance of the Keyphrase class.
 | KeyphraseNew(String) | Initializes a new instance of the Keyphrase class.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | Hits | Amount of hits generated by using this phrase.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Phrase | The phrase used.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
Keyphrase


.Keyphrase Constructor

.Keyphrase Constructor
Namespaces > WebStats.DataType > Keyphrase > KeyphraseNew

[This is preliminary documentation and is subject to change.]

Members
Icon | Member | Description
 | KeyphraseNew() | Initializes a new instance of the Keyphrase class.
 | KeyphraseNew(String) | Initializes a new instance of the Keyphrase class.


SearchEngine.Keyphrase Constructor

SearchEngine.Keyphrase Constructor
Namespaces > WebStats.DataType > Keyphrase > KeyphraseNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Keyphrase class.
Syntax
C# Visual Basic Managed C++ J#
public Keyphrase ()
Public Sub New
public:
Keyphrase ()
public Keyphrase ()


SearchEngine.Keyphrase Constructor (phrase)

SearchEngine.Keyphrase Constructor (phrase)
Namespaces > WebStats.DataType > Keyphrase > KeyphraseNew(String)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Keyphrase class.
Syntax
C# Visual Basic Managed C++ J#
public Keyphrase (
    string phrase
)
Public Sub New ( _
    phrase As String _
)
public:
Keyphrase (
    String^ phrase
)
public Keyphrase (
    String phrase
)
Parameters
phrase (String)
The phrase.


Hits Field

Hits Field
Namespaces > WebStats.DataType > Keyphrase > Hits

[This is preliminary documentation and is subject to change.]

Amount of hits generated by using this phrase.
Syntax
C# Visual Basic Managed C++ J#
public int Hits
Public Hits As Integer
public:
int Hits
public int Hits


Phrase Field

Phrase Field
Namespaces > WebStats.DataType > Keyphrase > Phrase

[This is preliminary documentation and is subject to change.]

The phrase used.
Syntax
C# Visual Basic Managed C++ J#
public string Phrase
Public Phrase As String
public:
String^ Phrase
public String Phrase


SearchEngine.Keyword Class

SearchEngine.Keyword Class
Namespaces > WebStats.DataType > SearchEngine > Keyword

[This is preliminary documentation and is subject to change.]

A keyword is a specific word used to find this website within the search engine.
Syntax
C# Visual Basic Managed C++ J#
public class Keyword
Public Class Keyword
public ref class Keyword
public class Keyword
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | KeywordNew() | Initializes a new instance of the Keyword class.
 | KeywordNew(String) | Initializes a new instance of the Keyword class.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | Hits | Amount of hits generated by using this word.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
 | Word | The word used.
Inheritance Hierarchy
Object
Keyword


.Keyword Constructor

.Keyword Constructor
Namespaces > WebStats.DataType > Keyword > KeywordNew

[This is preliminary documentation and is subject to change.]

Members
Icon | Member | Description
 | KeywordNew() | Initializes a new instance of the Keyword class.
 | KeywordNew(String) | Initializes a new instance of the Keyword class.


SearchEngine.Keyword Constructor

SearchEngine.Keyword Constructor
Namespaces > WebStats.DataType > Keyword > KeywordNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Keyword class.
Syntax
C# Visual Basic Managed C++ J#
public Keyword ()
Public Sub New
public:
Keyword ()
public Keyword ()


SearchEngine.Keyword Constructor (word)

SearchEngine.Keyword Constructor (word)
Namespaces > WebStats.DataType > Keyword > KeywordNew(String)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Keyword class.
Syntax
C# Visual Basic Managed C++ J#
public Keyword (
    string word
)
Public Sub New ( _
    word As String _
)
public:
Keyword (
    String^ word
)
public Keyword (
    String word
)
Parameters
word (String)
The word.


Hits Field

Hits Field
Namespaces > WebStats.DataType > Keyword > Hits

[This is preliminary documentation and is subject to change.]

Amount of hits generated by using this word.
Syntax
C# Visual Basic Managed C++ J#
public int Hits
Public Hits As Integer
public:
int Hits
public int Hits


Word Field

Word Field
Namespaces > WebStats.DataType > Keyword > Word

[This is preliminary documentation and is subject to change.]

The word used.
Syntax
C# Visual Basic Managed C++ J#
public string Word
Public Word As String
public:
String^ Word
public String Word


Month Class

Month Class
Namespaces > WebStats.DataType > Month

[This is preliminary documentation and is subject to change.]

A Month is a calendar month.
Syntax
C# Visual Basic Managed C++ J#
public class Month
Public Class Month
public ref class Month
public class Month
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | MonthNew(DateTime) | Initializes a new instance of the Month class.
 | Date | The date value for this month.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | Hits | Number of hits ths month.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Pages | Number of pages this month.
 | ReceivedBandwidth | Amount of bandwidth the server used in receiving from this month.
 | SentBandwidth | Amount of bandwidth the server used in sending data this month.
 | SessionReferences | A collection of SessionReferenceCollection used to reference sessions.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
 | Visits | Gets the number of visits.
Inheritance Hierarchy
Object
Month


Month Constructor (dt)

Month Constructor (dt)
Namespaces > WebStats.DataType > Month > MonthNew(DateTime)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Month class.
Syntax
C# Visual Basic Managed C++ J#
public Month (
    DateTime dt
)
Public Sub New ( _
    dt As DateTime _
)
public:
Month (
    DateTime dt
)
public Month (
    DateTime dt
)
Parameters
dt (DateTime)
The date.


Date Field

Date Field
Namespaces > WebStats.DataType > Month > Date

[This is preliminary documentation and is subject to change.]

The date value for this month.
Syntax
C# Visual Basic Managed C++ J#
public DateTime Date
Public Date As DateTime
public:
DateTime Date
public DateTime Date


Hits Field

Hits Field
Namespaces > WebStats.DataType > Month > Hits

[This is preliminary documentation and is subject to change.]

Number of hits ths month.
Syntax
C# Visual Basic Managed C++ J#
public int Hits
Public Hits As Integer
public:
int Hits
public int Hits


Pages Field

Pages Field
Namespaces > WebStats.DataType > Month > Pages

[This is preliminary documentation and is subject to change.]

Number of pages this month.
Syntax
C# Visual Basic Managed C++ J#
public int Pages
Public Pages As Integer
public:
int Pages
public int Pages


ReceivedBandwidth Field

ReceivedBandwidth Field
Namespaces > WebStats.DataType > Month > ReceivedBandwidth

[This is preliminary documentation and is subject to change.]

Amount of bandwidth the server used in receiving from this month.
Syntax
C# Visual Basic Managed C++ J#
public double ReceivedBandwidth
Public ReceivedBandwidth As Double
public:
double ReceivedBandwidth
public double ReceivedBandwidth


SentBandwidth Field

SentBandwidth Field
Namespaces > WebStats.DataType > Month > SentBandwidth

[This is preliminary documentation and is subject to change.]

Amount of bandwidth the server used in sending data this month.
Syntax
C# Visual Basic Managed C++ J#
public double SentBandwidth
Public SentBandwidth As Double
public:
double SentBandwidth
public double SentBandwidth


SessionReferences Field

SessionReferences Field
Namespaces > WebStats.DataType > Month > SessionReferences

[This is preliminary documentation and is subject to change.]

A collection of SessionReferenceCollection used to reference sessions.
Syntax
C# Visual Basic Managed C++ J#
public SessionReferenceCollection SessionReferences
Public SessionReferences As SessionReferenceCollection
public:
SessionReferenceCollection^ SessionReferences
public SessionReferenceCollection SessionReferences


Visits Property

Visits Property
Namespaces > WebStats.DataType > Month > Visits

[This is preliminary documentation and is subject to change.]

Gets the number of visits.
Syntax
C# Visual Basic Managed C++ J#
public int Visits { get; }
Public ReadOnly Property Visits As Integer
public:
property int Visits {
    int get ();
}
/** @property */
public int get_Visits ()
Field Value
The visits.


OperatingSystem Class

OperatingSystem Class
Namespaces > WebStats.DataType > OperatingSystem

[This is preliminary documentation and is subject to change.]

An operating system is the operating system used by the visitor when visiting the website as defined in Settings/OperatingSystems.xml.
Syntax
C# Visual Basic Managed C++ J#
public class OperatingSystem
Public Class OperatingSystem
public ref class OperatingSystem
public class OperatingSystem
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | OperatingSystemNew(String, String) | Initializes a new instance of the OperatingSystem class.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | Hits | Amount of hits generated by the OS.
 | LastVisit | When the OS last visited.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Name | Name of the OS.
 | Pages | Amount of pages visited by the OS.
 | ReceivedBandwidth | Amount of bandwidth used to receive data from the OS.
 | SentBandwidth | Amount of bandwidth used to send data to the OS.
 | SetUrl | Url set in Settings/OperatingSystems.xml
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
 | Version | Version of the OS.
Inheritance Hierarchy
Object
OperatingSystem


OperatingSystem Constructor (name, version)

OperatingSystem Constructor (name, version)
Namespaces > WebStats.DataType > OperatingSystem > OperatingSystemNew(String, String)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the OperatingSystem class.
Syntax
C# Visual Basic Managed C++ J#
public OperatingSystem (
    string name,
    string version
)
Public Sub New ( _
    name As String, _
    version As String _
)
public:
OperatingSystem (
    String^ name,
    String^ version
)
public OperatingSystem (
    String name,
    String version
)
Parameters
name (String)
The name.
version (String)
The version.


Hits Field

Hits Field
Namespaces > WebStats.DataType > OperatingSystem > Hits

[This is preliminary documentation and is subject to change.]

Amount of hits generated by the OS.
Syntax
C# Visual Basic Managed C++ J#
public int Hits
Public Hits As Integer
public:
int Hits
public int Hits


LastVisit Field

LastVisit Field
Namespaces > WebStats.DataType > OperatingSystem > LastVisit

[This is preliminary documentation and is subject to change.]

When the OS last visited.
Syntax
C# Visual Basic Managed C++ J#
public DateTime LastVisit
Public LastVisit As DateTime
public:
DateTime LastVisit
public DateTime LastVisit


Name Field

Name Field
Namespaces > WebStats.DataType > OperatingSystem > Name

[This is preliminary documentation and is subject to change.]

Name of the OS.
Syntax
C# Visual Basic Managed C++ J#
public string Name
Public Name As String
public:
String^ Name
public String Name


Pages Field

Pages Field
Namespaces > WebStats.DataType > OperatingSystem > Pages

[This is preliminary documentation and is subject to change.]

Amount of pages visited by the OS.
Syntax
C# Visual Basic Managed C++ J#
public int Pages
Public Pages As Integer
public:
int Pages
public int Pages


ReceivedBandwidth Field

ReceivedBandwidth Field
Namespaces > WebStats.DataType > OperatingSystem > ReceivedBandwidth

[This is preliminary documentation and is subject to change.]

Amount of bandwidth used to receive data from the OS.
Syntax
C# Visual Basic Managed C++ J#
public double ReceivedBandwidth
Public ReceivedBandwidth As Double
public:
double ReceivedBandwidth
public double ReceivedBandwidth


SentBandwidth Field

SentBandwidth Field
Namespaces > WebStats.DataType > OperatingSystem > SentBandwidth

[This is preliminary documentation and is subject to change.]

Amount of bandwidth used to send data to the OS.
Syntax
C# Visual Basic Managed C++ J#
public double SentBandwidth
Public SentBandwidth As Double
public:
double SentBandwidth
public double SentBandwidth


SetUrl Field

SetUrl Field
Namespaces > WebStats.DataType > OperatingSystem > SetUrl

[This is preliminary documentation and is subject to change.]

Url set in Settings/OperatingSystems.xml
Syntax
C# Visual Basic Managed C++ J#
public string SetUrl
Public SetUrl As String
public:
String^ SetUrl
public String SetUrl


Version Field

Version Field
Namespaces > WebStats.DataType > OperatingSystem > Version

[This is preliminary documentation and is subject to change.]

Version of the OS.
Syntax
C# Visual Basic Managed C++ J#
public string Version
Public Version As String
public:
String^ Version
public String Version


Page Class

Page Class
Namespaces > WebStats.DataType > Page

[This is preliminary documentation and is subject to change.]

A page is a hit that is not contained in the NotPageList in the profile. Typically, a page should be files such as htm, html, aspx, asp, php and so on.
Syntax
C# Visual Basic Managed C++ J#
public class Page
Public Class Page
public ref class Page
public class Page
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | PageNew(String) | Initializes a new instance of the Page class.
 | PageNew(Page) | Initializes a new instance of the Page class.
 | AddPageView(Decimal) | Adds the page view, and calculates the new average size.
 | AddPageView(Double) | Adds the page view, and calculates the new average size.
 | AverageSize | The average size of this page.
 | ClearPageView() | Clears the views and average size of the page.
 | Entry | Amount of entries to this website via this page.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Exit | Amount of exits from this website via this page.
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
 | Url | Url of the page.
 | Viewed | Amount of times this page has been viewed.
Inheritance Hierarchy
Object
Page


Page Constructor

Page Constructor
Namespaces > WebStats.DataType > Page > PageNew

[This is preliminary documentation and is subject to change.]

Members
Icon | Member | Description
 | PageNew(String) | Initializes a new instance of the Page class.
 | PageNew(Page) | Initializes a new instance of the Page class.


Page Constructor (url)

Page Constructor (url)
Namespaces > WebStats.DataType > Page > PageNew(String)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Page class.
Syntax
C# Visual Basic Managed C++ J#
public Page (
    string url
)
Public Sub New ( _
    url As String _
)
public:
Page (
    String^ url
)
public Page (
    String url
)
Parameters
url (String)
The URL.


Page Constructor (page)

Page Constructor (page)
Namespaces > WebStats.DataType > Page > PageNew(Page)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Page class.
Syntax
C# Visual Basic Managed C++ J#
public Page (
    Page page
)
Public Sub New ( _
    page As Page _
)
public:
Page (
    Page^ page
)
public Page (
    Page page
)
Parameters
page (Page)
The page.


AddPageView Method

AddPageView Method
Namespaces > WebStats.DataType > Page > AddPageView

[This is preliminary documentation and is subject to change.]

Members
Icon | Member | Description
 | AddPageView(Decimal) | Adds the page view, and calculates the new average size.
 | AddPageView(Double) | Adds the page view, and calculates the new average size.


AddPageView Method (size)

AddPageView Method (size)
Namespaces > WebStats.DataType > Page > AddPageView(Decimal)

[This is preliminary documentation and is subject to change.]

Adds the page view, and calculates the new average size.
Syntax
C# Visual Basic Managed C++ J#
public void AddPageView (
    decimal size
)
Public Sub AddPageView ( _
    size As Decimal _
)
public:
void AddPageView (
    Decimal size
)
public void AddPageView (
    Decimal size
)
Parameters
size (Decimal)
The size.


AddPageView Method (size)

AddPageView Method (size)
Namespaces > WebStats.DataType > Page > AddPageView(Double)

[This is preliminary documentation and is subject to change.]

Adds the page view, and calculates the new average size.
Syntax
C# Visual Basic Managed C++ J#
public void AddPageView (
    double size
)
Public Sub AddPageView ( _
    size As Double _
)
public:
void AddPageView (
    double size
)
public void AddPageView (
    double size
)
Parameters
size (Double)
The size.


AverageSize Field

AverageSize Field
Namespaces > WebStats.DataType > Page > AverageSize

[This is preliminary documentation and is subject to change.]

The average size of this page.
Syntax
C# Visual Basic Managed C++ J#
public decimal AverageSize
Public AverageSize As Decimal
public:
Decimal AverageSize
public Decimal AverageSize


ClearPageView Method

ClearPageView Method
Namespaces > WebStats.DataType > Page > ClearPageView()

[This is preliminary documentation and is subject to change.]

Clears the views and average size of the page.
Syntax
C# Visual Basic Managed C++ J#
public void ClearPageView ()
Public Sub ClearPageView
public:
void ClearPageView ()
public void ClearPageView ()


Entry Field

Entry Field
Namespaces > WebStats.DataType > Page > Entry

[This is preliminary documentation and is subject to change.]

Amount of entries to this website via this page.
Syntax
C# Visual Basic Managed C++ J#
public int Entry
Public Entry As Integer
public:
int Entry
public int Entry


Exit Field

Exit Field
Namespaces > WebStats.DataType > Page > Exit

[This is preliminary documentation and is subject to change.]

Amount of exits from this website via this page.
Syntax
C# Visual Basic Managed C++ J#
public int Exit
Public Exit As Integer
public:
int Exit
public int Exit


Url Field

Url Field
Namespaces > WebStats.DataType > Page > Url

[This is preliminary documentation and is subject to change.]

Url of the page.
Syntax
C# Visual Basic Managed C++ J#
public string Url
Public Url As String
public:
String^ Url
public String Url


Viewed Field

Viewed Field
Namespaces > WebStats.DataType > Page > Viewed

[This is preliminary documentation and is subject to change.]

Amount of times this page has been viewed.
Syntax
C# Visual Basic Managed C++ J#
public int Viewed
Public Viewed As Integer
public:
int Viewed
public int Viewed


Referrer Class

Referrer Class
Namespaces > WebStats.DataType > Referrer

[This is preliminary documentation and is subject to change.]

A referrer is any website that is not found in Settings/SearchEngines.xml that refers a visitor to this website.
Syntax
C# Visual Basic Managed C++ J#
public class Referrer
Public Class Referrer
public ref class Referrer
public class Referrer
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | ReferrerNew(String) | Initializes a new instance of the Referrer class.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | Hits | Amount of hits generated directly from this referrer (only entry).
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Pages | Amount of pages viewed directly from this referrer (only entry).
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
 | Url | Url of the referrer.
Inheritance Hierarchy
Object
Referrer


Referrer Constructor (url)

Referrer Constructor (url)
Namespaces > WebStats.DataType > Referrer > ReferrerNew(String)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Referrer class.
Syntax
C# Visual Basic Managed C++ J#
public Referrer (
    string url
)
Public Sub New ( _
    url As String _
)
public:
Referrer (
    String^ url
)
public Referrer (
    String url
)
Parameters
url (String)
The URL.


Hits Field

Hits Field
Namespaces > WebStats.DataType > Referrer > Hits

[This is preliminary documentation and is subject to change.]

Amount of hits generated directly from this referrer (only entry).
Syntax
C# Visual Basic Managed C++ J#
public int Hits
Public Hits As Integer
public:
int Hits
public int Hits


Pages Field

Pages Field
Namespaces > WebStats.DataType > Referrer > Pages

[This is preliminary documentation and is subject to change.]

Amount of pages viewed directly from this referrer (only entry).
Syntax
C# Visual Basic Managed C++ J#
public int Pages
Public Pages As Integer
public:
int Pages
public int Pages


Url Field

Url Field
Namespaces > WebStats.DataType > Referrer > Url

[This is preliminary documentation and is subject to change.]

Url of the referrer.
Syntax
C# Visual Basic Managed C++ J#
public string Url
Public Url As String
public:
String^ Url
public String Url


Robot Class

Robot Class
Namespaces > WebStats.DataType > Robot

[This is preliminary documentation and is subject to change.]

A robot is a website visitor that is not a human. It is determined by the Settings/Robots.xml file, a hit to Robots.txt or by finding the word "bot" in the UserAgent.
Syntax
C# Visual Basic Managed C++ J#
public class Robot
Public Class Robot
public ref class Robot
public class Robot
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | RobotNew(String, String) | Initializes a new instance of the Robot class.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | Hits | The hits generated by the robot.
 | LastVisit | When the robot last visited the website.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Name | The name of the robot.
 | Pages | The amount of pages visited by the robot.
 | ParsedUrl | The url as parsed from the UserAgent - the URL supplied by the Robot.
 | ReceivedBandwidth | The amount of bandwidth used to receive data from the robot.
 | SentBandwidth | The amount of bandwidth used to send data to the robot.
 | SetUrl | The url supplied in Settings/Robots.xml
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
 | Version | The version of the robot.
Inheritance Hierarchy
Object
Robot


Robot Constructor (name, version)

Robot Constructor (name, version)
Namespaces > WebStats.DataType > Robot > RobotNew(String, String)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Robot class.
Syntax
C# Visual Basic Managed C++ J#
public Robot (
    string name,
    string version
)
Public Sub New ( _
    name As String, _
    version As String _
)
public:
Robot (
    String^ name,
    String^ version
)
public Robot (
    String name,
    String version
)
Parameters
name (String)
The name.
version (String)
The version.


Hits Field

Hits Field
Namespaces > WebStats.DataType > Robot > Hits

[This is preliminary documentation and is subject to change.]

The hits generated by the robot.
Syntax
C# Visual Basic Managed C++ J#
public int Hits
Public Hits As Integer
public:
int Hits
public int Hits


LastVisit Field

LastVisit Field
Namespaces > WebStats.DataType > Robot > LastVisit

[This is preliminary documentation and is subject to change.]

When the robot last visited the website.
Syntax
C# Visual Basic Managed C++ J#
public DateTime LastVisit
Public LastVisit As DateTime
public:
DateTime LastVisit
public DateTime LastVisit


Name Field

Name Field
Namespaces > WebStats.DataType > Robot > Name

[This is preliminary documentation and is subject to change.]

The name of the robot.
Syntax
C# Visual Basic Managed C++ J#
public string Name
Public Name As String
public:
String^ Name
public String Name


Pages Field

Pages Field
Namespaces > WebStats.DataType > Robot > Pages

[This is preliminary documentation and is subject to change.]

The amount of pages visited by the robot.
Syntax
C# Visual Basic Managed C++ J#
public int Pages
Public Pages As Integer
public:
int Pages
public int Pages


ParsedUrl Field

ParsedUrl Field
Namespaces > WebStats.DataType > Robot > ParsedUrl

[This is preliminary documentation and is subject to change.]

The url as parsed from the UserAgent - the URL supplied by the Robot.
Syntax
C# Visual Basic Managed C++ J#
public string ParsedUrl
Public ParsedUrl As String
public:
String^ ParsedUrl
public String ParsedUrl


ReceivedBandwidth Field

ReceivedBandwidth Field
Namespaces > WebStats.DataType > Robot > ReceivedBandwidth

[This is preliminary documentation and is subject to change.]

The amount of bandwidth used to receive data from the robot.
Syntax
C# Visual Basic Managed C++ J#
public double ReceivedBandwidth
Public ReceivedBandwidth As Double
public:
double ReceivedBandwidth
public double ReceivedBandwidth


SentBandwidth Field

SentBandwidth Field
Namespaces > WebStats.DataType > Robot > SentBandwidth

[This is preliminary documentation and is subject to change.]

The amount of bandwidth used to send data to the robot.
Syntax
C# Visual Basic Managed C++ J#
public double SentBandwidth
Public SentBandwidth As Double
public:
double SentBandwidth
public double SentBandwidth


SetUrl Field

SetUrl Field
Namespaces > WebStats.DataType > Robot > SetUrl

[This is preliminary documentation and is subject to change.]

The url supplied in Settings/Robots.xml
Syntax
C# Visual Basic Managed C++ J#
public string SetUrl
Public SetUrl As String
public:
String^ SetUrl
public String SetUrl


Version Field

Version Field
Namespaces > WebStats.DataType > Robot > Version

[This is preliminary documentation and is subject to change.]

The version of the robot.
Syntax
C# Visual Basic Managed C++ J#
public string Version
Public Version As String
public:
String^ Version
public String Version


SearchEngine Class

SearchEngine Class
Namespaces > WebStats.DataType > SearchEngine

[This is preliminary documentation and is subject to change.]

A search engine should be self-explaining. Search engines can be configured in Settings/SearchEngines.xml.
Syntax
C# Visual Basic Managed C++ J#
public class SearchEngine
Public Class SearchEngine
public ref class SearchEngine
public class SearchEngine
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SearchEngineNew() | Initializes a new instance of the SearchEngine class.
 | SearchEngineNew(String) | Initializes a new instance of the SearchEngine class.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | Hits | Amount of hits directly from this search engine (entry only).
 | Keyphrases | A KeyphraseCollection of Keyphrase.
 | Keywords | A KeywordCollection of Keyword.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Name | Name of the search engine.
 | Pages | Amount of pages viewed directly from this search engine (entry only).
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
 | Url | Url of the search engine.
Inheritance Hierarchy
Object
SearchEngine


SearchEngine Constructor

SearchEngine Constructor
Namespaces > WebStats.DataType > SearchEngine > SearchEngineNew

[This is preliminary documentation and is subject to change.]

Members
Icon | Member | Description
 | SearchEngineNew() | Initializes a new instance of the SearchEngine class.
 | SearchEngineNew(String) | Initializes a new instance of the SearchEngine class.


SearchEngine Constructor

SearchEngine Constructor
Namespaces > WebStats.DataType > SearchEngine > SearchEngineNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SearchEngine class.
Syntax
C# Visual Basic Managed C++ J#
public SearchEngine ()
Public Sub New
public:
SearchEngine ()
public SearchEngine ()


SearchEngine Constructor (name)

SearchEngine Constructor (name)
Namespaces > WebStats.DataType > SearchEngine > SearchEngineNew(String)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SearchEngine class.
Syntax
C# Visual Basic Managed C++ J#
public SearchEngine (
    string name
)
Public Sub New ( _
    name As String _
)
public:
SearchEngine (
    String^ name
)
public SearchEngine (
    String name
)
Parameters
name (String)
The name.


Hits Field

Hits Field
Namespaces > WebStats.DataType > SearchEngine > Hits

[This is preliminary documentation and is subject to change.]

Amount of hits directly from this search engine (entry only).
Syntax
C# Visual Basic Managed C++ J#
public int Hits
Public Hits As Integer
public:
int Hits
public int Hits


Keyphrases Field

Keyphrases Field
Namespaces > WebStats.DataType > SearchEngine > Keyphrases

[This is preliminary documentation and is subject to change.]

A KeyphraseCollection of Keyphrase.
Syntax
C# Visual Basic Managed C++ J#
[XmlElementAttribute("Keyphrases")]
public SearchEngineCollection.KeyphraseCollection Keyphrases
<XmlElementAttribute("Keyphrases")> _
Public Keyphrases As KeyphraseCollection
[XmlElementAttribute(L"Keyphrases")]
public:
KeyphraseCollection^ Keyphrases
/** @attribute XmlElementAttribute("Keyphrases") */
public SearchEngineCollection.KeyphraseCollection Keyphrases


Keywords Field

Keywords Field
Namespaces > WebStats.DataType > SearchEngine > Keywords

[This is preliminary documentation and is subject to change.]

A KeywordCollection of Keyword.
Syntax
C# Visual Basic Managed C++ J#
[XmlElementAttribute("Keywords")]
public SearchEngineCollection.KeywordCollection Keywords
<XmlElementAttribute("Keywords")> _
Public Keywords As KeywordCollection
[XmlElementAttribute(L"Keywords")]
public:
KeywordCollection^ Keywords
/** @attribute XmlElementAttribute("Keywords") */
public SearchEngineCollection.KeywordCollection Keywords


Name Field

Name Field
Namespaces > WebStats.DataType > SearchEngine > Name

[This is preliminary documentation and is subject to change.]

Name of the search engine.
Syntax
C# Visual Basic Managed C++ J#
public string Name
Public Name As String
public:
String^ Name
public String Name


Pages Field

Pages Field
Namespaces > WebStats.DataType > SearchEngine > Pages

[This is preliminary documentation and is subject to change.]

Amount of pages viewed directly from this search engine (entry only).
Syntax
C# Visual Basic Managed C++ J#
public int Pages
Public Pages As Integer
public:
int Pages
public int Pages


Url Field

Url Field
Namespaces > WebStats.DataType > SearchEngine > Url

[This is preliminary documentation and is subject to change.]

Url of the search engine.
Syntax
C# Visual Basic Managed C++ J#
public string Url
Public Url As String
public:
String^ Url
public String Url


Session Class

Session Class
Namespaces > WebStats.DataType > Session

[This is preliminary documentation and is subject to change.]

A session represents one visitors continued use of the website. When the visitor stops using the website for a specified amount of time, as defined in the profile as "SessionTimeout", then the session stops.
Syntax
C# Visual Basic Managed C++ J#
public class Session
Public Class Session
public ref class Session
public class Session
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SessionNew(String) | Initializes a new instance of the Session class.
 | End | When the session ended.
 | EntryPage | The Page associated as the page of entry into this site.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | ExitPage | The Page associated as the page of exit from this site.
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | Hits | Amount of hits generated in the session.
 | IpAddress | The IP address of the session source.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Pages | The amount of pages visited in the session.
 | ReceivedBandwidth | Amount of bandwidth used to receive data for the session.
 | RobotInstance | The Robot associated with this session.
 | SentBandwidth | Amount of bandwidth used to send data for the session.
 | Start | When the session started.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
 | Username | The username used for the session.
Inheritance Hierarchy
Object
Session


Session Constructor (ipaddress)

Session Constructor (ipaddress)
Namespaces > WebStats.DataType > Session > SessionNew(String)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Session class.
Syntax
C# Visual Basic Managed C++ J#
public Session (
    string ipaddress
)
Public Sub New ( _
    ipaddress As String _
)
public:
Session (
    String^ ipaddress
)
public Session (
    String ipaddress
)
Parameters
ipaddress (String)
The ipaddress.


End Field

End Field
Namespaces > WebStats.DataType > Session > End

[This is preliminary documentation and is subject to change.]

When the session ended.
Syntax
C# Visual Basic Managed C++ J#
public DateTime End
Public End As DateTime
public:
DateTime End
public DateTime End


EntryPage Field

EntryPage Field
Namespaces > WebStats.DataType > Session > EntryPage

[This is preliminary documentation and is subject to change.]

The Page associated as the page of entry into this site.
Syntax
C# Visual Basic Managed C++ J#
public Page EntryPage
Public EntryPage As Page
public:
Page^ EntryPage
public Page EntryPage


ExitPage Field

ExitPage Field
Namespaces > WebStats.DataType > Session > ExitPage

[This is preliminary documentation and is subject to change.]

The Page associated as the page of exit from this site.
Syntax
C# Visual Basic Managed C++ J#
public Page ExitPage
Public ExitPage As Page
public:
Page^ ExitPage
public Page ExitPage


Hits Field

Hits Field
Namespaces > WebStats.DataType > Session > Hits

[This is preliminary documentation and is subject to change.]

Amount of hits generated in the session.
Syntax
C# Visual Basic Managed C++ J#
public int Hits
Public Hits As Integer
public:
int Hits
public int Hits


IpAddress Field

IpAddress Field
Namespaces > WebStats.DataType > Session > IpAddress

[This is preliminary documentation and is subject to change.]

The IP address of the session source.
Syntax
C# Visual Basic Managed C++ J#
public string IpAddress
Public IpAddress As String
public:
String^ IpAddress
public String IpAddress


Pages Field

Pages Field
Namespaces > WebStats.DataType > Session > Pages

[This is preliminary documentation and is subject to change.]

The amount of pages visited in the session.
Syntax
C# Visual Basic Managed C++ J#
public int Pages
Public Pages As Integer
public:
int Pages
public int Pages


ReceivedBandwidth Field

ReceivedBandwidth Field
Namespaces > WebStats.DataType > Session > ReceivedBandwidth

[This is preliminary documentation and is subject to change.]

Amount of bandwidth used to receive data for the session.
Syntax
C# Visual Basic Managed C++ J#
public double ReceivedBandwidth
Public ReceivedBandwidth As Double
public:
double ReceivedBandwidth
public double ReceivedBandwidth


RobotInstance Field

RobotInstance Field
Namespaces > WebStats.DataType > Session > RobotInstance

[This is preliminary documentation and is subject to change.]

The Robot associated with this session.
Syntax
C# Visual Basic Managed C++ J#
public Robot RobotInstance
Public RobotInstance As Robot
public:
Robot^ RobotInstance
public Robot RobotInstance


SentBandwidth Field

SentBandwidth Field
Namespaces > WebStats.DataType > Session > SentBandwidth

[This is preliminary documentation and is subject to change.]

Amount of bandwidth used to send data for the session.
Syntax
C# Visual Basic Managed C++ J#
public double SentBandwidth
Public SentBandwidth As Double
public:
double SentBandwidth
public double SentBandwidth


Start Field

Start Field
Namespaces > WebStats.DataType > Session > Start

[This is preliminary documentation and is subject to change.]

When the session started.
Syntax
C# Visual Basic Managed C++ J#
public DateTime Start
Public Start As DateTime
public:
DateTime Start
public DateTime Start


Username Field

Username Field
Namespaces > WebStats.DataType > Session > Username

[This is preliminary documentation and is subject to change.]

The username used for the session.
Syntax
C# Visual Basic Managed C++ J#
public string Username
Public Username As String
public:
String^ Username
public String Username


SessionReference Class

SessionReference Class
Namespaces > WebStats.DataType > SessionReference

[This is preliminary documentation and is subject to change.]

A SessionReference is used to reference a specific session in the Sessions Collection of the report. This is used to reduce the memory footprint.
Syntax
C# Visual Basic Managed C++ J#
public class SessionReference : IComparable
Public Class SessionReference _
    Implements IComparable
public ref class SessionReference : IComparable
public class SessionReference implements IComparable
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | SessionReferenceNew(DateTime, String) | Initializes a new instance of the SessionReference class.
 | CompareTo(Object) | Compares the current instance with another object of the same type.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | IpAddress | The IP address of the session source.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Start | When the session started.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
SessionReference


SessionReference Constructor (start, ipaddress)

SessionReference Constructor (start, ipaddress)
Namespaces > WebStats.DataType > SessionReference > SessionReferenceNew(DateTime, String)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the SessionReference class.
Syntax
C# Visual Basic Managed C++ J#
public SessionReference (
    DateTime start,
    string ipaddress
)
Public Sub New ( _
    start As DateTime, _
    ipaddress As String _
)
public:
SessionReference (
    DateTime start,
    String^ ipaddress
)
public SessionReference (
    DateTime start,
    String ipaddress
)
Parameters
start (DateTime)
The start.
ipaddress (String)
The ipaddress.


CompareTo Method (obj)

CompareTo Method (obj)
Namespaces > WebStats.DataType > SessionReference > CompareTo(Object)

[This is preliminary documentation and is subject to change.]

Compares the current instance with another object of the same type.
Syntax
C# Visual Basic Managed C++ J#
public int CompareTo (
    Object obj
)
Public Function CompareTo ( _
    obj As Object _
) As Integer
public:
virtual int CompareTo (
    Object^ obj
) sealed
public final int CompareTo (
    Object obj
)
Parameters
obj (Object)
An object to compare with this instance.
Return Value
A 32-bit signed integer that indicates the relative order of the objects being compared. The return value has these meanings: Value Meaning Less than zero This instance is less than obj. Zero This instance is equal to obj. Greater than zero This instance is greater than obj.
Exceptions
Exception | Condition
ArgumentException | obj is not the same type as this instance.


IpAddress Field

IpAddress Field
Namespaces > WebStats.DataType > SessionReference > IpAddress

[This is preliminary documentation and is subject to change.]

The IP address of the session source.
Syntax
C# Visual Basic Managed C++ J#
public string IpAddress
Public IpAddress As String
public:
String^ IpAddress
public String IpAddress


Start Field

Start Field
Namespaces > WebStats.DataType > SessionReference > Start

[This is preliminary documentation and is subject to change.]

When the session started.
Syntax
C# Visual Basic Managed C++ J#
public DateTime Start
Public Start As DateTime
public:
DateTime Start
public DateTime Start


WebStats.Reporting Namespace

WebStats.Reporting Namespace
Namespaces > WebStats.Reporting

[This is preliminary documentation and is subject to change.]

Classes used to handle the generation and manipulation of reports.
Syntax
C# Visual Basic Managed C++ J#
namespace WebStats.Reporting
Namespace WebStats.Reporting
namespace WebStats.Reporting
package WebStats.Reporting
Types
All Types Classes Structures Interfaces Enumerations Delegates
Icon | Name | Description
public class | BrowsersManager | The BrowsersManager class allows for management of browsers which have visited the website. It makes use of the Settings/Browsers.xml file to determine if the visiting browser is known or unknown.
public class | FilesManager | The FilesManager class allows for management of files. A file is anything served by the website host that does not exist in the profile's NotPageList.
public class | FileTypesManager | The FileTypesManager allows for management of file types served by the website host. It makes use of the Settings/FileTypes.xml to determine specifics about each file type. It will attempt to supply as much information as possible if it finds a file type that is not specified in Settings/FileTypes.xml.
public class | HostsManager | The HostsManager allows for management of hosts.
public class | Lifetime | The Lifetime class handles statistics from the begining of logging. This is mainly a brief summary of what is contained in the report files, but by using Lifetime, we can find this information at a glance instead of having to redigest all the data.
public class | ManagerBase | Base object for managers.
public class | OperatingSystemsManager | The OperatingSystemsManager allows for management of operating systems. It makes use of the . Settings/OperatingSystems.xml files to determine what operating system is being used.
public class | PagesManager | The PagesManager allows for management of pages.
public class | ReferrersManager | The ReferrersManager allows for management of referrers. A referrer is any website that sends a visitor to this website, that is not a search engine.
public class | Report | A Report represents the data collected for a single duration of time as defined by the TimeframeType.
public class | RobotsManager | The RobotsManager allows for management of robots. A robot is a visitor that is automated. Most bots will visit a website to index the pages (e.g., GoogleBot).
public class | SearchEngineManager | The SearchEngineManager allows for management of search engines. It makes use of the Settings/SearchEngines.xml file to determine what is actually a search engine.
public class | SessionsManager | The SessionsManager allows for management of sessions.
public class | TimeManager | The TimeManager allows for management of Days, DaysOfWeek and HoursOfDay.
public class | UsersManager | The UsersManager allows management of users. Users are those users authenticated by the website host.


BrowsersManager Class

BrowsersManager Class
Namespaces > WebStats.Reporting > BrowsersManager

[This is preliminary documentation and is subject to change.]

The BrowsersManager class allows for management of browsers which have visited the website. It makes use of the Settings/Browsers.xml file to determine if the visiting browser is known or unknown.
Syntax
C# Visual Basic Managed C++ J#
public class BrowsersManager : ManagerBase
Public Class BrowsersManager _
    Inherits ManagerBase
public ref class BrowsersManager : public ManagerBase
public class BrowsersManager extends ManagerBase
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | _report | Instance of Report. (Inherited from ManagerBase.)
 | Browsers | Known browsers from Settings/Browsers.xml
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Report | Gets or sets the report. (Inherited from ManagerBase.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
 | UnknownBrowser | An instance of Browser to track information for unknown browsers.
Inheritance Hierarchy
Object
 | ManagerBase
 |  | BrowsersManager


Browsers Field

Browsers Field
Namespaces > WebStats.Reporting > BrowsersManager > Browsers

[This is preliminary documentation and is subject to change.]

Known browsers from Settings/Browsers.xml
Syntax
C# Visual Basic Managed C++ J#
[XmlElementAttribute("Browsers")]
public BrowserCollection Browsers
<XmlElementAttribute("Browsers")> _
Public Browsers As BrowserCollection
[XmlElementAttribute(L"Browsers")]
public:
BrowserCollection^ Browsers
/** @attribute XmlElementAttribute("Browsers") */
public BrowserCollection Browsers


UnknownBrowser Field

UnknownBrowser Field
Namespaces > WebStats.Reporting > BrowsersManager > UnknownBrowser

[This is preliminary documentation and is subject to change.]

An instance of Browser to track information for unknown browsers.
Syntax
C# Visual Basic Managed C++ J#
public Browser UnknownBrowser
Public UnknownBrowser As Browser
public:
Browser^ UnknownBrowser
public Browser UnknownBrowser


FilesManager Class

FilesManager Class
Namespaces > WebStats.Reporting > FilesManager

[This is preliminary documentation and is subject to change.]

The FilesManager class allows for management of files. A file is anything served by the website host that does not exist in the profile's NotPageList.
Syntax
C# Visual Basic Managed C++ J#
public class FilesManager : ManagerBase
Public Class FilesManager _
    Inherits ManagerBase
public ref class FilesManager : public ManagerBase
public class FilesManager extends ManagerBase
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | _report | Instance of Report. (Inherited from ManagerBase.)
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Files | The collection of files.
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Report | Gets or sets the report. (Inherited from ManagerBase.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
 | ManagerBase
 |  | FilesManager


Files Field

Files Field
Namespaces > WebStats.Reporting > FilesManager > Files

[This is preliminary documentation and is subject to change.]

The collection of files.
Syntax
C# Visual Basic Managed C++ J#
[XmlElementAttribute("Files")]
public FileCollection Files
<XmlElementAttribute("Files")> _
Public Files As FileCollection
[XmlElementAttribute(L"Files")]
public:
FileCollection^ Files
/** @attribute XmlElementAttribute("Files") */
public FileCollection Files


FileTypesManager Class

FileTypesManager Class
Namespaces > WebStats.Reporting > FileTypesManager

[This is preliminary documentation and is subject to change.]

The FileTypesManager allows for management of file types served by the website host. It makes use of the Settings/FileTypes.xml to determine specifics about each file type. It will attempt to supply as much information as possible if it finds a file type that is not specified in Settings/FileTypes.xml.
Syntax
C# Visual Basic Managed C++ J#
public class FileTypesManager : ManagerBase
Public Class FileTypesManager _
    Inherits ManagerBase
public ref class FileTypesManager : public ManagerBase
public class FileTypesManager extends ManagerBase
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | _report | Instance of Report. (Inherited from ManagerBase.)
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | FileTypes | The collection of FileType.
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Report | Gets or sets the report. (Inherited from ManagerBase.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
 | ManagerBase
 |  | FileTypesManager


FileTypes Field

FileTypes Field
Namespaces > WebStats.Reporting > FileTypesManager > FileTypes

[This is preliminary documentation and is subject to change.]

The collection of FileType.
Syntax
C# Visual Basic Managed C++ J#
[XmlElementAttribute("FileTypes")]
public FileTypeCollection FileTypes
<XmlElementAttribute("FileTypes")> _
Public FileTypes As FileTypeCollection
[XmlElementAttribute(L"FileTypes")]
public:
FileTypeCollection^ FileTypes
/** @attribute XmlElementAttribute("FileTypes") */
public FileTypeCollection FileTypes


HostsManager Class

HostsManager Class
Namespaces > WebStats.Reporting > HostsManager

[This is preliminary documentation and is subject to change.]

The HostsManager allows for management of hosts.
Syntax
C# Visual Basic Managed C++ J#
public class HostsManager : ManagerBase
Public Class HostsManager _
    Inherits ManagerBase
public ref class HostsManager : public ManagerBase
public class HostsManager extends ManagerBase
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | _report | Instance of Report. (Inherited from ManagerBase.)
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | Hosts | A collection of Host.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Report | Gets or sets the report. (Inherited from ManagerBase.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
 | ManagerBase
 |  | HostsManager


Hosts Field

Hosts Field
Namespaces > WebStats.Reporting > HostsManager > Hosts

[This is preliminary documentation and is subject to change.]

A collection of Host.
Syntax
C# Visual Basic Managed C++ J#
[XmlElementAttribute("Hosts")]
public HostCollection Hosts
<XmlElementAttribute("Hosts")> _
Public Hosts As HostCollection
[XmlElementAttribute(L"Hosts")]
public:
HostCollection^ Hosts
/** @attribute XmlElementAttribute("Hosts") */
public HostCollection Hosts


Lifetime Class

Lifetime Class
Namespaces > WebStats.Reporting > Lifetime

[This is preliminary documentation and is subject to change.]

The Lifetime class handles statistics from the begining of logging. This is mainly a brief summary of what is contained in the report files, but by using Lifetime, we can find this information at a glance instead of having to redigest all the data.
Syntax
C# Visual Basic Managed C++ J#
public class Lifetime
Public Class Lifetime
public ref class Lifetime
public class Lifetime
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | LifetimeNew() | Initializes a new instance of the Lifetime class.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | Load(Lifetime, String) | Loads the specified report with the XML output file specified.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Months | A collection of Month.
 | Save(String) | Generates an XML output file containing all the data for this class.
 | SummarizeReport(Report) | Summarizes the report.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
Lifetime


Lifetime Constructor

Lifetime Constructor
Namespaces > WebStats.Reporting > Lifetime > LifetimeNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Lifetime class.
Syntax
C# Visual Basic Managed C++ J#
public Lifetime ()
Public Sub New
public:
Lifetime ()
public Lifetime ()


Load Method (lifetime, filepath)

Load Method (lifetime, filepath)
Namespaces > WebStats.Reporting > Lifetime > Load(Lifetime, String)

[This is preliminary documentation and is subject to change.]

Loads the specified report with the XML output file specified.
Syntax
C# Visual Basic Managed C++ J#
public static void Load (
    ref Lifetime lifetime,
    string filepath
)
Public Shared Sub Load ( _
    ByRef lifetime As Lifetime, _
    filepath As String _
)
public:
static void Load (
    Lifetime^% lifetime,
    String^ filepath
)
public static void Load (
    /** @ref */Lifetime lifetime,
    String filepath
)
Parameters
lifetime (Lifetime)
The lifetime.
filepath (String)
The filepath.


Months Field

Months Field
Namespaces > WebStats.Reporting > Lifetime > Months

[This is preliminary documentation and is subject to change.]

A collection of Month.
Syntax
C# Visual Basic Managed C++ J#
public MonthCollection Months
Public Months As MonthCollection
public:
MonthCollection^ Months
public MonthCollection Months


Save Method (filepath)

Save Method (filepath)
Namespaces > WebStats.Reporting > Lifetime > Save(String)

[This is preliminary documentation and is subject to change.]

Generates an XML output file containing all the data for this class.
Syntax
C# Visual Basic Managed C++ J#
public void Save (
    string filepath
)
Public Sub Save ( _
    filepath As String _
)
public:
void Save (
    String^ filepath
)
public void Save (
    String filepath
)
Parameters
filepath (String)
The filepath.


SummarizeReport Method (report)

SummarizeReport Method (report)
Namespaces > WebStats.Reporting > Lifetime > SummarizeReport(Report)

[This is preliminary documentation and is subject to change.]

Summarizes the report.
Syntax
C# Visual Basic Managed C++ J#
public void SummarizeReport (
    Report report
)
Public Sub SummarizeReport ( _
    report As Report _
)
public:
void SummarizeReport (
    Report^ report
)
public void SummarizeReport (
    Report report
)
Parameters
report (Report)
The report.


ManagerBase Class

ManagerBase Class
Namespaces > WebStats.Reporting > ManagerBase

[This is preliminary documentation and is subject to change.]

Base object for managers.
Syntax
C# Visual Basic Managed C++ J#
public class ManagerBase
Public Class ManagerBase
public ref class ManagerBase
public class ManagerBase
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | _report | Instance of Report.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Report | Gets or sets the report.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
 | ManagerBase
 |  | OperatingSystemsManager
 |  | TimeManager
 |  | HostsManager
 |  | BrowsersManager
 |  | SessionsManager
 |  | PagesManager
 |  | ReferrersManager
 |  | FilesManager
 |  | SearchEngineManager
 |  | UsersManager
 |  | RobotsManager
 |  | FileTypesManager


_report Field

_report Field
Namespaces > WebStats.Reporting > ManagerBase > _report

[This is preliminary documentation and is subject to change.]

Instance of Report.
Syntax
C# Visual Basic Managed C++ J#
[XmlIgnoreAttribute]
protected Report _report
<XmlIgnoreAttribute> _
Protected _report As Report
[XmlIgnoreAttribute]
protected:
Report^ _report
/** @attribute XmlIgnoreAttribute */
protected Report _report


Report Property

Report Property
Namespaces > WebStats.Reporting > ManagerBase > Report

[This is preliminary documentation and is subject to change.]

Gets or sets the report.
Syntax
C# Visual Basic Managed C++ J#
[XmlIgnoreAttribute]
public Report Report { get; set; }
<XmlIgnoreAttribute> _
Public Property Report As Report
[XmlIgnoreAttribute]
public:
property Report^ Report {
    Report^ get ();
    void set (Report^ value);
}
/** @property */
/** @attribute XmlIgnoreAttribute */
public Report get_Report ()
/** @property */
/** @attribute XmlIgnoreAttribute */
public  void set_Report
Field Value
The report.


OperatingSystemsManager Class

OperatingSystemsManager Class
Namespaces > WebStats.Reporting > OperatingSystemsManager

[This is preliminary documentation and is subject to change.]

The OperatingSystemsManager allows for management of operating systems. It makes use of the . Settings/OperatingSystems.xml files to determine what operating system is being used.
Syntax
C# Visual Basic Managed C++ J#
public class OperatingSystemsManager : ManagerBase
Public Class OperatingSystemsManager _
    Inherits ManagerBase
public ref class OperatingSystemsManager : public ManagerBase
public class OperatingSystemsManager extends ManagerBase
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | _report | Instance of Report. (Inherited from ManagerBase.)
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | OperatingSystems | A collection of OperatingSystem.
 | Report | Gets or sets the report. (Inherited from ManagerBase.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
 | UnknownOperatingSystem | An instance of OperatingSystem to hold stats on unknown operating systems.
Inheritance Hierarchy
Object
 | ManagerBase
 |  | OperatingSystemsManager


OperatingSystems Field

OperatingSystems Field
Namespaces > WebStats.Reporting > OperatingSystemsManager > OperatingSystems

[This is preliminary documentation and is subject to change.]

A collection of OperatingSystem.
Syntax
C# Visual Basic Managed C++ J#
[XmlElementAttribute("OperatingSystems")]
public OperatingSystemCollection OperatingSystems
<XmlElementAttribute("OperatingSystems")> _
Public OperatingSystems As OperatingSystemCollection
[XmlElementAttribute(L"OperatingSystems")]
public:
OperatingSystemCollection^ OperatingSystems
/** @attribute XmlElementAttribute("OperatingSystems") */
public OperatingSystemCollection OperatingSystems


UnknownOperatingSystem Field

UnknownOperatingSystem Field
Namespaces > WebStats.Reporting > OperatingSystemsManager > UnknownOperatingSystem

[This is preliminary documentation and is subject to change.]

An instance of OperatingSystem to hold stats on unknown operating systems.
Syntax
C# Visual Basic Managed C++ J#
public OperatingSystem UnknownOperatingSystem
Public UnknownOperatingSystem As OperatingSystem
public:
OperatingSystem^ UnknownOperatingSystem
public OperatingSystem UnknownOperatingSystem


PagesManager Class

PagesManager Class
Namespaces > WebStats.Reporting > PagesManager

[This is preliminary documentation and is subject to change.]

The PagesManager allows for management of pages.
Syntax
C# Visual Basic Managed C++ J#
public class PagesManager : ManagerBase
Public Class PagesManager _
    Inherits ManagerBase
public ref class PagesManager : public ManagerBase
public class PagesManager extends ManagerBase
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | _report | Instance of Report. (Inherited from ManagerBase.)
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Pages | A collection of Page.
 | Report | Gets or sets the report. (Inherited from ManagerBase.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
 | ManagerBase
 |  | PagesManager


Pages Field

Pages Field
Namespaces > WebStats.Reporting > PagesManager > Pages

[This is preliminary documentation and is subject to change.]

A collection of Page.
Syntax
C# Visual Basic Managed C++ J#
[XmlElementAttribute("Pages")]
public PageCollection Pages
<XmlElementAttribute("Pages")> _
Public Pages As PageCollection
[XmlElementAttribute(L"Pages")]
public:
PageCollection^ Pages
/** @attribute XmlElementAttribute("Pages") */
public PageCollection Pages


ReferrersManager Class

ReferrersManager Class
Namespaces > WebStats.Reporting > ReferrersManager

[This is preliminary documentation and is subject to change.]

The ReferrersManager allows for management of referrers. A referrer is any website that sends a visitor to this website, that is not a search engine.
Syntax
C# Visual Basic Managed C++ J#
public class ReferrersManager : ManagerBase
Public Class ReferrersManager _
    Inherits ManagerBase
public ref class ReferrersManager : public ManagerBase
public class ReferrersManager extends ManagerBase
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | _report | Instance of Report. (Inherited from ManagerBase.)
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Referrers | A collection of Referrer.
 | Report | Gets or sets the report. (Inherited from ManagerBase.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
 | ManagerBase
 |  | ReferrersManager


Referrers Field

Referrers Field
Namespaces > WebStats.Reporting > ReferrersManager > Referrers

[This is preliminary documentation and is subject to change.]

A collection of Referrer.
Syntax
C# Visual Basic Managed C++ J#
[XmlElementAttribute("Referrers")]
public ReferrerCollection Referrers
<XmlElementAttribute("Referrers")> _
Public Referrers As ReferrerCollection
[XmlElementAttribute(L"Referrers")]
public:
ReferrerCollection^ Referrers
/** @attribute XmlElementAttribute("Referrers") */
public ReferrerCollection Referrers


Report Class

Report Class
Namespaces > WebStats.Reporting > Report

[This is preliminary documentation and is subject to change.]

A Report represents the data collected for a single duration of time as defined by the TimeframeType.
Syntax
C# Visual Basic Managed C++ J#
public class Report
Public Class Report
public ref class Report
public class Report
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | ReportNew() | Initializes a new instance of the Report class.
 | ReportNew(Engine) | Initializes a new instance of the Report class.
 | Browsers | Instace of BrowsersManager
 | Engine | Instance of the Engine.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Files | Instace of FilesManager
 | FileTypes | Instace of FileTypesManager
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | Finish() | Finishes this instance.
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | Hosts | Instace of HostsManager
 | Init(String, TimeframeType) | Inits the Report with the specified profile filepath.
 | Init(String, TimeframeType, DateTime, DateTime) | Inits the Report with the specified profile filepath.
 | Load(Report, String) | Loads the specified report with the XML output file specified.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | OperatingSystems | Instace of OperatingSystemsManager
 | Pages | Instace of PagesManager
 | PostLoadInit(Engine, String) | Inits the Report with the specified profile filepath. This method is to be used after loading XML output file(s).
 | ProcessLogEntry(Boolean, DateTime, String, String, String, String, String, Double, Double) | Processes the log entry.
 | Referrers | Instace of ReferrersManager
 | Robots | Instace of RobotsManager
 | Save(String) | Generates an XML output file containing all the generated data.
 | SearchEngines | Instace of SearchEngineManager
 | Sessions | Instace of SessionsManager
 | StartReport | The earliest possible record that can be processed by this report.
 | StopReport | The earliest possible record for the next report (this should be evaluated as less than not less than or equal to).
 | Summary_FirstVisit | The first vist to the website within the recorded range.
 | Summary_LastVisit | The last vist to the website within the recorded range.
 | Summary_Notviewed_Hits | Amount of not viewed hits (robots).
 | Summary_Notviewed_Pages | Amount of not viewed pages (robots).
 | Summary_Notviewed_RxBandwidth | Amount of not viewed bandwidth used to receive data from website views (robots).
 | Summary_Notviewed_TxBandwidth | Amount of bandwidth used to send data from website views (robots).
 | Summary_Viewed_Hits | Amount of viewed hits (not robots).
 | Summary_Viewed_HitsPerVisit | Amount of viewed hits per visit (not robots).
 | Summary_Viewed_NumberOfVisits | Amount of visits.
 | Summary_Viewed_Pages | Amount of viewed pages (not robots).
 | Summary_Viewed_PagesPerVisit | Amount of viewed pages per visit (not robots).
 | Summary_Viewed_RxBandwidth | Amount of bandwidth used to received data from website views (not robots).
 | Summary_Viewed_RxBandwidthPerVisit | Amount of bandwidth used to received data from website views per visit (not robots).
 | Summary_Viewed_TxBandwidth | Amount of viewed bandwidth used to send data (not robots).
 | Summary_Viewed_TxBandwidthPerVisit | Amount of viewed bandwidth used to send data per visit (not robots).
 | Summary_Viewed_UniqueVisitors | Amount of unique visitors.
 | Summary_Viewed_VistsPerVisitor | Amount of vists per visitor.
 | Timeframe | The duration of time that this report spans.
 | Times | Instace of TimeManager
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
 | Users | Instace of UsersManager
Inheritance Hierarchy
Object
Report


Report Constructor

Report Constructor
Namespaces > WebStats.Reporting > Report > ReportNew

[This is preliminary documentation and is subject to change.]

Members
Icon | Member | Description
 | ReportNew() | Initializes a new instance of the Report class.
 | ReportNew(Engine) | Initializes a new instance of the Report class.


Report Constructor

Report Constructor
Namespaces > WebStats.Reporting > Report > ReportNew()

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Report class.
Syntax
C# Visual Basic Managed C++ J#
public Report ()
Public Sub New
public:
Report ()
public Report ()


Report Constructor (engine)

Report Constructor (engine)
Namespaces > WebStats.Reporting > Report > ReportNew(Engine)

[This is preliminary documentation and is subject to change.]

Initializes a new instance of the Report class.
Syntax
C# Visual Basic Managed C++ J#
public Report (
    Engine engine
)
Public Sub New ( _
    engine As Engine _
)
public:
Report (
    Engine^ engine
)
public Report (
    Engine engine
)
Parameters
engine (Engine)
The engine.


Browsers Field

Browsers Field
Namespaces > WebStats.Reporting > Report > Browsers

[This is preliminary documentation and is subject to change.]

Instace of BrowsersManager
Syntax
C# Visual Basic Managed C++ J#
public BrowsersManager Browsers
Public Browsers As BrowsersManager
public:
BrowsersManager^ Browsers
public BrowsersManager Browsers


Engine Field

Engine Field
Namespaces > WebStats.Reporting > Report > Engine

[This is preliminary documentation and is subject to change.]

Instance of the Engine.
Syntax
C# Visual Basic Managed C++ J#
[XmlIgnoreAttribute]
public Engine Engine
<XmlIgnoreAttribute> _
Public Engine As Engine
[XmlIgnoreAttribute]
public:
Engine^ Engine
/** @attribute XmlIgnoreAttribute */
public Engine Engine


Files Field

Files Field
Namespaces > WebStats.Reporting > Report > Files

[This is preliminary documentation and is subject to change.]

Instace of FilesManager
Syntax
C# Visual Basic Managed C++ J#
public FilesManager Files
Public Files As FilesManager
public:
FilesManager^ Files
public FilesManager Files


FileTypes Field

FileTypes Field
Namespaces > WebStats.Reporting > Report > FileTypes

[This is preliminary documentation and is subject to change.]

Instace of FileTypesManager
Syntax
C# Visual Basic Managed C++ J#
public FileTypesManager FileTypes
Public FileTypes As FileTypesManager
public:
FileTypesManager^ FileTypes
public FileTypesManager FileTypes


Finish Method

Finish Method
Namespaces > WebStats.Reporting > Report > Finish()

[This is preliminary documentation and is subject to change.]

Finishes this instance.
Syntax
C# Visual Basic Managed C++ J#
public void Finish ()
Public Sub Finish
public:
void Finish ()
public void Finish ()


Hosts Field

Hosts Field
Namespaces > WebStats.Reporting > Report > Hosts

[This is preliminary documentation and is subject to change.]

Instace of HostsManager
Syntax
C# Visual Basic Managed C++ J#
public HostsManager Hosts
Public Hosts As HostsManager
public:
HostsManager^ Hosts
public HostsManager Hosts


Init Method

Init Method
Namespaces > WebStats.Reporting > Report > Init

[This is preliminary documentation and is subject to change.]

Members
Icon | Member | Description
 | Init(String, TimeframeType) | Inits the Report with the specified profile filepath.
 | Init(String, TimeframeType, DateTime, DateTime) | Inits the Report with the specified profile filepath.


Init Method (settingsDirectoryPath, timeframe)

Init Method (settingsDirectoryPath, timeframe)
Namespaces > WebStats.Reporting > Report > Init(String, TimeframeType)

[This is preliminary documentation and is subject to change.]

Inits the Report with the specified profile filepath.
Syntax
C# Visual Basic Managed C++ J#
public void Init (
    string settingsDirectoryPath,
    Profile.TimeframeType timeframe
)
Public Sub Init ( _
    settingsDirectoryPath As String, _
    timeframe As TimeframeType _
)
public:
void Init (
    String^ settingsDirectoryPath,
    TimeframeType timeframe
)
public void Init (
    String settingsDirectoryPath,
    Profile.TimeframeType timeframe
)
Parameters
settingsDirectoryPath (String)
The settings directory path.
timeframe (TimeframeType)
The duration of time that this report will span.
See Also
Report


Init Method (settingsDirectoryPath, timeframe, startReport, stopReport)

Init Method (settingsDirectoryPath, timeframe, startReport, stopReport)
Namespaces > WebStats.Reporting > Report > Init(String, TimeframeType, DateTime, DateTime)

[This is preliminary documentation and is subject to change.]

Inits the Report with the specified profile filepath.
Syntax
C# Visual Basic Managed C++ J#
public void Init (
    string settingsDirectoryPath,
    Profile.TimeframeType timeframe,
    DateTime startReport,
    DateTime stopReport
)
Public Sub Init ( _
    settingsDirectoryPath As String, _
    timeframe As TimeframeType, _
    startReport As DateTime, _
    stopReport As DateTime _
)
public:
void Init (
    String^ settingsDirectoryPath,
    TimeframeType timeframe,
    DateTime startReport,
    DateTime stopReport
)
public void Init (
    String settingsDirectoryPath,
    Profile.TimeframeType timeframe,
    DateTime startReport,
    DateTime stopReport
)
Parameters
settingsDirectoryPath (String)
The settings directory path.
timeframe (TimeframeType)
The duration of time that this report will span.
startReport (DateTime)
The earliest possible record that can be processed by this report.
stopReport (DateTime)
The earliest possible record for the next report (this should be evaluated as less than not less than or equal to).
See Also
Report


Load Method (report, filepath)

Load Method (report, filepath)
Namespaces > WebStats.Reporting > Report > Load(Report, String)

[This is preliminary documentation and is subject to change.]

Loads the specified report with the XML output file specified.
Syntax
C# Visual Basic Managed C++ J#
public static void Load (
    ref Report report,
    string filepath
)
Public Shared Sub Load ( _
    ByRef report As Report, _
    filepath As String _
)
public:
static void Load (
    Report^% report,
    String^ filepath
)
public static void Load (
    /** @ref */Report report,
    String filepath
)
Parameters
report (Report)
The report.
filepath (String)
The filepath.


OperatingSystems Field

OperatingSystems Field
Namespaces > WebStats.Reporting > Report > OperatingSystems

[This is preliminary documentation and is subject to change.]

Instace of OperatingSystemsManager
Syntax
C# Visual Basic Managed C++ J#
public OperatingSystemsManager OperatingSystems
Public OperatingSystems As OperatingSystemsManager
public:
OperatingSystemsManager^ OperatingSystems
public OperatingSystemsManager OperatingSystems


Pages Field

Pages Field
Namespaces > WebStats.Reporting > Report > Pages

[This is preliminary documentation and is subject to change.]

Instace of PagesManager
Syntax
C# Visual Basic Managed C++ J#
public PagesManager Pages
Public Pages As PagesManager
public:
PagesManager^ Pages
public PagesManager Pages


PostLoadInit Method (engine, settingsDirectoryPath)

PostLoadInit Method (engine, settingsDirectoryPath)
Namespaces > WebStats.Reporting > Report > PostLoadInit(Engine, String)

[This is preliminary documentation and is subject to change.]

Inits the Report with the specified profile filepath. This method is to be used after loading XML output file(s).
Syntax
C# Visual Basic Managed C++ J#
public void PostLoadInit (
    Engine engine,
    string settingsDirectoryPath
)
Public Sub PostLoadInit ( _
    engine As Engine, _
    settingsDirectoryPath As String _
)
public:
void PostLoadInit (
    Engine^ engine,
    String^ settingsDirectoryPath
)
public void PostLoadInit (
    Engine engine,
    String settingsDirectoryPath
)
Parameters
engine (Engine)
The engine.
settingsDirectoryPath (String)
The settings directory path.
See Also
Report


ProcessLogEntry Method (recordIsPage, rTimestamp, uristem, ipaddress, referrer, username, useragent, txbytes, rxbytes)

ProcessLogEntry Method (recordIsPage, rTimestamp, uristem, ipaddress, referrer, username, useragent, txbytes, rxbytes)
Namespaces > WebStats.Reporting > Report > ProcessLogEntry(Boolean, DateTime, String, String, String, String, String, Double, Double)

[This is preliminary documentation and is subject to change.]

Processes the log entry.
Syntax
C# Visual Basic Managed C++ J#
public void ProcessLogEntry (
    bool recordIsPage,
    DateTime rTimestamp,
    string uristem,
    string ipaddress,
    string referrer,
    string username,
    string useragent,
    double txbytes,
    double rxbytes
)
Public Sub ProcessLogEntry ( _
    recordIsPage As Boolean, _
    rTimestamp As DateTime, _
    uristem As String, _
    ipaddress As String, _
    referrer As String, _
    username As String, _
    useragent As String, _
    txbytes As Double, _
    rxbytes As Double _
)
public:
void ProcessLogEntry (
    bool recordIsPage,
    DateTime rTimestamp,
    String^ uristem,
    String^ ipaddress,
    String^ referrer,
    String^ username,
    String^ useragent,
    double txbytes,
    double rxbytes
)
public void ProcessLogEntry (
    boolean recordIsPage,
    DateTime rTimestamp,
    String uristem,
    String ipaddress,
    String referrer,
    String username,
    String useragent,
    double txbytes,
    double rxbytes
)
Parameters
recordIsPage (Boolean)
if set to true [record is page].
rTimestamp (DateTime)
The record timestamp.
uristem (String)
The uristem.
ipaddress (String)
The ipaddress.
referrer (String)
The referrer.
username (String)
The username.
useragent (String)
The useragent.
txbytes (Double)
The txbytes.
rxbytes (Double)
The rxbytes.


Referrers Field

Referrers Field
Namespaces > WebStats.Reporting > Report > Referrers

[This is preliminary documentation and is subject to change.]

Instace of ReferrersManager
Syntax
C# Visual Basic Managed C++ J#
public ReferrersManager Referrers
Public Referrers As ReferrersManager
public:
ReferrersManager^ Referrers
public ReferrersManager Referrers


Robots Field

Robots Field
Namespaces > WebStats.Reporting > Report > Robots

[This is preliminary documentation and is subject to change.]

Instace of RobotsManager
Syntax
C# Visual Basic Managed C++ J#
public RobotsManager Robots
Public Robots As RobotsManager
public:
RobotsManager^ Robots
public RobotsManager Robots


Save Method (filepath)

Save Method (filepath)
Namespaces > WebStats.Reporting > Report > Save(String)

[This is preliminary documentation and is subject to change.]

Generates an XML output file containing all the generated data.
Syntax
C# Visual Basic Managed C++ J#
public void Save (
    string filepath
)
Public Sub Save ( _
    filepath As String _
)
public:
void Save (
    String^ filepath
)
public void Save (
    String filepath
)
Parameters
filepath (String)
The filepath.


SearchEngines Field

SearchEngines Field
Namespaces > WebStats.Reporting > Report > SearchEngines

[This is preliminary documentation and is subject to change.]

Instace of SearchEngineManager
Syntax
C# Visual Basic Managed C++ J#
public SearchEngineManager SearchEngines
Public SearchEngines As SearchEngineManager
public:
SearchEngineManager^ SearchEngines
public SearchEngineManager SearchEngines


Sessions Field

Sessions Field
Namespaces > WebStats.Reporting > Report > Sessions

[This is preliminary documentation and is subject to change.]

Instace of SessionsManager
Syntax
C# Visual Basic Managed C++ J#
public SessionsManager Sessions
Public Sessions As SessionsManager
public:
SessionsManager^ Sessions
public SessionsManager Sessions


StartReport Field

StartReport Field
Namespaces > WebStats.Reporting > Report > StartReport

[This is preliminary documentation and is subject to change.]

The earliest possible record that can be processed by this report.
Syntax
C# Visual Basic Managed C++ J#
public DateTime StartReport
Public StartReport As DateTime
public:
DateTime StartReport
public DateTime StartReport


StopReport Field

StopReport Field
Namespaces > WebStats.Reporting > Report > StopReport

[This is preliminary documentation and is subject to change.]

The earliest possible record for the next report (this should be evaluated as less than not less than or equal to).
Syntax
C# Visual Basic Managed C++ J#
public DateTime StopReport
Public StopReport As DateTime
public:
DateTime StopReport
public DateTime StopReport


Summary_FirstVisit Field

Summary_FirstVisit Field
Namespaces > WebStats.Reporting > Report > Summary_FirstVisit

[This is preliminary documentation and is subject to change.]

The first vist to the website within the recorded range.
Syntax
C# Visual Basic Managed C++ J#
public DateTime Summary_FirstVisit
Public Summary_FirstVisit As DateTime
public:
DateTime Summary_FirstVisit
public DateTime Summary_FirstVisit


Summary_LastVisit Field

Summary_LastVisit Field
Namespaces > WebStats.Reporting > Report > Summary_LastVisit

[This is preliminary documentation and is subject to change.]

The last vist to the website within the recorded range.
Syntax
C# Visual Basic Managed C++ J#
public DateTime Summary_LastVisit
Public Summary_LastVisit As DateTime
public:
DateTime Summary_LastVisit
public DateTime Summary_LastVisit


Summary_Notviewed_Hits Field

Summary_Notviewed_Hits Field
Namespaces > WebStats.Reporting > Report > Summary_Notviewed_Hits

[This is preliminary documentation and is subject to change.]

Amount of not viewed hits (robots).
Syntax
C# Visual Basic Managed C++ J#
public int Summary_Notviewed_Hits
Public Summary_Notviewed_Hits As Integer
public:
int Summary_Notviewed_Hits
public int Summary_Notviewed_Hits


Summary_Notviewed_Pages Field

Summary_Notviewed_Pages Field
Namespaces > WebStats.Reporting > Report > Summary_Notviewed_Pages

[This is preliminary documentation and is subject to change.]

Amount of not viewed pages (robots).
Syntax
C# Visual Basic Managed C++ J#
public int Summary_Notviewed_Pages
Public Summary_Notviewed_Pages As Integer
public:
int Summary_Notviewed_Pages
public int Summary_Notviewed_Pages


Summary_Notviewed_RxBandwidth Field

Summary_Notviewed_RxBandwidth Field
Namespaces > WebStats.Reporting > Report > Summary_Notviewed_RxBandwidth

[This is preliminary documentation and is subject to change.]

Amount of not viewed bandwidth used to receive data from website views (robots).
Syntax
C# Visual Basic Managed C++ J#
public double Summary_Notviewed_RxBandwidth
Public Summary_Notviewed_RxBandwidth As Double
public:
double Summary_Notviewed_RxBandwidth
public double Summary_Notviewed_RxBandwidth


Summary_Notviewed_TxBandwidth Field

Summary_Notviewed_TxBandwidth Field
Namespaces > WebStats.Reporting > Report > Summary_Notviewed_TxBandwidth

[This is preliminary documentation and is subject to change.]

Amount of bandwidth used to send data from website views (robots).
Syntax
C# Visual Basic Managed C++ J#
public double Summary_Notviewed_TxBandwidth
Public Summary_Notviewed_TxBandwidth As Double
public:
double Summary_Notviewed_TxBandwidth
public double Summary_Notviewed_TxBandwidth


Summary_Viewed_Hits Field

Summary_Viewed_Hits Field
Namespaces > WebStats.Reporting > Report > Summary_Viewed_Hits

[This is preliminary documentation and is subject to change.]

Amount of viewed hits (not robots).
Syntax
C# Visual Basic Managed C++ J#
public int Summary_Viewed_Hits
Public Summary_Viewed_Hits As Integer
public:
int Summary_Viewed_Hits
public int Summary_Viewed_Hits


Summary_Viewed_HitsPerVisit Field

Summary_Viewed_HitsPerVisit Field
Namespaces > WebStats.Reporting > Report > Summary_Viewed_HitsPerVisit

[This is preliminary documentation and is subject to change.]

Amount of viewed hits per visit (not robots).
Syntax
C# Visual Basic Managed C++ J#
public decimal Summary_Viewed_HitsPerVisit
Public Summary_Viewed_HitsPerVisit As Decimal
public:
Decimal Summary_Viewed_HitsPerVisit
public Decimal Summary_Viewed_HitsPerVisit


Summary_Viewed_NumberOfVisits Field

Summary_Viewed_NumberOfVisits Field
Namespaces > WebStats.Reporting > Report > Summary_Viewed_NumberOfVisits

[This is preliminary documentation and is subject to change.]

Amount of visits.
Syntax
C# Visual Basic Managed C++ J#
public int Summary_Viewed_NumberOfVisits
Public Summary_Viewed_NumberOfVisits As Integer
public:
int Summary_Viewed_NumberOfVisits
public int Summary_Viewed_NumberOfVisits


Summary_Viewed_Pages Field

Summary_Viewed_Pages Field
Namespaces > WebStats.Reporting > Report > Summary_Viewed_Pages

[This is preliminary documentation and is subject to change.]

Amount of viewed pages (not robots).
Syntax
C# Visual Basic Managed C++ J#
public int Summary_Viewed_Pages
Public Summary_Viewed_Pages As Integer
public:
int Summary_Viewed_Pages
public int Summary_Viewed_Pages


Summary_Viewed_PagesPerVisit Field

Summary_Viewed_PagesPerVisit Field
Namespaces > WebStats.Reporting > Report > Summary_Viewed_PagesPerVisit

[This is preliminary documentation and is subject to change.]

Amount of viewed pages per visit (not robots).
Syntax
C# Visual Basic Managed C++ J#
public decimal Summary_Viewed_PagesPerVisit
Public Summary_Viewed_PagesPerVisit As Decimal
public:
Decimal Summary_Viewed_PagesPerVisit
public Decimal Summary_Viewed_PagesPerVisit


Summary_Viewed_RxBandwidth Field

Summary_Viewed_RxBandwidth Field
Namespaces > WebStats.Reporting > Report > Summary_Viewed_RxBandwidth

[This is preliminary documentation and is subject to change.]

Amount of bandwidth used to received data from website views (not robots).
Syntax
C# Visual Basic Managed C++ J#
public double Summary_Viewed_RxBandwidth
Public Summary_Viewed_RxBandwidth As Double
public:
double Summary_Viewed_RxBandwidth
public double Summary_Viewed_RxBandwidth


Summary_Viewed_RxBandwidthPerVisit Field

Summary_Viewed_RxBandwidthPerVisit Field
Namespaces > WebStats.Reporting > Report > Summary_Viewed_RxBandwidthPerVisit

[This is preliminary documentation and is subject to change.]

Amount of bandwidth used to received data from website views per visit (not robots).
Syntax
C# Visual Basic Managed C++ J#
public decimal Summary_Viewed_RxBandwidthPerVisit
Public Summary_Viewed_RxBandwidthPerVisit As Decimal
public:
Decimal Summary_Viewed_RxBandwidthPerVisit
public Decimal Summary_Viewed_RxBandwidthPerVisit


Summary_Viewed_TxBandwidth Field

Summary_Viewed_TxBandwidth Field
Namespaces > WebStats.Reporting > Report > Summary_Viewed_TxBandwidth

[This is preliminary documentation and is subject to change.]

Amount of viewed bandwidth used to send data (not robots).
Syntax
C# Visual Basic Managed C++ J#
public double Summary_Viewed_TxBandwidth
Public Summary_Viewed_TxBandwidth As Double
public:
double Summary_Viewed_TxBandwidth
public double Summary_Viewed_TxBandwidth


Summary_Viewed_TxBandwidthPerVisit Field

Summary_Viewed_TxBandwidthPerVisit Field
Namespaces > WebStats.Reporting > Report > Summary_Viewed_TxBandwidthPerVisit

[This is preliminary documentation and is subject to change.]

Amount of viewed bandwidth used to send data per visit (not robots).
Syntax
C# Visual Basic Managed C++ J#
public decimal Summary_Viewed_TxBandwidthPerVisit
Public Summary_Viewed_TxBandwidthPerVisit As Decimal
public:
Decimal Summary_Viewed_TxBandwidthPerVisit
public Decimal Summary_Viewed_TxBandwidthPerVisit


Summary_Viewed_UniqueVisitors Field

Summary_Viewed_UniqueVisitors Field
Namespaces > WebStats.Reporting > Report > Summary_Viewed_UniqueVisitors

[This is preliminary documentation and is subject to change.]

Amount of unique visitors.
Syntax
C# Visual Basic Managed C++ J#
public int Summary_Viewed_UniqueVisitors
Public Summary_Viewed_UniqueVisitors As Integer
public:
int Summary_Viewed_UniqueVisitors
public int Summary_Viewed_UniqueVisitors


Summary_Viewed_VistsPerVisitor Field

Summary_Viewed_VistsPerVisitor Field
Namespaces > WebStats.Reporting > Report > Summary_Viewed_VistsPerVisitor

[This is preliminary documentation and is subject to change.]

Amount of vists per visitor.
Syntax
C# Visual Basic Managed C++ J#
public decimal Summary_Viewed_VistsPerVisitor
Public Summary_Viewed_VistsPerVisitor As Decimal
public:
Decimal Summary_Viewed_VistsPerVisitor
public Decimal Summary_Viewed_VistsPerVisitor


Timeframe Field

Timeframe Field
Namespaces > WebStats.Reporting > Report > Timeframe

[This is preliminary documentation and is subject to change.]

The duration of time that this report spans.
Syntax
C# Visual Basic Managed C++ J#
public Profile.TimeframeType Timeframe
Public Timeframe As TimeframeType
public:
TimeframeType Timeframe
public Profile.TimeframeType Timeframe


Times Field

Times Field
Namespaces > WebStats.Reporting > Report > Times

[This is preliminary documentation and is subject to change.]

Instace of TimeManager
Syntax
C# Visual Basic Managed C++ J#
public TimeManager Times
Public Times As TimeManager
public:
TimeManager^ Times
public TimeManager Times


Users Field

Users Field
Namespaces > WebStats.Reporting > Report > Users

[This is preliminary documentation and is subject to change.]

Instace of UsersManager
Syntax
C# Visual Basic Managed C++ J#
public UsersManager Users
Public Users As UsersManager
public:
UsersManager^ Users
public UsersManager Users


RobotsManager Class

RobotsManager Class
Namespaces > WebStats.Reporting > RobotsManager

[This is preliminary documentation and is subject to change.]

The RobotsManager allows for management of robots. A robot is a visitor that is automated. Most bots will visit a website to index the pages (e.g., GoogleBot).
Syntax
C# Visual Basic Managed C++ J#
public class RobotsManager : ManagerBase
Public Class RobotsManager _
    Inherits ManagerBase
public ref class RobotsManager : public ManagerBase
public class RobotsManager extends ManagerBase
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | _report | Instance of Report. (Inherited from ManagerBase.)
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Report | Gets or sets the report. (Inherited from ManagerBase.)
 | Robots | A collection of Robot.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
 | UnknownRobot | An instance of Robot to handle robot data for robots that do not exist in the Settings/Robots.xml file.
Inheritance Hierarchy
Object
 | ManagerBase
 |  | RobotsManager


Robots Field

Robots Field
Namespaces > WebStats.Reporting > RobotsManager > Robots

[This is preliminary documentation and is subject to change.]

A collection of Robot.
Syntax
C# Visual Basic Managed C++ J#
[XmlElementAttribute("Robots")]
public RobotCollection Robots
<XmlElementAttribute("Robots")> _
Public Robots As RobotCollection
[XmlElementAttribute(L"Robots")]
public:
RobotCollection^ Robots
/** @attribute XmlElementAttribute("Robots") */
public RobotCollection Robots


UnknownRobot Field

UnknownRobot Field
Namespaces > WebStats.Reporting > RobotsManager > UnknownRobot

[This is preliminary documentation and is subject to change.]

An instance of Robot to handle robot data for robots that do not exist in the Settings/Robots.xml file.
Syntax
C# Visual Basic Managed C++ J#
public Robot UnknownRobot
Public UnknownRobot As Robot
public:
Robot^ UnknownRobot
public Robot UnknownRobot


SearchEngineManager Class

SearchEngineManager Class
Namespaces > WebStats.Reporting > SearchEngineManager

[This is preliminary documentation and is subject to change.]

The SearchEngineManager allows for management of search engines. It makes use of the Settings/SearchEngines.xml file to determine what is actually a search engine.
Syntax
C# Visual Basic Managed C++ J#
public class SearchEngineManager : ManagerBase
Public Class SearchEngineManager _
    Inherits ManagerBase
public ref class SearchEngineManager : public ManagerBase
public class SearchEngineManager extends ManagerBase
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | _report | Instance of Report. (Inherited from ManagerBase.)
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Report | Gets or sets the report. (Inherited from ManagerBase.)
 | SearchEngines | A collection of SearchEngine.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
 | ManagerBase
 |  | SearchEngineManager


SearchEngines Field

SearchEngines Field
Namespaces > WebStats.Reporting > SearchEngineManager > SearchEngines

[This is preliminary documentation and is subject to change.]

A collection of SearchEngine.
Syntax
C# Visual Basic Managed C++ J#
[XmlElementAttribute("SearchEngines")]
public SearchEngineCollection SearchEngines
<XmlElementAttribute("SearchEngines")> _
Public SearchEngines As SearchEngineCollection
[XmlElementAttribute(L"SearchEngines")]
public:
SearchEngineCollection^ SearchEngines
/** @attribute XmlElementAttribute("SearchEngines") */
public SearchEngineCollection SearchEngines


SessionsManager Class

SessionsManager Class
Namespaces > WebStats.Reporting > SessionsManager

[This is preliminary documentation and is subject to change.]

The SessionsManager allows for management of sessions.
Syntax
C# Visual Basic Managed C++ J#
public class SessionsManager : ManagerBase
Public Class SessionsManager _
    Inherits ManagerBase
public ref class SessionsManager : public ManagerBase
public class SessionsManager extends ManagerBase
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | _report | Instance of Report. (Inherited from ManagerBase.)
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Report | Gets or sets the report. (Inherited from ManagerBase.)
 | Sessions | A collection of Session.
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
 | ManagerBase
 |  | SessionsManager


Sessions Field

Sessions Field
Namespaces > WebStats.Reporting > SessionsManager > Sessions

[This is preliminary documentation and is subject to change.]

A collection of Session.
Syntax
C# Visual Basic Managed C++ J#
[XmlElementAttribute("Sessions")]
public SessionCollection Sessions
<XmlElementAttribute("Sessions")> _
Public Sessions As SessionCollection
[XmlElementAttribute(L"Sessions")]
public:
SessionCollection^ Sessions
/** @attribute XmlElementAttribute("Sessions") */
public SessionCollection Sessions


TimeManager Class

TimeManager Class
Namespaces > WebStats.Reporting > TimeManager

[This is preliminary documentation and is subject to change.]

The TimeManager allows for management of Days, DaysOfWeek and HoursOfDay.
Syntax
C# Visual Basic Managed C++ J#
public class TimeManager : ManagerBase
Public Class TimeManager _
    Inherits ManagerBase
public ref class TimeManager : public ManagerBase
public class TimeManager extends ManagerBase
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | _report | Instance of Report. (Inherited from ManagerBase.)
 | Days | A collection of Day.
 | DaysOfWeek | A collection of DayOfWeek.
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | HoursOfDay | A collection of HourOfDay.
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Months | A collection of Month.
 | Report | Gets or sets the report. (Inherited from ManagerBase.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
Inheritance Hierarchy
Object
 | ManagerBase
 |  | TimeManager


Days Field

Days Field
Namespaces > WebStats.Reporting > TimeManager > Days

[This is preliminary documentation and is subject to change.]

A collection of Day.
Syntax
C# Visual Basic Managed C++ J#
[XmlElementAttribute("Days")]
public DayCollection Days
<XmlElementAttribute("Days")> _
Public Days As DayCollection
[XmlElementAttribute(L"Days")]
public:
DayCollection^ Days
/** @attribute XmlElementAttribute("Days") */
public DayCollection Days


DaysOfWeek Field

DaysOfWeek Field
Namespaces > WebStats.Reporting > TimeManager > DaysOfWeek

[This is preliminary documentation and is subject to change.]

A collection of DayOfWeek.
Syntax
C# Visual Basic Managed C++ J#
[XmlElementAttribute("DaysOfWeek")]
public DayOfWeekCollection DaysOfWeek
<XmlElementAttribute("DaysOfWeek")> _
Public DaysOfWeek As DayOfWeekCollection
[XmlElementAttribute(L"DaysOfWeek")]
public:
DayOfWeekCollection^ DaysOfWeek
/** @attribute XmlElementAttribute("DaysOfWeek") */
public DayOfWeekCollection DaysOfWeek


HoursOfDay Field

HoursOfDay Field
Namespaces > WebStats.Reporting > TimeManager > HoursOfDay

[This is preliminary documentation and is subject to change.]

A collection of HourOfDay.
Syntax
C# Visual Basic Managed C++ J#
[XmlElementAttribute("HoursOfDay")]
public HourOfDayCollection HoursOfDay
<XmlElementAttribute("HoursOfDay")> _
Public HoursOfDay As HourOfDayCollection
[XmlElementAttribute(L"HoursOfDay")]
public:
HourOfDayCollection^ HoursOfDay
/** @attribute XmlElementAttribute("HoursOfDay") */
public HourOfDayCollection HoursOfDay


Months Field

Months Field
Namespaces > WebStats.Reporting > TimeManager > Months

[This is preliminary documentation and is subject to change.]

A collection of Month.
Syntax
C# Visual Basic Managed C++ J#
[XmlElementAttribute("Months")]
public MonthCollection Months
<XmlElementAttribute("Months")> _
Public Months As MonthCollection
[XmlElementAttribute(L"Months")]
public:
MonthCollection^ Months
/** @attribute XmlElementAttribute("Months") */
public MonthCollection Months


UsersManager Class

UsersManager Class
Namespaces > WebStats.Reporting > UsersManager

[This is preliminary documentation and is subject to change.]

The UsersManager allows management of users. Users are those users authenticated by the website host.
Syntax
C# Visual Basic Managed C++ J#
public class UsersManager : ManagerBase
Public Class UsersManager _
    Inherits ManagerBase
public ref class UsersManager : public ManagerBase
public class UsersManager extends ManagerBase
Members
All Members | Constructors | Methods | Properties | Fields | Events
Public Protected |  | Instance Static |  | Declared Inherited
Icon | Member | Description
 | _report | Instance of Report. (Inherited from ManagerBase.)
 | Equals(Object) | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
 | Finalize() | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
 | GetHashCode() | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
 | GetType() | Gets the Type of the current instance. (Inherited from Object.)
 | MemberwiseClone() | Creates a shallow copy of the current Object. (Inherited from Object.)
 | Report | Gets or sets the report. (Inherited from ManagerBase.)
 | ToString() | Returns a String that represents the current Object. (Inherited from Object.)
 | UnknownUser | An instance of AuthenticatedUser to track information for anonymous users.
 | Users | A collection of AuthenticatedUser.
Inheritance Hierarchy
Object
 | ManagerBase
 |  | UsersManager


UnknownUser Field

UnknownUser Field
Namespaces > WebStats.Reporting > UsersManager > UnknownUser

[This is preliminary documentation and is subject to change.]

An instance of AuthenticatedUser to track information for anonymous users.
Syntax
C# Visual Basic Managed C++ J#
public AuthenticatedUser UnknownUser
Public UnknownUser As AuthenticatedUser
public:
AuthenticatedUser^ UnknownUser
public AuthenticatedUser UnknownUser


Users Field

Users Field
Namespaces > WebStats.Reporting > UsersManager > Users

[This is preliminary documentation and is subject to change.]

A collection of AuthenticatedUser.
Syntax
C# Visual Basic Managed C++ J#
[XmlElementAttribute("Users")]
public AuthenticatedUserCollection Users
<XmlElementAttribute("Users")> _
Public Users As AuthenticatedUserCollection
[XmlElementAttribute(L"Users")]
public:
AuthenticatedUserCollection^ Users
/** @attribute XmlElementAttribute("Users") */
public AuthenticatedUserCollection Users


Namespaces

Namespaces
Namespaces

[This is preliminary documentation and is subject to change.]

WebStats is a .NET Class Library written in C# that generates website statistics and analytics from IIS W3C http log files. This documentation is for developers it is neither intended for typical users nor required knowledge.
Namespaces
Namespace | Description
WebStats | The core of WebStats dotNet.
WebStats.Collections | Collections used in WebStats.
WebStats.DataType | Data types used in WebStats.
WebStats.Reporting | Classes used to handle the generation and manipulation of reports.